/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 * $AstecId: XrtFld_cg.c,v 1.2 1998/02/05 02:34:56 yamato Exp $
 *
 *  SCCSID -- @(#)XrtFld_cg.c	1.12    98/11/05 KL Group Inc.
 */

/******************************************************************************/
/*				XrtFld_cg.c				      							      */
/******************************************************************************/

#include <stdio.h>
#include "utype.h"
#include "class_info.h"


#include <Xm/XrtField.h>
#include "XrtFld_xtype.h"
#include "Xrt_restable.h"

static RES_INFO			XrtField_res[size_xrtFldResNum];
static RES_INFO			XrtStringField_res[size_xrtStringFldResNum];
static RES_INFO			XrtDateField_res[size_xrtDateFldResNum];
static RES_INFO			XrtFloatField_res[size_xrtFloatFldResNum];
static RES_INFO			XrtIntField_res[size_xrtIntFldResNum];
static RES_INFO			XrtComboBox_res[size_xrtComboResNum];
static RES_INFO			XrtSpinBox_res[size_xrtSpinResNum];
static RES_INFO			XrtCalendar_res[size_xrtCalendarResNum];

static void
XrtFld_cgdef_resource(table, res_info_table, n, m)
XrtFldResourceDesc	*table;
RES_INFO			*res_info_table;
int 				n;
int 				m;
{
	RES_INFO	*pResInfo;

	pResInfo 				= &(res_info_table[m]);
	pResInfo->name 			= table[n].name;
	pResInfo->xt_name 		= table[n].xt_name;
	pResInfo->xt_name_def 	= table[n].xt_name_def;
	pResInfo->pass 			= (int) table[n].pass;
	pResInfo->xtype 		= table[n].type->xtype;	
	
	if (table[n].type->convert_flag == 1 && !table[n].type->converter) {
		pResInfo->rt_conv = 1;
	}

	if (table[n].type->converter) {
		pResInfo->converter = table[n].type->converter;
	}

	if (table[n].type->datatype.type_field == XRTFLD_WIDGET) {
		pResInfo->wgt_val = 1;
	}

	if (table[n].type->datatype.type_field == XRTFLD_WIDGET_CLASS) {
		pResInfo->wgt_class_val = 1;
	}
	
	if (table[n].type->datatype.type_field == XRTFLD_CALLBACK) {
		pResInfo->callback = 1;
	}
}


XrtFld_cg()
{

	int							n, n_res_used;
	static WGT_CLASS_INFO		XrtFldManager_class_info;
	static WGT_CLASS_INFO		XrtField_class_info;
	static WGT_CLASS_INFO		XrtStringField_class_info;
	static WGT_CLASS_INFO		XrtDateField_class_info;
	static WGT_CLASS_INFO		XrtFloatField_class_info;
	static WGT_CLASS_INFO		XrtCurrencyField_class_info;
	static WGT_CLASS_INFO		XrtIntField_class_info;
	static WGT_CLASS_INFO		XrtComboBox_class_info;
	static WGT_CLASS_INFO		XrtSpinBox_class_info;
	static WGT_CLASS_INFO		XrtCalendar_class_info;

	XrtFld_init_resource_table();
	
	/*
	 *	Define resources and class info for XrtFldManager
	 */

	XrtFldManager_class_info.name = "XrtFldManager";
	XrtFldManager_class_info.filename = "XrtFldManager";
	XrtFldManager_class_info.supername = "manager";
	XrtFldManager_class_info.xt_name = "xmXrtFldManagerWidgetClass";
	XrtFldManager_class_info.xt_filename = "Xm/XrtField.h";
	XrtFldManager_class_info.resources = NULL;
	XrtFldManager_class_info.num_resources = 0;

	CgEnterWidgetClassInfo(&XrtFldManager_class_info);

	/*
	 *	Define resources and class info for XRT/field
	 */
	
	n_res_used = 0;
	for (n = 0; n < numfld_res; n++) {
		if (xrtfld_res_table[n].used) {
			XrtFld_cgdef_resource(xrtfld_res_table, XrtField_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtField_class_info.name = "XrtField";
	XrtField_class_info.filename = "XrtField";
	XrtField_class_info.supername = "text";
	XrtField_class_info.xt_name = "xmXrtFieldWidgetClass";
	XrtField_class_info.xt_filename = "Xm/XrtField.h";
	XrtField_class_info.resources = XrtField_res;
	XrtField_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtField_class_info);

	
	/*
	 *	Define resources and class info for XrtStringField
	 */

	n_res_used = 0;
	for (n = 0; n < numfldstr_res; n++) {
		if (xrtfldstr_res_table[n].used) {
			XrtFld_cgdef_resource(xrtfldstr_res_table, XrtStringField_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtStringField_class_info.name = "XrtStringField";
	XrtStringField_class_info.filename = "XrtStringField";
	XrtStringField_class_info.supername = "XrtField";
	XrtStringField_class_info.xt_name = "xmXrtStringFieldWidgetClass";
	XrtStringField_class_info.xt_filename = "Xm/XrtField.h";
	XrtStringField_class_info.resources = XrtStringField_res;
	XrtStringField_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtStringField_class_info);

	
	/*
	 *	Define resources and class info for XrtDateField
	 */

	n_res_used = 0;
	for (n = 0; n < numflddat_res; n++) {
		if (xrtflddat_res_table[n].used) {
			XrtFld_cgdef_resource(xrtflddat_res_table, XrtDateField_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtDateField_class_info.name = "XrtDateField";
	XrtDateField_class_info.filename = "XrtDateField";
	XrtDateField_class_info.supername = "XrtField";
	XrtDateField_class_info.xt_name = "xmXrtDateFieldWidgetClass";
	XrtDateField_class_info.xt_filename = "Xm/XrtField.h";
	XrtDateField_class_info.resources = XrtDateField_res;
	XrtDateField_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtDateField_class_info);

	
	/*
	 *	Define resources and class info for XrtFloatField
	 */

	n_res_used = 0;
	for (n = 0; n < numfldflt_res; n++) {
		if (xrtfldflt_res_table[n].used) {
			XrtFld_cgdef_resource(xrtfldflt_res_table, XrtFloatField_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtFloatField_class_info.name = "XrtFloatField";
	XrtFloatField_class_info.filename = "XrtFloatField";
	XrtFloatField_class_info.supername = "XrtField";
	XrtFloatField_class_info.xt_name = "xmXrtFloatFieldWidgetClass";
	XrtFloatField_class_info.xt_filename = "Xm/XrtField.h";
	XrtFloatField_class_info.resources = XrtFloatField_res;
	XrtFloatField_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtFloatField_class_info);

	
	/*
	 *	Define resources and class info for XrtCurrencyField
	 */

	XrtCurrencyField_class_info.name = "XrtCurrencyField";
	XrtCurrencyField_class_info.filename = "XrtCurrencyField";
	XrtCurrencyField_class_info.supername = "XrtFloatField";
	XrtCurrencyField_class_info.xt_name = "xmXrtCurrencyFieldWidgetClass";
	XrtCurrencyField_class_info.xt_filename = "Xm/XrtField.h";


	XrtCurrencyField_class_info.resources = NULL;
	XrtCurrencyField_class_info.num_resources = 0;

#if 0	
	XrtCurrencyField_class_info.resources = XrtCurrencyField_res;
	XrtCurrencyField_class_info.num_resources = n_res_used;
#endif	

	CgEnterWidgetClassInfo(&XrtCurrencyField_class_info);

	
	/*
	 *	Define resources and class info for XrtIntField
	 */

	n_res_used = 0;
	for (n = 0; n < numfldint_res; n++) {
		if (xrtfldint_res_table[n].used) {
			XrtFld_cgdef_resource(xrtfldint_res_table, XrtIntField_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtIntField_class_info.name = "XrtIntField";
	XrtIntField_class_info.filename = "XrtIntField";
	XrtIntField_class_info.supername = "XrtField";
	XrtIntField_class_info.xt_name = "xmXrtIntFieldWidgetClass";
	XrtIntField_class_info.xt_filename = "Xm/XrtField.h";
	XrtIntField_class_info.resources = XrtIntField_res;
	XrtIntField_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtIntField_class_info);

	
	/*
	 *	Define resources and class info for XrtComboBox
	 */

	n_res_used = 0;
	for (n = 0; n < numfldcmb_res; n++) {
		if (xrtfldcmb_res_table[n].used) {
			XrtFld_cgdef_resource(xrtfldcmb_res_table, XrtComboBox_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtComboBox_class_info.name = "XrtComboBox";
	XrtComboBox_class_info.filename = "XrtComboBox";
	XrtComboBox_class_info.supername = "XrtFldManager";
	XrtComboBox_class_info.xt_name = "xmXrtComboBoxWidgetClass";
	XrtComboBox_class_info.xt_filename = "Xm/XrtField.h";
	XrtComboBox_class_info.resources = XrtComboBox_res;
	XrtComboBox_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtComboBox_class_info);

	
	/*
	 *	Define resources and class info for XrtSpinBox
	 */

	n_res_used = 0;
	for (n = 0; n < numfldspn_res; n++) {
		if (xrtfldspn_res_table[n].used) {
			XrtFld_cgdef_resource(xrtfldspn_res_table, XrtSpinBox_res,
								  n, n_res_used);
			n_res_used++;
		}
	}


	XrtSpinBox_class_info.name = "XrtSpinBox";
	XrtSpinBox_class_info.filename = "XrtSpinBox";
	XrtSpinBox_class_info.supername = "XrtFldManager";
	XrtSpinBox_class_info.xt_name = "xmXrtSpinBoxWidgetClass";
	XrtSpinBox_class_info.xt_filename = "Xm/XrtField.h";
	XrtSpinBox_class_info.resources = XrtSpinBox_res;
	XrtSpinBox_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtSpinBox_class_info);

	/*
	 *	Define resources and class info for XrtCalendar
	 */

	n_res_used = 0;
	for (n = 0; n < numfldcal_res; n++) {
		if (xrtfldcal_res_table[n].used) {
			XrtFld_cgdef_resource(xrtfldcal_res_table, XrtCalendar_res,
								  n, n_res_used);
			n_res_used++;
		}
	}

	XrtCalendar_class_info.name = "XrtCalendar";
	XrtCalendar_class_info.filename = "XrtCalendar";
	XrtCalendar_class_info.supername = "XrtFldManager";
	XrtCalendar_class_info.xt_name = "xmXrtCalendarWidgetClass";
	XrtCalendar_class_info.xt_filename = "Xm/XrtField.h";
	XrtCalendar_class_info.resources = XrtCalendar_res;
	XrtCalendar_class_info.num_resources = n_res_used;

	CgEnterWidgetClassInfo(&XrtCalendar_class_info);
}
