/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/graph widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGph_conf.c	1.5    95/09/27 KL Group Inc.
 */

/******************************************************************************
				XrtGph_conf.c
******************************************************************************/

#include <Xm/XrtGraph.h>

#ifndef	UXREGFUNC
# ifdef __STDC__
#  define UXREGFUNC(func)	UxRegisterFunction( #func, func)
# else
#  define UXREGFUNC(func)	UxRegisterFunction( "func", func)
# endif
#endif

void
XrtGph_register_functions()
{
	UXREGFUNC( XtCreateXrtGraph  );
	UXREGFUNC( XrtMakeData );
	UXREGFUNC( XrtMakeDataFromFile );
	UXREGFUNC( XrtSaveDataToFile );
	UXREGFUNC( XrtDestroyData );
	UXREGFUNC( XrtPick );
	UXREGFUNC( XrtMap );
	UXREGFUNC( XrtUnpick );
	UXREGFUNC( XrtUnmap );
	UXREGFUNC( XrtOutputPS );
	UXREGFUNC( XrtOutputXwd );
	UXREGFUNC( XrtDrawPS );
	UXREGFUNC( XrtGetImage );
	UXREGFUNC( XrtDupDataStyles );
	UXREGFUNC( XrtDupStrings );
	UXREGFUNC( XrtDupValueLabels );
	UXREGFUNC( XrtFreeDataStyles );
	UXREGFUNC( XrtFreeStrings );
	UXREGFUNC( XrtFreeValueLabels );
	UXREGFUNC( XrtSetNthDataStyle );
	UXREGFUNC( XrtSetNthDataStyle2 );
	UXREGFUNC( XrtSetNthSetLabel );
	UXREGFUNC( XrtSetNthSetLabel2 );
	UXREGFUNC( XrtSetNthPointLabel );
	UXREGFUNC( XrtSetNthPointLabel2 );
	UXREGFUNC( XrtSetXLabel );
	UXREGFUNC( XrtSetValueLabel );
	UXREGFUNC( XrtGetNthDataStyle );
	UXREGFUNC( XrtGetNthDataStyle2 );
	UXREGFUNC( XrtGetNthSetLabel );
	UXREGFUNC( XrtGetNthSetLabel2 );
	UXREGFUNC( XrtGetNthPointLabel );
	UXREGFUNC( XrtGetNthPointLabel2 );
	UXREGFUNC( XrtGetXLabel );
	UXREGFUNC( XrtGetValueLabel );
	UXREGFUNC( XrtDataSort );
	UXREGFUNC( XrtDataCopy );
	UXREGFUNC( XrtGenDataAppendPt );
	UXREGFUNC( XrtArrDataAppendPts );
	UXREGFUNC( XrtGenDataRemovePt );
	UXREGFUNC( XrtArrDataRemovePts );
	UXREGFUNC( XrtDataRemoveSet );
	UXREGFUNC( XrtDataExtractSet );
	UXREGFUNC( XrtDataConcat );
	UXREGFUNC( XrtFloatToArgVal );
	UXREGFUNC( XrtArgValToFloat );
	UXREGFUNC( XrtTextCreate );
	UXREGFUNC( XrtTextDetail );
	UXREGFUNC( XrtTextUpdate );
	UXREGFUNC( XrtTextDetach );
	UXREGFUNC( XrtTextAttach );
	UXREGFUNC( XrtTextDestroy );
	UXREGFUNC( XrtGetTextHandles );
	UXREGFUNC( XrtArrDataFastUpdate );
	UXREGFUNC( XrtGenDataFastUpdate );
	UXREGFUNC( XrtArrCheckAxisBounds );
	UXREGFUNC( XrtGenCheckAxisBounds );
	UXREGFUNC( XrtSetReverseConverters );
}

XrtGph_config()
{
	XtInitializeWidgetClass(xtXrtGraphWidgetClass);
	XrtSetReverseConverters();

	XrtGph_register_functions();
}
