/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/3d widget UIM/X integration file
 *
 * $AstecId: UxXrt3d.h,v 1.5 2000/06/19 08:32:14 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrt3d.h	1.12    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrt3d.h
******************************************************************************/

#ifndef UXXRT3D_INCLUDED
#define UXXRT3D_INCLUDED

#include "Xm/Xrt3d.h"	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxPrim.h"
#include "UxGadget.h"

#include "UxXrt3d.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define THREED_TABLE(x)	xrt3d_res_table[x].prpty, xrt3d_res_table[x].name
#define TXT3D_TABLE(x) xrt3dtext_res_table[x].prpty, xrt3dtext_res_table[x].name

#ifdef hp700v9
#define Xrt3dDoubleToArgVal(d) UxXrt3dDoubleToArgVal(0,d)
#endif /* hp700v9 */

/* Design-Time UxGet and UxPut macros for xrt3dAxisStrokeFont */
#ifndef	UxGetXrt3dAxisStrokeFont
#define	UxGetXrt3dAxisStrokeFont(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumAxisStrokeFont))
#endif
#ifndef	UxPutXrt3dAxisStrokeFont
#define	UxPutXrt3dAxisStrokeFont(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumAxisStrokeFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dAxisStrokeSize */
#ifndef	UxGetXrt3dAxisStrokeSize
#define	UxGetXrt3dAxisStrokeSize(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumAxisStrokeSize))
#endif
#ifndef	UxPutXrt3dAxisStrokeSize
#define	UxPutXrt3dAxisStrokeSize(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumAxisStrokeSize), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dAxisTitleStrokeFont */
#ifndef	UxGetXrt3dAxisTitleStrokeFont
#define	UxGetXrt3dAxisTitleStrokeFont(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumAxisTitleStrokeFont))
#endif
#ifndef	UxPutXrt3dAxisTitleStrokeFont
#define	UxPutXrt3dAxisTitleStrokeFont(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumAxisTitleStrokeFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dAxisTitleStrokeSize */
#ifndef	UxGetXrt3dAxisTitleStrokeSize
#define	UxGetXrt3dAxisTitleStrokeSize(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumAxisTitleStrokeSize))
#endif
#ifndef	UxPutXrt3dAxisTitleStrokeSize
#define	UxPutXrt3dAxisTitleStrokeSize(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumAxisTitleStrokeSize), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dBackgroundColor */
#ifndef	UxGetXrt3dBackgroundColor
#define	UxGetXrt3dBackgroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumBackgroundColor))
#endif
#ifndef	UxPutXrt3dBackgroundColor
#define	UxPutXrt3dBackgroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumBackgroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dContourStyles */
#ifndef	UxGetXrt3dContourStyles
#define	UxGetXrt3dContourStyles(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumContourStyles))
#endif
#ifndef	UxPutXrt3dContourStyles
#define	UxPutXrt3dContourStyles(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumContourStyles), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDataAreaBackgroundColor */
#ifndef	UxGetXrt3dDataAreaBackgroundColor
#define	UxGetXrt3dDataAreaBackgroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDataAreaBackgroundColor))
#endif
#ifndef	UxPutXrt3dDataAreaBackgroundColor
#define	UxPutXrt3dDataAreaBackgroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDataAreaBackgroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDebug */
#ifndef	UxGetXrt3dDebug
#define	UxGetXrt3dDebug(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDebug))
#endif
#ifndef	UxPutXrt3dDebug
#define	UxPutXrt3dDebug(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDebug), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDistnMethod */
#ifndef	UxGetXrt3dDistnMethod
#define	UxGetXrt3dDistnMethod(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDistnMethod))
#endif
#ifndef	UxPutXrt3dDistnMethod
#define	UxPutXrt3dDistnMethod(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDistnMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDistnTable */
#ifndef	UxGetXrt3dDistnTable
#define	UxGetXrt3dDistnTable(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDistnTable))
#endif
#ifndef	UxPutXrt3dDistnTable
#define	UxPutXrt3dDistnTable(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDistnTable), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDoubleBuffer */
#ifndef	UxGetXrt3dDoubleBuffer
#define	UxGetXrt3dDoubleBuffer(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDoubleBuffer))
#endif
#ifndef	UxPutXrt3dDoubleBuffer
#define	UxPutXrt3dDoubleBuffer(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDoubleBuffer), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDrawContours */
#ifndef	UxGetXrt3dDrawContours
#define	UxGetXrt3dDrawContours(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDrawContours))
#endif
#ifndef	UxPutXrt3dDrawContours
#define	UxPutXrt3dDrawContours(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDrawContours), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDrawHiddenLines */
#ifndef	UxGetXrt3dDrawHiddenLines
#define	UxGetXrt3dDrawHiddenLines(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDrawHiddenLines))
#endif
#ifndef	UxPutXrt3dDrawHiddenLines
#define	UxPutXrt3dDrawHiddenLines(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDrawHiddenLines), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDrawMesh */
#ifndef	UxGetXrt3dDrawMesh
#define	UxGetXrt3dDrawMesh(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDrawMesh))
#endif
#ifndef	UxPutXrt3dDrawMesh
#define	UxPutXrt3dDrawMesh(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDrawMesh), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDrawShaded */
#ifndef	UxGetXrt3dDrawShaded
#define	UxGetXrt3dDrawShaded(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDrawShaded))
#endif
#ifndef	UxPutXrt3dDrawShaded
#define	UxPutXrt3dDrawShaded(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDrawShaded), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dDrawZones */
#ifndef	UxGetXrt3dDrawZones
#define	UxGetXrt3dDrawZones(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDrawZones))
#endif
#ifndef	UxPutXrt3dDrawZones
#define	UxPutXrt3dDrawZones(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDrawZones), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterAdjust */
#ifndef	UxGetXrt3dFooterAdjust
#define	UxGetXrt3dFooterAdjust(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterAdjust))
#endif
#ifndef	UxPutXrt3dFooterAdjust
#define	UxPutXrt3dFooterAdjust(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterAdjust), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterBackgroundColor */
#ifndef	UxGetXrt3dFooterBackgroundColor
#define	UxGetXrt3dFooterBackgroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterBackgroundColor))
#endif
#ifndef	UxPutXrt3dFooterBackgroundColor
#define	UxPutXrt3dFooterBackgroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterBackgroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterBorder */
#ifndef	UxGetXrt3dFooterBorder
#define	UxGetXrt3dFooterBorder(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterBorder))
#endif
#ifndef	UxPutXrt3dFooterBorder
#define	UxPutXrt3dFooterBorder(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterBorder), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterBorderWidth */
#ifndef	UxGetXrt3dFooterBorderWidth
#define	UxGetXrt3dFooterBorderWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumFooterBorderWidth))
#endif
#ifndef	UxPutXrt3dFooterBorderWidth
#define	UxPutXrt3dFooterBorderWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumFooterBorderWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterFont */
#ifndef	UxGetXrt3dFooterFont
#define	UxGetXrt3dFooterFont(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterFont))
#endif
#ifndef	UxPutXrt3dFooterFont
#define	UxPutXrt3dFooterFont(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterForegroundColor */
#ifndef	UxGetXrt3dFooterForegroundColor
#define	UxGetXrt3dFooterForegroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterForegroundColor))
#endif
#ifndef	UxPutXrt3dFooterForegroundColor
#define	UxPutXrt3dFooterForegroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterForegroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterHeight */
#ifndef	UxGetXrt3dFooterHeight
#define	UxGetXrt3dFooterHeight(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumFooterHeight))
#endif
#ifndef	UxPutXrt3dFooterHeight
#define	UxPutXrt3dFooterHeight(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumFooterHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterStrings */
#ifndef	UxGetXrt3dFooterStrings
#define	UxGetXrt3dFooterStrings(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterStrings))
#endif
#ifndef	UxPutXrt3dFooterStrings
#define	UxPutXrt3dFooterStrings(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterStrings), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterWidth */
#ifndef	UxGetXrt3dFooterWidth
#define	UxGetXrt3dFooterWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumFooterWidth))
#endif
#ifndef	UxPutXrt3dFooterWidth
#define	UxPutXrt3dFooterWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumFooterWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterX */
#ifndef	UxGetXrt3dFooterX
#define	UxGetXrt3dFooterX(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumFooterX))
#endif
#ifndef	UxPutXrt3dFooterX
#define	UxPutXrt3dFooterX(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumFooterX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterXUseDefault */
#ifndef	UxGetXrt3dFooterXUseDefault
#define	UxGetXrt3dFooterXUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterXUseDefault))
#endif
#ifndef	UxPutXrt3dFooterXUseDefault
#define	UxPutXrt3dFooterXUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterXUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterY */
#ifndef	UxGetXrt3dFooterY
#define	UxGetXrt3dFooterY(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumFooterY))
#endif
#ifndef	UxPutXrt3dFooterY
#define	UxPutXrt3dFooterY(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumFooterY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dFooterYUseDefault */
#ifndef	UxGetXrt3dFooterYUseDefault
#define	UxGetXrt3dFooterYUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterYUseDefault))
#endif
#ifndef	UxPutXrt3dFooterYUseDefault
#define	UxPutXrt3dFooterYUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterYUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dForegroundColor */
#ifndef	UxGetXrt3dForegroundColor
#define	UxGetXrt3dForegroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumForegroundColor))
#endif
#ifndef	UxPutXrt3dForegroundColor
#define	UxPutXrt3dForegroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumForegroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphBackgroundColor */
#ifndef	UxGetXrt3dGraphBackgroundColor
#define	UxGetXrt3dGraphBackgroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphBackgroundColor))
#endif
#ifndef	UxPutXrt3dGraphBackgroundColor
#define	UxPutXrt3dGraphBackgroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphBackgroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphBorder */
#ifndef	UxGetXrt3dGraphBorder
#define	UxGetXrt3dGraphBorder(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphBorder))
#endif
#ifndef	UxPutXrt3dGraphBorder
#define	UxPutXrt3dGraphBorder(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphBorder), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphBorderWidth */
#ifndef	UxGetXrt3dGraphBorderWidth
#define	UxGetXrt3dGraphBorderWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumGraphBorderWidth))
#endif
#ifndef	UxPutXrt3dGraphBorderWidth
#define	UxPutXrt3dGraphBorderWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumGraphBorderWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphForegroundColor */
#ifndef	UxGetXrt3dGraphForegroundColor
#define	UxGetXrt3dGraphForegroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphForegroundColor))
#endif
#ifndef	UxPutXrt3dGraphForegroundColor
#define	UxPutXrt3dGraphForegroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphForegroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphHeight */
#ifndef	UxGetXrt3dGraphHeight
#define	UxGetXrt3dGraphHeight(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumGraphHeight))
#endif
#ifndef	UxPutXrt3dGraphHeight
#define	UxPutXrt3dGraphHeight(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumGraphHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphHeightUseDefault */
#ifndef	UxGetXrt3dGraphHeightUseDefault
#define	UxGetXrt3dGraphHeightUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphHeightUseDefault))
#endif
#ifndef	UxPutXrt3dGraphHeightUseDefault
#define	UxPutXrt3dGraphHeightUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphHeightUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphWidth */
#ifndef	UxGetXrt3dGraphWidth
#define	UxGetXrt3dGraphWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumGraphWidth))
#endif
#ifndef	UxPutXrt3dGraphWidth
#define	UxPutXrt3dGraphWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumGraphWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphWidthUseDefault */
#ifndef	UxGetXrt3dGraphWidthUseDefault
#define	UxGetXrt3dGraphWidthUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphWidthUseDefault))
#endif
#ifndef	UxPutXrt3dGraphWidthUseDefault
#define	UxPutXrt3dGraphWidthUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphWidthUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphX */
#ifndef	UxGetXrt3dGraphX
#define	UxGetXrt3dGraphX(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumGraphX))
#endif
#ifndef	UxPutXrt3dGraphX
#define	UxPutXrt3dGraphX(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumGraphX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphXUseDefault */
#ifndef	UxGetXrt3dGraphXUseDefault
#define	UxGetXrt3dGraphXUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphXUseDefault))
#endif
#ifndef	UxPutXrt3dGraphXUseDefault
#define	UxPutXrt3dGraphXUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphXUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphY */
#ifndef	UxGetXrt3dGraphY
#define	UxGetXrt3dGraphY(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumGraphY))
#endif
#ifndef	UxPutXrt3dGraphY
#define	UxPutXrt3dGraphY(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumGraphY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dGraphYUseDefault */
#ifndef	UxGetXrt3dGraphYUseDefault
#define	UxGetXrt3dGraphYUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphYUseDefault))
#endif
#ifndef	UxPutXrt3dGraphYUseDefault
#define	UxPutXrt3dGraphYUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphYUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderAdjust */
#ifndef	UxGetXrt3dHeaderAdjust
#define	UxGetXrt3dHeaderAdjust(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderAdjust))
#endif
#ifndef	UxPutXrt3dHeaderAdjust
#define	UxPutXrt3dHeaderAdjust(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderAdjust), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderBackgroundColor */
#ifndef	UxGetXrt3dHeaderBackgroundColor
#define	UxGetXrt3dHeaderBackgroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderBackgroundColor))
#endif
#ifndef	UxPutXrt3dHeaderBackgroundColor
#define	UxPutXrt3dHeaderBackgroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderBackgroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderBorder */
#ifndef	UxGetXrt3dHeaderBorder
#define	UxGetXrt3dHeaderBorder(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderBorder))
#endif
#ifndef	UxPutXrt3dHeaderBorder
#define	UxPutXrt3dHeaderBorder(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderBorder), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderBorderWidth */
#ifndef	UxGetXrt3dHeaderBorderWidth
#define	UxGetXrt3dHeaderBorderWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumHeaderBorderWidth))
#endif
#ifndef	UxPutXrt3dHeaderBorderWidth
#define	UxPutXrt3dHeaderBorderWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumHeaderBorderWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderFont */
#ifndef	UxGetXrt3dHeaderFont
#define	UxGetXrt3dHeaderFont(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderFont))
#endif
#ifndef	UxPutXrt3dHeaderFont
#define	UxPutXrt3dHeaderFont(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderForegroundColor */
#ifndef	UxGetXrt3dHeaderForegroundColor
#define	UxGetXrt3dHeaderForegroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderForegroundColor))
#endif
#ifndef	UxPutXrt3dHeaderForegroundColor
#define	UxPutXrt3dHeaderForegroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderForegroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderHeight */
#ifndef	UxGetXrt3dHeaderHeight
#define	UxGetXrt3dHeaderHeight(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumHeaderHeight))
#endif
#ifndef	UxPutXrt3dHeaderHeight
#define	UxPutXrt3dHeaderHeight(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumHeaderHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderStrings */
#ifndef	UxGetXrt3dHeaderStrings
#define	UxGetXrt3dHeaderStrings(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderStrings))
#endif
#ifndef	UxPutXrt3dHeaderStrings
#define	UxPutXrt3dHeaderStrings(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderStrings), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderWidth */
#ifndef	UxGetXrt3dHeaderWidth
#define	UxGetXrt3dHeaderWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumHeaderWidth))
#endif
#ifndef	UxPutXrt3dHeaderWidth
#define	UxPutXrt3dHeaderWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumHeaderWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderX */
#ifndef	UxGetXrt3dHeaderX
#define	UxGetXrt3dHeaderX(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumHeaderX))
#endif
#ifndef	UxPutXrt3dHeaderX
#define	UxPutXrt3dHeaderX(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumHeaderX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderXUseDefault */
#ifndef	UxGetXrt3dHeaderXUseDefault
#define	UxGetXrt3dHeaderXUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderXUseDefault))
#endif
#ifndef	UxPutXrt3dHeaderXUseDefault
#define	UxPutXrt3dHeaderXUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderXUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderY */
#ifndef	UxGetXrt3dHeaderY
#define	UxGetXrt3dHeaderY(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumHeaderY))
#endif
#ifndef	UxPutXrt3dHeaderY
#define	UxPutXrt3dHeaderY(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumHeaderY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dHeaderYUseDefault */
#ifndef	UxGetXrt3dHeaderYUseDefault
#define	UxGetXrt3dHeaderYUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderYUseDefault))
#endif
#ifndef	UxPutXrt3dHeaderYUseDefault
#define	UxPutXrt3dHeaderYUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderYUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendAnchor */
#ifndef	UxGetXrt3dLegendAnchor
#define	UxGetXrt3dLegendAnchor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendAnchor))
#endif
#ifndef	UxPutXrt3dLegendAnchor
#define	UxPutXrt3dLegendAnchor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendAnchor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendBackgroundColor */
#ifndef	UxGetXrt3dLegendBackgroundColor
#define	UxGetXrt3dLegendBackgroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendBackgroundColor))
#endif
#ifndef	UxPutXrt3dLegendBackgroundColor
#define	UxPutXrt3dLegendBackgroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendBackgroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendBorder */
#ifndef	UxGetXrt3dLegendBorder
#define	UxGetXrt3dLegendBorder(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendBorder))
#endif
#ifndef	UxPutXrt3dLegendBorder
#define	UxPutXrt3dLegendBorder(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendBorder), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendBorderWidth */
#ifndef	UxGetXrt3dLegendBorderWidth
#define	UxGetXrt3dLegendBorderWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumLegendBorderWidth))
#endif
#ifndef	UxPutXrt3dLegendBorderWidth
#define	UxPutXrt3dLegendBorderWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumLegendBorderWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendFont */
#ifndef	UxGetXrt3dLegendFont
#define	UxGetXrt3dLegendFont(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendFont))
#endif
#ifndef	UxPutXrt3dLegendFont
#define	UxPutXrt3dLegendFont(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendForegroundColor */
#ifndef	UxGetXrt3dLegendForegroundColor
#define	UxGetXrt3dLegendForegroundColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendForegroundColor))
#endif
#ifndef	UxPutXrt3dLegendForegroundColor
#define	UxPutXrt3dLegendForegroundColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendForegroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendHeight */
#ifndef	UxGetXrt3dLegendHeight
#define	UxGetXrt3dLegendHeight(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumLegendHeight))
#endif
#ifndef	UxPutXrt3dLegendHeight
#define	UxPutXrt3dLegendHeight(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumLegendHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendLabelFunc */
#ifndef	UxGetXrt3dLegendLabelFunc
#define	UxGetXrt3dLegendLabelFunc(sw) \
	UxGET_voidFunction(sw, THREED_TABLE(xrt3dResNumLegendLabelFunc))
#endif
#ifndef	UxPutXrt3dLegendLabelFunc
#define	UxPutXrt3dLegendLabelFunc(sw, val) \
	UxPUT_voidFunction(sw, THREED_TABLE(xrt3dResNumLegendLabelFunc), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendOrientation */
#ifndef	UxGetXrt3dLegendOrientation
#define	UxGetXrt3dLegendOrientation(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendOrientation))
#endif
#ifndef	UxPutXrt3dLegendOrientation
#define	UxPutXrt3dLegendOrientation(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendOrientation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendShow */
#ifndef	UxGetXrt3dLegendShow
#define	UxGetXrt3dLegendShow(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendShow))
#endif
#ifndef	UxPutXrt3dLegendShow
#define	UxPutXrt3dLegendShow(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendStrings */
#ifndef	UxGetXrt3dLegendStrings
#define	UxGetXrt3dLegendStrings(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendStrings))
#endif
#ifndef	UxPutXrt3dLegendStrings
#define	UxPutXrt3dLegendStrings(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendStrings), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendStyle */
#ifndef	UxGetXrt3dLegendStyle
#define	UxGetXrt3dLegendStyle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendStyle))
#endif
#ifndef	UxPutXrt3dLegendStyle
#define	UxPutXrt3dLegendStyle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendWidth */
#ifndef	UxGetXrt3dLegendWidth
#define	UxGetXrt3dLegendWidth(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumLegendWidth))
#endif
#ifndef	UxPutXrt3dLegendWidth
#define	UxPutXrt3dLegendWidth(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumLegendWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendX */
#ifndef	UxGetXrt3dLegendX
#define	UxGetXrt3dLegendX(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumLegendX))
#endif
#ifndef	UxPutXrt3dLegendX
#define	UxPutXrt3dLegendX(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumLegendX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendXUseDefault */
#ifndef	UxGetXrt3dLegendXUseDefault
#define	UxGetXrt3dLegendXUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendXUseDefault))
#endif
#ifndef	UxPutXrt3dLegendXUseDefault
#define	UxPutXrt3dLegendXUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendXUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendY */
#ifndef	UxGetXrt3dLegendY
#define	UxGetXrt3dLegendY(sw) \
	UxGET_short(sw, THREED_TABLE(xrt3dResNumLegendY))
#endif
#ifndef	UxPutXrt3dLegendY
#define	UxPutXrt3dLegendY(sw, val) \
	UxPUT_short(sw, THREED_TABLE(xrt3dResNumLegendY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dLegendYUseDefault */
#ifndef	UxGetXrt3dLegendYUseDefault
#define	UxGetXrt3dLegendYUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendYUseDefault))
#endif
#ifndef	UxPutXrt3dLegendYUseDefault
#define	UxPutXrt3dLegendYUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendYUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dMeshBottomColor */
#ifndef	UxGetXrt3dMeshBottomColor
#define	UxGetXrt3dMeshBottomColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumMeshBottomColor))
#endif
#ifndef	UxPutXrt3dMeshBottomColor
#define	UxPutXrt3dMeshBottomColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumMeshBottomColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dMeshTopColor */
#ifndef	UxGetXrt3dMeshTopColor
#define	UxGetXrt3dMeshTopColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumMeshTopColor))
#endif
#ifndef	UxPutXrt3dMeshTopColor
#define	UxPutXrt3dMeshTopColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumMeshTopColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dNumDistnLevels */
#ifndef	UxGetXrt3dNumDistnLevels
#define	UxGetXrt3dNumDistnLevels(sw) \
	UxGET_int(sw, THREED_TABLE(xrt3dResNumNumDistnLevels))
#endif
#ifndef	UxPutXrt3dNumDistnLevels
#define	UxPutXrt3dNumDistnLevels(sw, val) \
	UxPUT_int(sw, THREED_TABLE(xrt3dResNumNumDistnLevels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dPerspectiveDepth */
#ifndef	UxGetXrt3dPerspectiveDepth
#define	UxGetXrt3dPerspectiveDepth(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumPerspectiveDepth))
#endif
#ifndef	UxPutXrt3dPerspectiveDepth
#define	UxPutXrt3dPerspectiveDepth(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumPerspectiveDepth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dPreviewMethod */
#ifndef	UxGetXrt3dPreviewMethod
#define	UxGetXrt3dPreviewMethod(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumPreviewMethod))
#endif
#ifndef	UxPutXrt3dPreviewMethod
#define	UxPutXrt3dPreviewMethod(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumPreviewMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dProjectZMax */
#ifndef	UxGetXrt3dProjectZMax
#define	UxGetXrt3dProjectZMax(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumProjectZMax))
#endif
#ifndef	UxPutXrt3dProjectZMax
#define	UxPutXrt3dProjectZMax(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumProjectZMax), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dProjectZMin */
#ifndef	UxGetXrt3dProjectZMin
#define	UxGetXrt3dProjectZMin(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumProjectZMin))
#endif
#ifndef	UxPutXrt3dProjectZMin
#define	UxPutXrt3dProjectZMin(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumProjectZMin), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dRepaint */
#ifndef	UxGetXrt3dRepaint
#define	UxGetXrt3dRepaint(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumRepaint))
#endif
#ifndef	UxPutXrt3dRepaint
#define	UxPutXrt3dRepaint(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumRepaint), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dSolidSurface */
#ifndef	UxGetXrt3dSolidSurface
#define	UxGetXrt3dSolidSurface(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumSolidSurface))
#endif
#ifndef	UxPutXrt3dSolidSurface
#define	UxPutXrt3dSolidSurface(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumSolidSurface), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dSurfaceBottomColor */
#ifndef	UxGetXrt3dSurfaceBottomColor
#define	UxGetXrt3dSurfaceBottomColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumSurfaceBottomColor))
#endif
#ifndef	UxPutXrt3dSurfaceBottomColor
#define	UxPutXrt3dSurfaceBottomColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumSurfaceBottomColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dSurfaceData */
#ifndef	UxGetXrt3dSurfaceData
#define	UxGetXrt3dSurfaceData(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumSurfaceData))
#endif
#ifndef	UxPutXrt3dSurfaceData
#define	UxPutXrt3dSurfaceData(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumSurfaceData), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dSurfaceTopColor */
#ifndef	UxGetXrt3dSurfaceTopColor
#define	UxGetXrt3dSurfaceTopColor(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumSurfaceTopColor))
#endif
#ifndef	UxPutXrt3dSurfaceTopColor
#define	UxPutXrt3dSurfaceTopColor(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumSurfaceTopColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextList */
#ifndef	UxGetXrt3dTextList
#define	UxGetXrt3dTextList(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumTextList))
#endif
#ifndef	UxPutXrt3dTextList
#define	UxPutXrt3dTextList(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumTextList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dType */
#ifndef	UxGetXrt3dType
#define	UxGetXrt3dType(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumType))
#endif
#ifndef	UxPutXrt3dType
#define	UxPutXrt3dType(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumType), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dViewNormalized */
#ifndef	UxGetXrt3dViewNormalized
#define	UxGetXrt3dViewNormalized(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumViewNormalized))
#endif
#ifndef	UxPutXrt3dViewNormalized
#define	UxPutXrt3dViewNormalized(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumViewNormalized), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dViewScale */
#ifndef	UxGetXrt3dViewScale
#define	UxGetXrt3dViewScale(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumViewScale))
#endif
#ifndef	UxPutXrt3dViewScale
#define	UxPutXrt3dViewScale(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumViewScale), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dViewXTranslate */
#ifndef	UxGetXrt3dViewXTranslate
#define	UxGetXrt3dViewXTranslate(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumViewXTranslate))
#endif
#ifndef	UxPutXrt3dViewXTranslate
#define	UxPutXrt3dViewXTranslate(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumViewXTranslate), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dViewYTranslate */
#ifndef	UxGetXrt3dViewYTranslate
#define	UxGetXrt3dViewYTranslate(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumViewYTranslate))
#endif
#ifndef	UxPutXrt3dViewYTranslate
#define	UxPutXrt3dViewYTranslate(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumViewYTranslate), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXAnnoMethod */
#ifndef	UxGetXrt3dXAnnoMethod
#define	UxGetXrt3dXAnnoMethod(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXAnnoMethod))
#endif
#ifndef	UxPutXrt3dXAnnoMethod
#define	UxPutXrt3dXAnnoMethod(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXAnnoMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXAxisShow */
#ifndef	UxGetXrt3dXAxisShow
#define	UxGetXrt3dXAxisShow(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXAxisShow))
#endif
#ifndef	UxPutXrt3dXAxisShow
#define	UxPutXrt3dXAxisShow(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXAxisShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXAxisTitle */
#ifndef	UxGetXrt3dXAxisTitle
#define	UxGetXrt3dXAxisTitle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXAxisTitle))
#endif
#ifndef	UxPutXrt3dXAxisTitle
#define	UxPutXrt3dXAxisTitle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXAxisTitle), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXBarFormat */
#ifndef	UxGetXrt3dXBarFormat
#define	UxGetXrt3dXBarFormat(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXBarFormat))
#endif
#ifndef	UxPutXrt3dXBarFormat
#define	UxPutXrt3dXBarFormat(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXBarFormat), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXBarSpacing */
#ifndef	UxGetXrt3dXBarSpacing
#define	UxGetXrt3dXBarSpacing(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumXBarSpacing))
#endif
#ifndef	UxPutXrt3dXBarSpacing
#define	UxPutXrt3dXBarSpacing(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumXBarSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXDataLabels */
#ifndef	UxGetXrt3dXDataLabels
#define	UxGetXrt3dXDataLabels(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXDataLabels))
#endif
#ifndef	UxPutXrt3dXDataLabels
#define	UxPutXrt3dXDataLabels(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXDataLabels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXGridLines */
#ifndef	UxGetXrt3dXGridLines
#define	UxGetXrt3dXGridLines(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXGridLines))
#endif
#ifndef	UxPutXrt3dXGridLines
#define	UxPutXrt3dXGridLines(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXGridLines), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXMax */
#ifndef	UxGetXrt3dXMax
#define	UxGetXrt3dXMax(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumXMax))
#endif
#ifndef	UxPutXrt3dXMax
#define	UxPutXrt3dXMax(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumXMax), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXMaxUseDefault */
#ifndef	UxGetXrt3dXMaxUseDefault
#define	UxGetXrt3dXMaxUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXMaxUseDefault))
#endif
#ifndef	UxPutXrt3dXMaxUseDefault
#define	UxPutXrt3dXMaxUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXMaxUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXMeshFilter */
#ifndef	UxGetXrt3dXMeshFilter
#define	UxGetXrt3dXMeshFilter(sw) \
	UxGET_int(sw, THREED_TABLE(xrt3dResNumXMeshFilter))
#endif
#ifndef	UxPutXrt3dXMeshFilter
#define	UxPutXrt3dXMeshFilter(sw, val) \
	UxPUT_int(sw, THREED_TABLE(xrt3dResNumXMeshFilter), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXMeshShow */
#ifndef	UxGetXrt3dXMeshShow
#define	UxGetXrt3dXMeshShow(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXMeshShow))
#endif
#ifndef	UxPutXrt3dXMeshShow
#define	UxPutXrt3dXMeshShow(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXMeshShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXMin */
#ifndef	UxGetXrt3dXMin
#define	UxGetXrt3dXMin(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumXMin))
#endif
#ifndef	UxPutXrt3dXMin
#define	UxPutXrt3dXMin(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumXMin), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXMinUseDefault */
#ifndef	UxGetXrt3dXMinUseDefault
#define	UxGetXrt3dXMinUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXMinUseDefault))
#endif
#ifndef	UxPutXrt3dXMinUseDefault
#define	UxPutXrt3dXMinUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXMinUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXRotation */
#ifndef	UxGetXrt3dXRotation
#define	UxGetXrt3dXRotation(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumXRotation))
#endif
#ifndef	UxPutXrt3dXRotation
#define	UxPutXrt3dXRotation(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumXRotation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXScale */
#ifndef	UxGetXrt3dXScale
#define	UxGetXrt3dXScale(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumXScale))
#endif
#ifndef	UxPutXrt3dXScale
#define	UxPutXrt3dXScale(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumXScale), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXValueLabels */
#ifndef	UxGetXrt3dXValueLabels
#define	UxGetXrt3dXValueLabels(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXValueLabels))
#endif
#ifndef	UxPutXrt3dXValueLabels
#define	UxPutXrt3dXValueLabels(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXValueLabels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dXYColors */
#ifndef	UxGetXrt3dXYColors
#define	UxGetXrt3dXYColors(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXYColors))
#endif
#ifndef	UxPutXrt3dXYColors
#define	UxPutXrt3dXYColors(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXYColors), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYAnnoMethod */
#ifndef	UxGetXrt3dYAnnoMethod
#define	UxGetXrt3dYAnnoMethod(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYAnnoMethod))
#endif
#ifndef	UxPutXrt3dYAnnoMethod
#define	UxPutXrt3dYAnnoMethod(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYAnnoMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYAxisShow */
#ifndef	UxGetXrt3dYAxisShow
#define	UxGetXrt3dYAxisShow(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYAxisShow))
#endif
#ifndef	UxPutXrt3dYAxisShow
#define	UxPutXrt3dYAxisShow(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYAxisShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYAxisTitle */
#ifndef	UxGetXrt3dYAxisTitle
#define	UxGetXrt3dYAxisTitle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYAxisTitle))
#endif
#ifndef	UxPutXrt3dYAxisTitle
#define	UxPutXrt3dYAxisTitle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYAxisTitle), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYBarFormat */
#ifndef	UxGetXrt3dYBarFormat
#define	UxGetXrt3dYBarFormat(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYBarFormat))
#endif
#ifndef	UxPutXrt3dYBarFormat
#define	UxPutXrt3dYBarFormat(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYBarFormat), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYBarSpacing */
#ifndef	UxGetXrt3dYBarSpacing
#define	UxGetXrt3dYBarSpacing(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumYBarSpacing))
#endif
#ifndef	UxPutXrt3dYBarSpacing
#define	UxPutXrt3dYBarSpacing(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumYBarSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYDataLabels */
#ifndef	UxGetXrt3dYDataLabels
#define	UxGetXrt3dYDataLabels(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYDataLabels))
#endif
#ifndef	UxPutXrt3dYDataLabels
#define	UxPutXrt3dYDataLabels(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYDataLabels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYGridLines */
#ifndef	UxGetXrt3dYGridLines
#define	UxGetXrt3dYGridLines(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYGridLines))
#endif
#ifndef	UxPutXrt3dYGridLines
#define	UxPutXrt3dYGridLines(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYGridLines), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYMax */
#ifndef	UxGetXrt3dYMax
#define	UxGetXrt3dYMax(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumYMax))
#endif
#ifndef	UxPutXrt3dYMax
#define	UxPutXrt3dYMax(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumYMax), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYMaxUseDefault */
#ifndef	UxGetXrt3dYMaxUseDefault
#define	UxGetXrt3dYMaxUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYMaxUseDefault))
#endif
#ifndef	UxPutXrt3dYMaxUseDefault
#define	UxPutXrt3dYMaxUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYMaxUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYMeshFilter */
#ifndef	UxGetXrt3dYMeshFilter
#define	UxGetXrt3dYMeshFilter(sw) \
	UxGET_int(sw, THREED_TABLE(xrt3dResNumYMeshFilter))
#endif
#ifndef	UxPutXrt3dYMeshFilter
#define	UxPutXrt3dYMeshFilter(sw, val) \
	UxPUT_int(sw, THREED_TABLE(xrt3dResNumYMeshFilter), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYMeshShow */
#ifndef	UxGetXrt3dYMeshShow
#define	UxGetXrt3dYMeshShow(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYMeshShow))
#endif
#ifndef	UxPutXrt3dYMeshShow
#define	UxPutXrt3dYMeshShow(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYMeshShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYMin */
#ifndef	UxGetXrt3dYMin
#define	UxGetXrt3dYMin(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumYMin))
#endif
#ifndef	UxPutXrt3dYMin
#define	UxPutXrt3dYMin(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumYMin), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYMinUseDefault */
#ifndef	UxGetXrt3dYMinUseDefault
#define	UxGetXrt3dYMinUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYMinUseDefault))
#endif
#ifndef	UxPutXrt3dYMinUseDefault
#define	UxPutXrt3dYMinUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYMinUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYRotation */
#ifndef	UxGetXrt3dYRotation
#define	UxGetXrt3dYRotation(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumYRotation))
#endif
#ifndef	UxPutXrt3dYRotation
#define	UxPutXrt3dYRotation(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumYRotation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYScale */
#ifndef	UxGetXrt3dYScale
#define	UxGetXrt3dYScale(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumYScale))
#endif
#ifndef	UxPutXrt3dYScale
#define	UxPutXrt3dYScale(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumYScale), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dYValueLabels */
#ifndef	UxGetXrt3dYValueLabels
#define	UxGetXrt3dYValueLabels(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYValueLabels))
#endif
#ifndef	UxPutXrt3dYValueLabels
#define	UxPutXrt3dYValueLabels(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYValueLabels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZAnnoMethod */
#ifndef	UxGetXrt3dZAnnoMethod
#define	UxGetXrt3dZAnnoMethod(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZAnnoMethod))
#endif
#ifndef	UxPutXrt3dZAnnoMethod
#define	UxPutXrt3dZAnnoMethod(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZAnnoMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZAxisShow */
#ifndef	UxGetXrt3dZAxisShow
#define	UxGetXrt3dZAxisShow(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZAxisShow))
#endif
#ifndef	UxPutXrt3dZAxisShow
#define	UxPutXrt3dZAxisShow(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZAxisShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZAxisTitle */
#ifndef	UxGetXrt3dZAxisTitle
#define	UxGetXrt3dZAxisTitle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZAxisTitle))
#endif
#ifndef	UxPutXrt3dZAxisTitle
#define	UxPutXrt3dZAxisTitle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZAxisTitle), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZGridLines */
#ifndef	UxGetXrt3dZGridLines
#define	UxGetXrt3dZGridLines(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZGridLines))
#endif
#ifndef	UxPutXrt3dZGridLines
#define	UxPutXrt3dZGridLines(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZGridLines), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZMax */
#ifndef	UxGetXrt3dZMax
#define	UxGetXrt3dZMax(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumZMax))
#endif
#ifndef	UxPutXrt3dZMax
#define	UxPutXrt3dZMax(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumZMax), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZMaxUseDefault */
#ifndef	UxGetXrt3dZMaxUseDefault
#define	UxGetXrt3dZMaxUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZMaxUseDefault))
#endif
#ifndef	UxPutXrt3dZMaxUseDefault
#define	UxPutXrt3dZMaxUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZMaxUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZMin */
#ifndef	UxGetXrt3dZMin
#define	UxGetXrt3dZMin(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumZMin))
#endif
#ifndef	UxPutXrt3dZMin
#define	UxPutXrt3dZMin(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumZMin), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZMinUseDefault */
#ifndef	UxGetXrt3dZMinUseDefault
#define	UxGetXrt3dZMinUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZMinUseDefault))
#endif
#ifndef	UxPutXrt3dZMinUseDefault
#define	UxPutXrt3dZMinUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZMinUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZOrigin */
#ifndef	UxGetXrt3dZOrigin
#define	UxGetXrt3dZOrigin(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumZOrigin))
#endif
#ifndef	UxPutXrt3dZOrigin
#define	UxPutXrt3dZOrigin(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumZOrigin), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZRotation */
#ifndef	UxGetXrt3dZRotation
#define	UxGetXrt3dZRotation(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumZRotation))
#endif
#ifndef	UxPutXrt3dZRotation
#define	UxPutXrt3dZRotation(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumZRotation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZScale */
#ifndef	UxGetXrt3dZScale
#define	UxGetXrt3dZScale(sw) \
	UxXrtGET_double(sw, THREED_TABLE(xrt3dResNumZScale))
#endif
#ifndef	UxPutXrt3dZScale
#define	UxPutXrt3dZScale(sw, val) \
	UxXrtPUT_double(sw, THREED_TABLE(xrt3dResNumZScale), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZValueLabels */
#ifndef	UxGetXrt3dZValueLabels
#define	UxGetXrt3dZValueLabels(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZValueLabels))
#endif
#ifndef	UxPutXrt3dZValueLabels
#define	UxPutXrt3dZValueLabels(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZValueLabels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZoneData */
#ifndef	UxGetXrt3dZoneData
#define	UxGetXrt3dZoneData(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZoneData))
#endif
#ifndef	UxPutXrt3dZoneData
#define	UxPutXrt3dZoneData(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZoneData), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dZoneMethod */
#ifndef	UxGetXrt3dZoneMethod
#define	UxGetXrt3dZoneMethod(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZoneMethod))
#endif
#ifndef	UxPutXrt3dZoneMethod
#define	UxPutXrt3dZoneMethod(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZoneMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dColorFunc */
#ifndef UxGetXrt3dColorFunc
#define UxGetXrt3dColorFunc(sw) \
	UxGET_voidFunction(sw, THREED_TABLE(xrt3dResNumColorFunc))
#endif
#ifndef UxPutXrt3dColorFunc
#define UxPutXrt3dColorFunc(sw, val) \
	UxPUT_voidFunction(sw, THREED_TABLE(xrt3dResNumColorFunc), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dDataStyles */
#ifndef UxGetXrt3dDataStyles
#define UxGetXrt3dDataStyles(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDataStyles))
#endif
#ifndef UxPutXrt3dDataStyles
#define UxPutXrt3dDataStyles(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDataStyles), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dDataStylesUseDefault */
#ifndef UxGetXrt3dDataStylesUseDefault
#define UxGetXrt3dDataStylesUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDataStylesUseDefault))
#endif
#ifndef UxPutXrt3dDataStylesUseDefault
#define UxPutXrt3dDataStylesUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDataStylesUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dDrawDropLines */
#ifndef UxGetXrt3dDrawDropLines
#define UxGetXrt3dDrawDropLines(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumDrawDropLines))
#endif
#ifndef UxPutXrt3dDrawDropLines
#define UxPutXrt3dDrawDropLines(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumDrawDropLines), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dFooterImage */
#ifndef UxGetXrt3dFooterImage
#define UxGetXrt3dFooterImage(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterImage))
#endif
#ifndef UxPutXrt3dFooterImage
#define UxPutXrt3dFooterImage(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterImage), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dFooterImageLayout */
#ifndef UxGetXrt3dFooterImageLayout
#define UxGetXrt3dFooterImageLayout(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterImageLayout))
#endif
#ifndef UxPutXrt3dFooterImageLayout
#define UxPutXrt3dFooterImageLayout(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dFooterImageMinimumSize */
#ifndef UxGetXrt3dFooterImageMinimumSize
#define UxGetXrt3dFooterImageMinimumSize(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumFooterImageMinimumSize))
#endif
#ifndef UxPutXrt3dFooterImageMinimumSize
#define UxPutXrt3dFooterImageMinimumSize(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumFooterImageMinimumSize),val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dGraphImage */
#ifndef UxGetXrt3dGraphImage
#define UxGetXrt3dGraphImage(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphImage))
#endif
#ifndef UxPutXrt3dGraphImage
#define UxPutXrt3dGraphImage(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphImage), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dGraphImageLayout */
#ifndef UxGetXrt3dGraphImageLayout
#define UxGetXrt3dGraphImageLayout(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumGraphImageLayout))
#endif
#ifndef UxPutXrt3dGraphImageLayout
#define UxPutXrt3dGraphImageLayout(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumGraphImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dHeaderImage */
#ifndef UxGetXrt3dHeaderImage
#define UxGetXrt3dHeaderImage(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderImage))
#endif
#ifndef UxPutXrt3dHeaderImage
#define UxPutXrt3dHeaderImage(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderImage), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dHeaderImageLayout */
#ifndef UxGetXrt3dHeaderImageLayout
#define UxGetXrt3dHeaderImageLayout(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderImageLayout))
#endif
#ifndef UxPutXrt3dHeaderImageLayout
#define UxPutXrt3dHeaderImageLayout(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dHeaderImageMinimumSize */
#ifndef UxGetXrt3dHeaderImageMinimumSize
#define UxGetXrt3dHeaderImageMinimumSize(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumHeaderImageMinimumSize))
#endif
#ifndef UxPutXrt3dHeaderImageMinimumSize
#define UxPutXrt3dHeaderImageMinimumSize(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumHeaderImageMinimumSize), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dImage */
#ifndef UxGetXrt3dImage
#define UxGetXrt3dImage(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumImage))
#endif
#ifndef UxPutXrt3dImage
#define UxPutXrt3dImage(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumImage), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dImageLayout */
#ifndef UxGetXrt3dImageLayout
#define UxGetXrt3dImageLayout(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumImageLayout))
#endif
#ifndef UxPutXrt3dImageLayout
#define UxPutXrt3dImageLayout(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dLegendDistnRange */
#ifndef UxGetXrt3dLegendDistnRange
#define UxGetXrt3dLegendDistnRange(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendDistnRange))
#endif
#ifndef UxPutXrt3dLegendDistnRange
#define UxPutXrt3dLegendDistnRange(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendDistnRange), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dLegendImage */
#ifndef UxGetXrt3dLegendImage
#define UxGetXrt3dLegendImage(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendImage))
#endif
#ifndef UxPutXrt3dLegendImage
#define UxPutXrt3dLegendImage(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendImage), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dLegendImageLayout */
#ifndef UxGetXrt3dLegendImageLayout
#define UxGetXrt3dLegendImageLayout(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendImageLayout))
#endif
#ifndef UxPutXrt3dLegendImageLayout
#define UxPutXrt3dLegendImageLayout(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dLegendLabelFilter */
#ifndef UxGetXrt3dLegendLabelFilter
#define UxGetXrt3dLegendLabelFilter(sw) \
	UxGET_int(sw, THREED_TABLE(xrt3dResNumLegendLabelFilter))
#endif
#ifndef UxPutXrt3dLegendLabelFilter
#define UxPutXrt3dLegendLabelFilter(sw, val) \
	UxPUT_int(sw, THREED_TABLE(xrt3dResNumLegendLabelFilter), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dLegendTitle */
#ifndef UxGetXrt3dLegendTitle
#define UxGetXrt3dLegendTitle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumLegendTitle))
#endif
#ifndef UxPutXrt3dLegendTitle
#define UxPutXrt3dLegendTitle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumLegendTitle), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dXGridLineStyle */
#ifndef UxGetXrt3dXGridLineStyle
#define UxGetXrt3dXGridLineStyle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXGridLineStyle))
#endif
#ifndef UxPutXrt3dXGridLineStyle
#define UxPutXrt3dXGridLineStyle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXGridLineStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dXGridLineStyleUseDefault */
#ifndef UxGetXrt3dXGridLineStyleUseDefault
#define UxGetXrt3dXGridLineStyleUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumXGridLineStyleUseDefault))
#endif
#ifndef UxPutXrt3dXGridLineStyleUseDefault
#define UxPutXrt3dXGridLineStyleUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumXGridLineStyleUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dYGridLineStyle */
#ifndef UxGetXrt3dYGridLineStyle
#define UxGetXrt3dYGridLineStyle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYGridLineStyle))
#endif
#ifndef UxPutXrt3dYGridLineStyle
#define UxPutXrt3dYGridLineStyle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYGridLineStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dYGridLineStyleUseDefault */
#ifndef UxGetXrt3dYGridLineStyleUseDefault
#define UxGetXrt3dYGridLineStyleUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumYGridLineStyleUseDefault))
#endif
#ifndef UxPutXrt3dYGridLineStyleUseDefault
#define UxPutXrt3dYGridLineStyleUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumYGridLineStyleUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dZGridLineStyle */
#ifndef UxGetXrt3dZGridLineStyle
#define UxGetXrt3dZGridLineStyle(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZGridLineStyle))
#endif
#ifndef UxPutXrt3dZGridLineStyle
#define UxPutXrt3dZGridLineStyle(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZGridLineStyle), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dZGridLineStyleUseDefault */
#ifndef UxGetXrt3dZGridLineStyleUseDefault
#define UxGetXrt3dZGridLineStyleUseDefault(sw) \
	UxGET_string(sw, THREED_TABLE(xrt3dResNumZGridLineStyleUseDefault))
#endif
#ifndef UxPutXrt3dZGridLineStyleUseDefault
#define UxPutXrt3dZGridLineStyleUseDefault(sw, val) \
	UxPUT_string(sw, THREED_TABLE(xrt3dResNumZGridLineStyleUseDefault), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dTextAttachIndexPoint */
#ifndef UxGetXrt3dTextAttachIndexPoint
#define UxGetXrt3dTextAttachIndexPoint(sw) \
	UxGET_int(sw, THREED_TABLE(xrt3dTextResNumAttachIndexPoint))
#endif
#ifndef UxPutXrt3dTextAttachIndexPoint
#define UxPutXrt3dTextAttachIndexPoint(sw, val) \
	UxPUT_int(sw, THREED_TABLE(xrt3dTextResNumAttachIndexPoint), val)
#endif

/* Macros for Xrt3dTextObject */

/* Design-Time UxGet and UxPut macros for xrt3dTextAdjust */
#ifndef UxGetXrt3dTextAdjust
#define UxGetXrt3dTextAdjust(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumAdjust))
#endif
#ifndef UxPutXrt3dTextAdjust
#define UxPutXrt3dTextAdjust(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumAdjust), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachIndexX */
#ifndef UxGetXrt3dTextAttachIndexX
#define UxGetXrt3dTextAttachIndexX(sw) \
	UxGET_int(sw, TXT3D_TABLE(xrt3dTextResNumAttachIndexX))
#endif
#ifndef UxPutXrt3dTextAttachIndexX
#define UxPutXrt3dTextAttachIndexX(sw, val) \
	UxPUT_int(sw, TXT3D_TABLE(xrt3dTextResNumAttachIndexX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachIndexY */
#ifndef UxGetXrt3dTextAttachIndexY
#define UxGetXrt3dTextAttachIndexY(sw) \
	UxGET_int(sw, TXT3D_TABLE(xrt3dTextResNumAttachIndexY))
#endif
#ifndef UxPutXrt3dTextAttachIndexY
#define UxPutXrt3dTextAttachIndexY(sw, val) \
	UxPUT_int(sw, TXT3D_TABLE(xrt3dTextResNumAttachIndexY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachMethod */
#ifndef UxGetXrt3dTextAttachMethod
#define UxGetXrt3dTextAttachMethod(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumAttachMethod))
#endif
#ifndef UxPutXrt3dTextAttachMethod
#define UxPutXrt3dTextAttachMethod(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumAttachMethod), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachPixelX */
#ifndef UxGetXrt3dTextAttachPixelX
#define UxGetXrt3dTextAttachPixelX(sw) \
	UxGET_short(sw, TXT3D_TABLE(xrt3dTextResNumAttachPixelX))
#endif
#ifndef UxPutXrt3dTextAttachPixelX
#define UxPutXrt3dTextAttachPixelX(sw, val) \
	UxPUT_short(sw, TXT3D_TABLE(xrt3dTextResNumAttachPixelX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachPixelY */
#ifndef UxGetXrt3dTextAttachPixelY
#define UxGetXrt3dTextAttachPixelY(sw) \
	UxGET_short(sw, TXT3D_TABLE(xrt3dTextResNumAttachPixelY))
#endif
#ifndef UxPutXrt3dTextAttachPixelY
#define UxPutXrt3dTextAttachPixelY(sw, val) \
	UxPUT_short(sw, TXT3D_TABLE(xrt3dTextResNumAttachPixelY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachPointX */
#ifndef UxGetXrt3dTextAttachPointX
#define UxGetXrt3dTextAttachPointX(sw) \
	UxXrtGET_double(sw, TXT3D_TABLE(xrt3dTextResNumAttachPointX))
#endif
#ifndef UxPutXrt3dTextAttachPointX
#define UxPutXrt3dTextAttachPointX(sw, val) \
	UxXrtPUT_double(sw, TXT3D_TABLE(xrt3dTextResNumAttachPointX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachPointY */
#ifndef UxGetXrt3dTextAttachPointY
#define UxGetXrt3dTextAttachPointY(sw) \
	UxXrtGET_double(sw, TXT3D_TABLE(xrt3dTextResNumAttachPointY))
#endif
#ifndef UxPutXrt3dTextAttachPointY
#define UxPutXrt3dTextAttachPointY(sw, val) \
	UxXrtPUT_double(sw, TXT3D_TABLE(xrt3dTextResNumAttachPointY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextAttachPointZ */
#ifndef UxGetXrt3dTextAttachPointZ
#define UxGetXrt3dTextAttachPointZ(sw) \
	UxXrtGET_double(sw, TXT3D_TABLE(xrt3dTextResNumAttachPointZ))
#endif
#ifndef UxPutXrt3dTextAttachPointZ
#define UxPutXrt3dTextAttachPointZ(sw, val) \
	UxXrtPUT_double(sw, TXT3D_TABLE(xrt3dTextResNumAttachPointZ), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextBackgroundColor */
#ifndef UxGetXrt3dTextBackgroundColor
#define UxGetXrt3dTextBackgroundColor(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumBackgroundColor))
#endif
#ifndef UxPutXrt3dTextBackgroundColor
#define UxPutXrt3dTextBackgroundColor(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumBackgroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextBorder */
#ifndef UxGetXrt3dTextBorder
#define UxGetXrt3dTextBorder(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumBorder))
#endif
#ifndef UxPutXrt3dTextBorder
#define UxPutXrt3dTextBorder(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumBorder), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextBorderWidth */
#ifndef UxGetXrt3dTextBorderWidth
#define UxGetXrt3dTextBorderWidth(sw) \
	UxGET_short(sw, TXT3D_TABLE(xrt3dTextResNumBorderWidth))
#endif
#ifndef UxPutXrt3dTextBorderWidth
#define UxPutXrt3dTextBorderWidth(sw, val) \
	UxPUT_short(sw, TXT3D_TABLE(xrt3dTextResNumBorderWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextFont */
#ifndef UxGetXrt3dTextFont
#define UxGetXrt3dTextFont(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumFont))
#endif
#ifndef UxPutXrt3dTextFont
#define UxPutXrt3dTextFont(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextForegroundColor */
#ifndef UxGetXrt3dTextForegroundColor
#define UxGetXrt3dTextForegroundColor(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumForegroundColor))
#endif
#ifndef UxPutXrt3dTextForegroundColor
#define UxPutXrt3dTextForegroundColor(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumForegroundColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextLineShow */
#ifndef UxGetXrt3dTextLineShow
#define UxGetXrt3dTextLineShow(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumLineShow))
#endif
#ifndef UxPutXrt3dTextLineShow
#define UxPutXrt3dTextLineShow(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumLineShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextOffsetX */
#ifndef UxGetXrt3dTextOffsetX
#define UxGetXrt3dTextOffsetX(sw) \
	UxGET_short(sw, TXT3D_TABLE(xrt3dTextResNumOffsetX))
#endif
#ifndef UxPutXrt3dTextOffsetX
#define UxPutXrt3dTextOffsetX(sw, val) \
	UxPUT_short(sw, TXT3D_TABLE(xrt3dTextResNumOffsetX), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextOffsetY */
#ifndef UxGetXrt3dTextOffsetY
#define UxGetXrt3dTextOffsetY(sw) \
	UxGET_short(sw, TXT3D_TABLE(xrt3dTextResNumOffsetY))
#endif
#ifndef UxPutXrt3dTextOffsetY
#define UxPutXrt3dTextOffsetY(sw, val) \
	UxPUT_short(sw, TXT3D_TABLE(xrt3dTextResNumOffsetY), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextPrintFont */
#ifndef UxGetXrt3dTextPrintFont
#define UxGetXrt3dTextPrintFont(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumPrintFont))
#endif
#ifndef UxPutXrt3dTextPrintFont
#define UxPutXrt3dTextPrintFont(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumPrintFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextPlane */
#ifndef UxGetXrt3dTextPlane
#define UxGetXrt3dTextPlane(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumPlane))
#endif
#ifndef UxPutXrt3dTextPlane
#define UxPutXrt3dTextPlane(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumPlane), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextShow */
#ifndef UxGetXrt3dTextShow
#define UxGetXrt3dTextShow(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumShow))
#endif
#ifndef UxPutXrt3dTextShow
#define UxPutXrt3dTextShow(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextStrings */
#ifndef UxGetXrt3dTextStrings
#define UxGetXrt3dTextStrings(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumStrings))
#endif
#ifndef UxPutXrt3dTextStrings
#define UxPutXrt3dTextStrings(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumStrings), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextStrokeFont */
#ifndef UxGetXrt3dTextStrokeFont
#define UxGetXrt3dTextStrokeFont(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumStrokeFont))
#endif
#ifndef UxPutXrt3dTextStrokeFont
#define UxPutXrt3dTextStrokeFont(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumStrokeFont), val)
#endif

/* Design-Time UxGet and UxPut macros for xrt3dTextStrokeSize */
#ifndef UxGetXrt3dTextStrokeSize
#define UxGetXrt3dTextStrokeSize(sw) \
	UxGET_short(sw, TXT3D_TABLE(xrt3dTextResNumStrokeSize))
#endif
#ifndef UxPutXrt3dTextStrokeSize
#define UxPutXrt3dTextStrokeSize(sw, val) \
	UxPUT_short(sw, TXT3D_TABLE(xrt3dTextResNumStrokeSize), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dTextAttachIndexSeries */
#ifndef UxGetXrt3dTextAttachIndexSeries
#define UxGetXrt3dTextAttachIndexSeries(sw) \
	UxGET_int(sw, TXT3D_TABLE(xrt3dTextResNumAttachIndexSeries))
#endif
#ifndef UxPutXrt3dTextAttachIndexSeries
#define UxPutXrt3dTextAttachIndexSeries(sw, val) \
	UxPUT_int(sw, TXT3D_TABLE(xrt3dTextResNumAttachIndexSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dTextImage */
#ifndef UxGetXrt3dTextImage
#define UxGetXrt3dTextImage(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumImage))
#endif
#ifndef UxPutXrt3dTextImage
#define UxPutXrt3dTextImage(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumImage), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dTextImageLayout */
#ifndef UxGetXrt3dTextImageLayout
#define UxGetXrt3dTextImageLayout(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumImageLayout))
#endif
#ifndef UxPutXrt3dTextImageLayout
#define UxPutXrt3dTextImageLayout(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumImageLayout), val)
#endif

/* Design-Time UxGet and UxPut macros for Xrt3dTextImageMinimumSize */
#ifndef UxGetXrt3dTextImageMinimumSize
#define UxGetXrt3dTextImageMinimumSize(sw) \
	UxGET_string(sw, TXT3D_TABLE(xrt3dTextResNumImageMinimumSize))
#endif
#ifndef UxPutXrt3dTextImageMinimumSize
#define UxPutXrt3dTextImageMinimumSize(sw, val) \
	UxPUT_string(sw, TXT3D_TABLE(xrt3dTextResNumImageMinimumSize), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_Xrt3d;
/* Design-time create macro */
#ifndef UxCreateXrt3d
#define UxCreateXrt3d( name, parent) \
	UxCreateSwidget(UxC_Xrt3d, name, parent)
#endif

extern Class_t	UxC_Xrt3dText;
/* Design-time create macro */
#ifndef UxCreateXrt3dText
#define UxCreateXrt3dText( name, parent) \
	UxCreateSwidget(UxC_Xrt3dText, name, parent)
#endif

#else /* Not DESIGN_TIME */

extern XtArgVal Xrt3dDoubleToArgVal	UXPROTO((double));
extern double   UxXrt3dArgValToDouble	UXPROTO((XtArgVal));
extern XtArgVal Xrt3dGetDoubleProp	UXPROTO((swidget, const char *));
extern XtArgVal UxGetXrt3dDoubleProp	UXPROTO((swidget, const char *));

#define RT_3D_GET_DOUBLE(sw,res) \
	UxXrt3dArgValToDouble(UxGetXrt3dDoubleProp(sw,res))

#define RT_3D_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)Xrt3dDoubleToArgVal((double)val))

#ifndef	UxGetXrt3dAxisStrokeFont
#define UxGetXrt3dAxisStrokeFont(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dAxisStrokeFont)
#endif
#ifndef	UxPutXrt3dAxisStrokeFont
#define UxPutXrt3dAxisStrokeFont(sw, val) \
	UxDDPutProp(sw, XtNxrt3dAxisStrokeFont, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dAxisStrokeSize
#define UxGetXrt3dAxisStrokeSize(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dAxisStrokeSize)
#endif
#ifndef	UxPutXrt3dAxisStrokeSize
#define UxPutXrt3dAxisStrokeSize(sw, val) \
	UxPutProp(sw, XtNxrt3dAxisStrokeSize, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dAxisTitleStrokeFont
#define UxGetXrt3dAxisTitleStrokeFont(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dAxisTitleStrokeFont)
#endif
#ifndef	UxPutXrt3dAxisTitleStrokeFont
#define UxPutXrt3dAxisTitleStrokeFont(sw, val) \
	UxDDPutProp(sw, XtNxrt3dAxisTitleStrokeFont, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dAxisTitleStrokeSize
#define UxGetXrt3dAxisTitleStrokeSize(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dAxisTitleStrokeSize)
#endif
#ifndef	UxPutXrt3dAxisTitleStrokeSize
#define UxPutXrt3dAxisTitleStrokeSize(sw, val) \
	UxPutProp(sw, XtNxrt3dAxisTitleStrokeSize, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dBackgroundColor
#define UxGetXrt3dBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dBackgroundColor)
#endif
#ifndef	UxPutXrt3dBackgroundColor
#define UxPutXrt3dBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dBackgroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dContourStyles
#define UxGetXrt3dContourStyles(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dContourStyles)
#endif
#ifndef	UxPutXrt3dContourStyles
#define UxPutXrt3dContourStyles(sw, val) \
	UxDDPutProp(sw, XtNxrt3dContourStyles, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDataAreaBackgroundColor
#define UxGetXrt3dDataAreaBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dDataAreaBackgroundColor)
#endif
#ifndef	UxPutXrt3dDataAreaBackgroundColor
#define UxPutXrt3dDataAreaBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dDataAreaBackgroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDebug
#define UxGetXrt3dDebug(sw) \
	(char *) UxGetProp(sw, XtNxrt3dDebug)
#endif
#ifndef	UxPutXrt3dDebug
#define UxPutXrt3dDebug(sw, val) \
	UxPutProp(sw, XtNxrt3dDebug, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDistnMethod
#define UxGetXrt3dDistnMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDistnMethod)
#endif
#ifndef	UxPutXrt3dDistnMethod
#define UxPutXrt3dDistnMethod(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDistnMethod, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDistnTable
#define UxGetXrt3dDistnTable(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDistnTable)
#endif
#ifndef	UxPutXrt3dDistnTable
#define UxPutXrt3dDistnTable(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDistnTable, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDoubleBuffer
#define UxGetXrt3dDoubleBuffer(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDoubleBuffer)
#endif
#ifndef	UxPutXrt3dDoubleBuffer
#define UxPutXrt3dDoubleBuffer(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDoubleBuffer, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDrawContours
#define UxGetXrt3dDrawContours(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDrawContours)
#endif
#ifndef	UxPutXrt3dDrawContours
#define UxPutXrt3dDrawContours(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDrawContours, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDrawHiddenLines
#define UxGetXrt3dDrawHiddenLines(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDrawHiddenLines)
#endif
#ifndef	UxPutXrt3dDrawHiddenLines
#define UxPutXrt3dDrawHiddenLines(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDrawHiddenLines, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDrawMesh
#define UxGetXrt3dDrawMesh(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDrawMesh)
#endif
#ifndef	UxPutXrt3dDrawMesh
#define UxPutXrt3dDrawMesh(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDrawMesh, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDrawShaded
#define UxGetXrt3dDrawShaded(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDrawShaded)
#endif
#ifndef	UxPutXrt3dDrawShaded
#define UxPutXrt3dDrawShaded(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDrawShaded, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dDrawZones
#define UxGetXrt3dDrawZones(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDrawZones)
#endif
#ifndef	UxPutXrt3dDrawZones
#define UxPutXrt3dDrawZones(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDrawZones, (XtArgVal)(val))
#endif


/* There is no macros for Callback Xrt3dExposeCallback */


#ifndef	UxGetXrt3dFooterAdjust
#define UxGetXrt3dFooterAdjust(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterAdjust)
#endif
#ifndef	UxPutXrt3dFooterAdjust
#define UxPutXrt3dFooterAdjust(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterAdjust, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterBackgroundColor
#define UxGetXrt3dFooterBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dFooterBackgroundColor)
#endif
#ifndef	UxPutXrt3dFooterBackgroundColor
#define UxPutXrt3dFooterBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dFooterBackgroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterBorder
#define UxGetXrt3dFooterBorder(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterBorder)
#endif
#ifndef	UxPutXrt3dFooterBorder
#define UxPutXrt3dFooterBorder(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterBorder, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterBorderWidth
#define UxGetXrt3dFooterBorderWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dFooterBorderWidth)
#endif
#ifndef	UxPutXrt3dFooterBorderWidth
#define UxPutXrt3dFooterBorderWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dFooterBorderWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterFont
#define UxGetXrt3dFooterFont(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterFont)
#endif
#ifndef	UxPutXrt3dFooterFont
#define UxPutXrt3dFooterFont(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterFont, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterForegroundColor
#define UxGetXrt3dFooterForegroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dFooterForegroundColor)
#endif
#ifndef	UxPutXrt3dFooterForegroundColor
#define UxPutXrt3dFooterForegroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dFooterForegroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterHeight
#define UxGetXrt3dFooterHeight(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dFooterHeight)
#endif
#ifndef	UxPutXrt3dFooterHeight
#define UxPutXrt3dFooterHeight(sw, val) \
	UxPutProp(sw, XtNxrt3dFooterHeight, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterStrings
#define UxGetXrt3dFooterStrings(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterStrings)
#endif
#ifndef	UxPutXrt3dFooterStrings
#define UxPutXrt3dFooterStrings(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterStrings, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterWidth
#define UxGetXrt3dFooterWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dFooterWidth)
#endif
#ifndef	UxPutXrt3dFooterWidth
#define UxPutXrt3dFooterWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dFooterWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterX
#define UxGetXrt3dFooterX(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dFooterX)
#endif
#ifndef	UxPutXrt3dFooterX
#define UxPutXrt3dFooterX(sw, val) \
	UxPutProp(sw, XtNxrt3dFooterX, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterXUseDefault
#define UxGetXrt3dFooterXUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterXUseDefault)
#endif
#ifndef	UxPutXrt3dFooterXUseDefault
#define UxPutXrt3dFooterXUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterXUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterY
#define UxGetXrt3dFooterY(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dFooterY)
#endif
#ifndef	UxPutXrt3dFooterY
#define UxPutXrt3dFooterY(sw, val) \
	UxPutProp(sw, XtNxrt3dFooterY, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dFooterYUseDefault
#define UxGetXrt3dFooterYUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterYUseDefault)
#endif
#ifndef	UxPutXrt3dFooterYUseDefault
#define UxPutXrt3dFooterYUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterYUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dForegroundColor
#define UxGetXrt3dForegroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dForegroundColor)
#endif
#ifndef	UxPutXrt3dForegroundColor
#define UxPutXrt3dForegroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dForegroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphBackgroundColor
#define UxGetXrt3dGraphBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dGraphBackgroundColor)
#endif
#ifndef	UxPutXrt3dGraphBackgroundColor
#define UxPutXrt3dGraphBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dGraphBackgroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphBorder
#define UxGetXrt3dGraphBorder(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dGraphBorder)
#endif
#ifndef	UxPutXrt3dGraphBorder
#define UxPutXrt3dGraphBorder(sw, val) \
	UxDDPutProp(sw, XtNxrt3dGraphBorder, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphBorderWidth
#define UxGetXrt3dGraphBorderWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dGraphBorderWidth)
#endif
#ifndef	UxPutXrt3dGraphBorderWidth
#define UxPutXrt3dGraphBorderWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dGraphBorderWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphForegroundColor
#define UxGetXrt3dGraphForegroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dGraphForegroundColor)
#endif
#ifndef	UxPutXrt3dGraphForegroundColor
#define UxPutXrt3dGraphForegroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dGraphForegroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphHeight
#define UxGetXrt3dGraphHeight(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dGraphHeight)
#endif
#ifndef	UxPutXrt3dGraphHeight
#define UxPutXrt3dGraphHeight(sw, val) \
	UxPutProp(sw, XtNxrt3dGraphHeight, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphHeightUseDefault
#define UxGetXrt3dGraphHeightUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dGraphHeightUseDefault)
#endif
#ifndef	UxPutXrt3dGraphHeightUseDefault
#define UxPutXrt3dGraphHeightUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dGraphHeightUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphWidth
#define UxGetXrt3dGraphWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dGraphWidth)
#endif
#ifndef	UxPutXrt3dGraphWidth
#define UxPutXrt3dGraphWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dGraphWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphWidthUseDefault
#define UxGetXrt3dGraphWidthUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dGraphWidthUseDefault)
#endif
#ifndef	UxPutXrt3dGraphWidthUseDefault
#define UxPutXrt3dGraphWidthUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dGraphWidthUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphX
#define UxGetXrt3dGraphX(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dGraphX)
#endif
#ifndef	UxPutXrt3dGraphX
#define UxPutXrt3dGraphX(sw, val) \
	UxPutProp(sw, XtNxrt3dGraphX, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphXUseDefault
#define UxGetXrt3dGraphXUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dGraphXUseDefault)
#endif
#ifndef	UxPutXrt3dGraphXUseDefault
#define UxPutXrt3dGraphXUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dGraphXUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphY
#define UxGetXrt3dGraphY(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dGraphY)
#endif
#ifndef	UxPutXrt3dGraphY
#define UxPutXrt3dGraphY(sw, val) \
	UxPutProp(sw, XtNxrt3dGraphY, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dGraphYUseDefault
#define UxGetXrt3dGraphYUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dGraphYUseDefault)
#endif
#ifndef	UxPutXrt3dGraphYUseDefault
#define UxPutXrt3dGraphYUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dGraphYUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderAdjust
#define UxGetXrt3dHeaderAdjust(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderAdjust)
#endif
#ifndef	UxPutXrt3dHeaderAdjust
#define UxPutXrt3dHeaderAdjust(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderAdjust, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderBackgroundColor
#define UxGetXrt3dHeaderBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dHeaderBackgroundColor)
#endif
#ifndef	UxPutXrt3dHeaderBackgroundColor
#define UxPutXrt3dHeaderBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dHeaderBackgroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderBorder
#define UxGetXrt3dHeaderBorder(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderBorder)
#endif
#ifndef	UxPutXrt3dHeaderBorder
#define UxPutXrt3dHeaderBorder(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderBorder, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderBorderWidth
#define UxGetXrt3dHeaderBorderWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dHeaderBorderWidth)
#endif
#ifndef	UxPutXrt3dHeaderBorderWidth
#define UxPutXrt3dHeaderBorderWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dHeaderBorderWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderFont
#define UxGetXrt3dHeaderFont(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderFont)
#endif
#ifndef	UxPutXrt3dHeaderFont
#define UxPutXrt3dHeaderFont(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderFont, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderForegroundColor
#define UxGetXrt3dHeaderForegroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dHeaderForegroundColor)
#endif
#ifndef	UxPutXrt3dHeaderForegroundColor
#define UxPutXrt3dHeaderForegroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dHeaderForegroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderHeight
#define UxGetXrt3dHeaderHeight(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dHeaderHeight)
#endif
#ifndef	UxPutXrt3dHeaderHeight
#define UxPutXrt3dHeaderHeight(sw, val) \
	UxPutProp(sw, XtNxrt3dHeaderHeight, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderStrings
#define UxGetXrt3dHeaderStrings(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderStrings)
#endif
#ifndef	UxPutXrt3dHeaderStrings
#define UxPutXrt3dHeaderStrings(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderStrings, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderWidth
#define UxGetXrt3dHeaderWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dHeaderWidth)
#endif
#ifndef	UxPutXrt3dHeaderWidth
#define UxPutXrt3dHeaderWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dHeaderWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderX
#define UxGetXrt3dHeaderX(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dHeaderX)
#endif
#ifndef	UxPutXrt3dHeaderX
#define UxPutXrt3dHeaderX(sw, val) \
	UxPutProp(sw, XtNxrt3dHeaderX, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderXUseDefault
#define UxGetXrt3dHeaderXUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderXUseDefault)
#endif
#ifndef	UxPutXrt3dHeaderXUseDefault
#define UxPutXrt3dHeaderXUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderXUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderY
#define UxGetXrt3dHeaderY(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dHeaderY)
#endif
#ifndef	UxPutXrt3dHeaderY
#define UxPutXrt3dHeaderY(sw, val) \
	UxPutProp(sw, XtNxrt3dHeaderY, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dHeaderYUseDefault
#define UxGetXrt3dHeaderYUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderYUseDefault)
#endif
#ifndef	UxPutXrt3dHeaderYUseDefault
#define UxPutXrt3dHeaderYUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderYUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendAnchor
#define UxGetXrt3dLegendAnchor(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendAnchor)
#endif
#ifndef	UxPutXrt3dLegendAnchor
#define UxPutXrt3dLegendAnchor(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendAnchor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendBackgroundColor
#define UxGetXrt3dLegendBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dLegendBackgroundColor)
#endif
#ifndef	UxPutXrt3dLegendBackgroundColor
#define UxPutXrt3dLegendBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendBackgroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendBorder
#define UxGetXrt3dLegendBorder(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendBorder)
#endif
#ifndef	UxPutXrt3dLegendBorder
#define UxPutXrt3dLegendBorder(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendBorder, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendBorderWidth
#define UxGetXrt3dLegendBorderWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dLegendBorderWidth)
#endif
#ifndef	UxPutXrt3dLegendBorderWidth
#define UxPutXrt3dLegendBorderWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendBorderWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendFont
#define UxGetXrt3dLegendFont(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendFont)
#endif
#ifndef	UxPutXrt3dLegendFont
#define UxPutXrt3dLegendFont(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendFont, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendForegroundColor
#define UxGetXrt3dLegendForegroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dLegendForegroundColor)
#endif
#ifndef	UxPutXrt3dLegendForegroundColor
#define UxPutXrt3dLegendForegroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendForegroundColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendHeight
#define UxGetXrt3dLegendHeight(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dLegendHeight)
#endif
#ifndef	UxPutXrt3dLegendHeight
#define UxPutXrt3dLegendHeight(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendHeight, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendLabelFunc
#define UxGetXrt3dLegendLabelFunc(sw) \
	(voidFunction) UxGetProp(sw, XtNxrt3dLegendLabelFunc)
#endif
#ifndef	UxPutXrt3dLegendLabelFunc
#define UxPutXrt3dLegendLabelFunc(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendLabelFunc, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendOrientation
#define UxGetXrt3dLegendOrientation(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendOrientation)
#endif
#ifndef	UxPutXrt3dLegendOrientation
#define UxPutXrt3dLegendOrientation(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendOrientation, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendShow
#define UxGetXrt3dLegendShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendShow)
#endif
#ifndef	UxPutXrt3dLegendShow
#define UxPutXrt3dLegendShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendShow, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendStrings
#define UxGetXrt3dLegendStrings(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendStrings)
#endif
#ifndef	UxPutXrt3dLegendStrings
#define UxPutXrt3dLegendStrings(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendStrings, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendStyle
#define UxGetXrt3dLegendStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendStyle)
#endif
#ifndef	UxPutXrt3dLegendStyle
#define UxPutXrt3dLegendStyle(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendStyle, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendWidth
#define UxGetXrt3dLegendWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dLegendWidth)
#endif
#ifndef	UxPutXrt3dLegendWidth
#define UxPutXrt3dLegendWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendWidth, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendX
#define UxGetXrt3dLegendX(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dLegendX)
#endif
#ifndef	UxPutXrt3dLegendX
#define UxPutXrt3dLegendX(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendX, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendXUseDefault
#define UxGetXrt3dLegendXUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendXUseDefault)
#endif
#ifndef	UxPutXrt3dLegendXUseDefault
#define UxPutXrt3dLegendXUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendXUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendY
#define UxGetXrt3dLegendY(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dLegendY)
#endif
#ifndef	UxPutXrt3dLegendY
#define UxPutXrt3dLegendY(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendY, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dLegendYUseDefault
#define UxGetXrt3dLegendYUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendYUseDefault)
#endif
#ifndef	UxPutXrt3dLegendYUseDefault
#define UxPutXrt3dLegendYUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendYUseDefault, (XtArgVal)(val))
#endif

/* There is no macros for Callback Xrt3dMapCallback */

#ifndef	UxGetXrt3dMeshBottomColor
#define UxGetXrt3dMeshBottomColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dMeshBottomColor)
#endif
#ifndef	UxPutXrt3dMeshBottomColor
#define UxPutXrt3dMeshBottomColor(sw, val) \
	UxPutProp(sw, XtNxrt3dMeshBottomColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dMeshTopColor
#define UxGetXrt3dMeshTopColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dMeshTopColor)
#endif
#ifndef	UxPutXrt3dMeshTopColor
#define UxPutXrt3dMeshTopColor(sw, val) \
	UxPutProp(sw, XtNxrt3dMeshTopColor, (XtArgVal)(val))
#endif

/* There is no macros for Callback Xrt3dModifyCallback */

#ifndef	UxGetXrt3dNumDistnLevels
#define UxGetXrt3dNumDistnLevels(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dNumDistnLevels)
#endif
#ifndef	UxPutXrt3dNumDistnLevels
#define UxPutXrt3dNumDistnLevels(sw, val) \
	UxPutProp(sw, XtNxrt3dNumDistnLevels, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dPerspectiveDepth
#define UxGetXrt3dPerspectiveDepth(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dPerspectiveDepth)
#endif
#ifndef	UxPutXrt3dPerspectiveDepth
#define UxPutXrt3dPerspectiveDepth(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dPerspectiveDepth, val)
#endif

/* There is no macros for Callback Xrt3dPickCallback */

#ifndef	UxGetXrt3dPreviewMethod
#define UxGetXrt3dPreviewMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dPreviewMethod)
#endif
#ifndef	UxPutXrt3dPreviewMethod
#define UxPutXrt3dPreviewMethod(sw, val) \
	UxDDPutProp(sw, XtNxrt3dPreviewMethod, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dProjectZMax
#define	UxGetXrt3dProjectZMax(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dProjectZMax)
#endif
#ifndef	UxPutXrt3dProjectZMax
#define	UxPutXrt3dProjectZMax(sw, val) \
	UxDDPutProp(sw, XtNxrt3dProjectZMax, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dProjectZMin
#define	UxGetXrt3dProjectZMin(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dProjectZMin)
#endif
#ifndef	UxPutXrt3dProjectZMin
#define	UxPutXrt3dProjectZMin(sw, val) \
	UxDDPutProp(sw, XtNxrt3dProjectZMin, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dRepaint
#define UxGetXrt3dRepaint(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dRepaint)
#endif
#ifndef	UxPutXrt3dRepaint
#define UxPutXrt3dRepaint(sw, val) \
	UxDDPutProp(sw, XtNxrt3dRepaint, (XtArgVal)(val))
#endif

/* There is no macros for Callback Xrt3dResizeCallback */

/* There is no macros for Callback Xrt3dRotateCallback */

#ifndef	UxGetXrt3dSolidSurface
#define UxGetXrt3dSolidSurface(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dSolidSurface)
#endif
#ifndef	UxPutXrt3dSolidSurface
#define UxPutXrt3dSolidSurface(sw, val) \
	UxDDPutProp(sw, XtNxrt3dSolidSurface, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dSurfaceBottomColor
#define UxGetXrt3dSurfaceBottomColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dSurfaceBottomColor)
#endif
#ifndef	UxPutXrt3dSurfaceBottomColor
#define UxPutXrt3dSurfaceBottomColor(sw, val) \
	UxPutProp(sw, XtNxrt3dSurfaceBottomColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dSurfaceData
#define UxGetXrt3dSurfaceData(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dSurfaceData)
#endif
#ifndef	UxPutXrt3dSurfaceData
#define UxPutXrt3dSurfaceData(sw, val) \
	UxDDPutProp(sw, XtNxrt3dSurfaceData, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dSurfaceTopColor
#define UxGetXrt3dSurfaceTopColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dSurfaceTopColor)
#endif
#ifndef	UxPutXrt3dSurfaceTopColor
#define UxPutXrt3dSurfaceTopColor(sw, val) \
	UxPutProp(sw, XtNxrt3dSurfaceTopColor, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dTextList
#define UxGetXrt3dTextList(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextList)
#endif
#ifndef	UxPutXrt3dTextList
#define UxPutXrt3dTextList(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextList, (XtArgVal)(val))
#endif

/* There is no macros for Callback Xrt3dTransformCallback */

#ifndef	UxGetXrt3dType
#define UxGetXrt3dType(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dType)
#endif
#ifndef	UxPutXrt3dType
#define UxPutXrt3dType(sw, val) \
	UxDDPutProp(sw, XtNxrt3dType, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dViewNormalized
#define UxGetXrt3dViewNormalized(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dViewNormalized)
#endif
#ifndef	UxPutXrt3dViewNormalized
#define UxPutXrt3dViewNormalized(sw, val) \
	UxDDPutProp(sw, XtNxrt3dViewNormalized, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dViewScale
#define UxGetXrt3dViewScale(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dViewScale)
#endif
#ifndef	UxPutXrt3dViewScale
#define UxPutXrt3dViewScale(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dViewScale, val)
#endif

#ifndef	UxGetXrt3dViewXTranslate
#define UxGetXrt3dViewXTranslate(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dViewXTranslate)
#endif
#ifndef	UxPutXrt3dViewXTranslate
#define UxPutXrt3dViewXTranslate(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dViewXTranslate, val)
#endif

#ifndef	UxGetXrt3dViewYTranslate
#define UxGetXrt3dViewYTranslate(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dViewYTranslate)
#endif
#ifndef	UxPutXrt3dViewYTranslate
#define UxPutXrt3dViewYTranslate(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dViewYTranslate, val)
#endif

#ifndef	UxGetXrt3dXAnnoMethod
#define UxGetXrt3dXAnnoMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXAnnoMethod)
#endif
#ifndef	UxPutXrt3dXAnnoMethod
#define UxPutXrt3dXAnnoMethod(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXAnnoMethod, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXAxisShow
#define UxGetXrt3dXAxisShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXAxisShow)
#endif
#ifndef	UxPutXrt3dXAxisShow
#define UxPutXrt3dXAxisShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXAxisShow, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXAxisTitle
#define UxGetXrt3dXAxisTitle(sw) \
	(char *) UxGetProp(sw, XtNxrt3dXAxisTitle)
#endif
#ifndef	UxPutXrt3dXAxisTitle
#define UxPutXrt3dXAxisTitle(sw, val) \
	UxPutProp(sw, XtNxrt3dXAxisTitle, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXBarFormat
#define UxGetXrt3dXBarFormat(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXBarFormat)
#endif
#ifndef	UxPutXrt3dXBarFormat
#define UxPutXrt3dXBarFormat(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXBarFormat, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXBarSpacing
#define UxGetXrt3dXBarSpacing(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dXBarSpacing)
#endif
#ifndef	UxPutXrt3dXBarSpacing
#define UxPutXrt3dXBarSpacing(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dXBarSpacing, val)
#endif

#ifndef	UxGetXrt3dXDataLabels
#define UxGetXrt3dXDataLabels(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXDataLabels)
#endif
#ifndef	UxPutXrt3dXDataLabels
#define UxPutXrt3dXDataLabels(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXDataLabels, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXGridLines
#define UxGetXrt3dXGridLines(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXGridLines)
#endif
#ifndef	UxPutXrt3dXGridLines
#define UxPutXrt3dXGridLines(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXGridLines, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXMax
#define UxGetXrt3dXMax(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dXMax)
#endif
#ifndef	UxPutXrt3dXMax
#define UxPutXrt3dXMax(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dXMax, val)
#endif

#ifndef	UxGetXrt3dXMaxUseDefault
#define UxGetXrt3dXMaxUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXMaxUseDefault)
#endif
#ifndef	UxPutXrt3dXMaxUseDefault
#define UxPutXrt3dXMaxUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXMaxUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXMeshFilter
#define UxGetXrt3dXMeshFilter(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dXMeshFilter)
#endif
#ifndef	UxPutXrt3dXMeshFilter
#define UxPutXrt3dXMeshFilter(sw, val) \
	UxPutProp(sw, XtNxrt3dXMeshFilter, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXMeshShow
#define UxGetXrt3dXMeshShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXMeshShow)
#endif
#ifndef	UxPutXrt3dXMeshShow
#define UxPutXrt3dXMeshShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXMeshShow, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXMin
#define UxGetXrt3dXMin(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dXMin)
#endif
#ifndef	UxPutXrt3dXMin
#define UxPutXrt3dXMin(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dXMin, val)
#endif

#ifndef	UxGetXrt3dXMinUseDefault
#define UxGetXrt3dXMinUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXMinUseDefault)
#endif
#ifndef	UxPutXrt3dXMinUseDefault
#define UxPutXrt3dXMinUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXMinUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXRotation
#define UxGetXrt3dXRotation(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dXRotation)
#endif
#ifndef	UxPutXrt3dXRotation
#define UxPutXrt3dXRotation(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dXRotation, val)
#endif

#ifndef	UxGetXrt3dXScale
#define UxGetXrt3dXScale(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dXScale)
#endif
#ifndef	UxPutXrt3dXScale
#define UxPutXrt3dXScale(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dXScale, val)
#endif

#ifndef	UxGetXrt3dXValueLabels
#define UxGetXrt3dXValueLabels(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXValueLabels)
#endif
#ifndef	UxPutXrt3dXValueLabels
#define UxPutXrt3dXValueLabels(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXValueLabels, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dXYColors
#define UxGetXrt3dXYColors(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXYColors)
#endif
#ifndef	UxPutXrt3dXYColors
#define UxPutXrt3dXYColors(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXYColors, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYAnnoMethod
#define UxGetXrt3dYAnnoMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYAnnoMethod)
#endif
#ifndef	UxPutXrt3dYAnnoMethod
#define UxPutXrt3dYAnnoMethod(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYAnnoMethod, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYAxisShow
#define UxGetXrt3dYAxisShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYAxisShow)
#endif
#ifndef	UxPutXrt3dYAxisShow
#define UxPutXrt3dYAxisShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYAxisShow, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYAxisTitle
#define UxGetXrt3dYAxisTitle(sw) \
	(char *) UxGetProp(sw, XtNxrt3dYAxisTitle)
#endif
#ifndef	UxPutXrt3dYAxisTitle
#define UxPutXrt3dYAxisTitle(sw, val) \
	UxPutProp(sw, XtNxrt3dYAxisTitle, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYBarFormat
#define UxGetXrt3dYBarFormat(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYBarFormat)
#endif
#ifndef	UxPutXrt3dYBarFormat
#define UxPutXrt3dYBarFormat(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYBarFormat, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYBarSpacing
#define UxGetXrt3dYBarSpacing(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dYBarSpacing)
#endif
#ifndef	UxPutXrt3dYBarSpacing
#define UxPutXrt3dYBarSpacing(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dYBarSpacing, val)
#endif

#ifndef	UxGetXrt3dYDataLabels
#define UxGetXrt3dYDataLabels(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYDataLabels)
#endif
#ifndef	UxPutXrt3dYDataLabels
#define UxPutXrt3dYDataLabels(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYDataLabels, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYGridLines
#define UxGetXrt3dYGridLines(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYGridLines)
#endif
#ifndef	UxPutXrt3dYGridLines
#define UxPutXrt3dYGridLines(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYGridLines, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYMax
#define UxGetXrt3dYMax(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dYMax)
#endif
#ifndef	UxPutXrt3dYMax
#define UxPutXrt3dYMax(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dYMax, val)
#endif

#ifndef	UxGetXrt3dYMaxUseDefault
#define UxGetXrt3dYMaxUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYMaxUseDefault)
#endif
#ifndef	UxPutXrt3dYMaxUseDefault
#define UxPutXrt3dYMaxUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYMaxUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYMeshFilter
#define UxGetXrt3dYMeshFilter(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dYMeshFilter)
#endif
#ifndef	UxPutXrt3dYMeshFilter
#define UxPutXrt3dYMeshFilter(sw, val) \
	UxPutProp(sw, XtNxrt3dYMeshFilter, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYMeshShow
#define UxGetXrt3dYMeshShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYMeshShow)
#endif
#ifndef	UxPutXrt3dYMeshShow
#define UxPutXrt3dYMeshShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYMeshShow, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYMin
#define UxGetXrt3dYMin(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dYMin)
#endif
#ifndef	UxPutXrt3dYMin
#define UxPutXrt3dYMin(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dYMin, val)
#endif

#ifndef	UxGetXrt3dYMinUseDefault
#define UxGetXrt3dYMinUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYMinUseDefault)
#endif
#ifndef	UxPutXrt3dYMinUseDefault
#define UxPutXrt3dYMinUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYMinUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dYRotation
#define UxGetXrt3dYRotation(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dYRotation)
#endif
#ifndef	UxPutXrt3dYRotation
#define UxPutXrt3dYRotation(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dYRotation, val)
#endif

#ifndef	UxGetXrt3dYScale
#define UxGetXrt3dYScale(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dYScale)
#endif
#ifndef	UxPutXrt3dYScale
#define UxPutXrt3dYScale(sw, val) \
	 RT_3D_PUT_DOUBLE(sw, XtNxrt3dYScale, val)
#endif

#ifndef	UxGetXrt3dYValueLabels
#define UxGetXrt3dYValueLabels(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYValueLabels)
#endif
#ifndef	UxPutXrt3dYValueLabels
#define UxPutXrt3dYValueLabels(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYValueLabels, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZAnnoMethod
#define UxGetXrt3dZAnnoMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZAnnoMethod)
#endif
#ifndef	UxPutXrt3dZAnnoMethod
#define UxPutXrt3dZAnnoMethod(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZAnnoMethod, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZAxisShow
#define UxGetXrt3dZAxisShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZAxisShow)
#endif
#ifndef	UxPutXrt3dZAxisShow
#define UxPutXrt3dZAxisShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZAxisShow, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZAxisTitle
#define UxGetXrt3dZAxisTitle(sw) \
	(char *) UxGetProp(sw, XtNxrt3dZAxisTitle)
#endif
#ifndef	UxPutXrt3dZAxisTitle
#define UxPutXrt3dZAxisTitle(sw, val) \
	UxPutProp(sw, XtNxrt3dZAxisTitle, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZGridLines
#define UxGetXrt3dZGridLines(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZGridLines)
#endif
#ifndef	UxPutXrt3dZGridLines
#define UxPutXrt3dZGridLines(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZGridLines, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZMax
#define UxGetXrt3dZMax(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dZMax)
#endif
#ifndef	UxPutXrt3dZMax
#define UxPutXrt3dZMax(sw, val) \
	 RT_3D_PUT_DOUBLE(sw, XtNxrt3dZMax, val)
#endif

#ifndef	UxGetXrt3dZMaxUseDefault
#define UxGetXrt3dZMaxUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZMaxUseDefault)
#endif
#ifndef	UxPutXrt3dZMaxUseDefault
#define UxPutXrt3dZMaxUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZMaxUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZMin
#define UxGetXrt3dZMin(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dZMin)
#endif
#ifndef	UxPutXrt3dZMin
#define UxPutXrt3dZMin(sw, val) \
	 RT_3D_PUT_DOUBLE(sw, XtNxrt3dZMin, val)
#endif

#ifndef	UxGetXrt3dZMinUseDefault
#define UxGetXrt3dZMinUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZMinUseDefault)
#endif
#ifndef	UxPutXrt3dZMinUseDefault
#define UxPutXrt3dZMinUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZMinUseDefault, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZOrigin
#define UxGetXrt3dZOrigin(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dZOrigin)
#endif
#ifndef	UxPutXrt3dZOrigin
#define UxPutXrt3dZOrigin(sw, val) \
	  RT_3D_PUT_DOUBLE(sw, XtNxrt3dZOrigin, val)
#endif

#ifndef	UxGetXrt3dZRotation
#define UxGetXrt3dZRotation(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dZRotation)
#endif
#ifndef	UxPutXrt3dZRotation
#define UxPutXrt3dZRotation(sw, val) \
	RT_3D_PUT_DOUBLE(sw, XtNxrt3dZRotation, val)
#endif

#ifndef	UxGetXrt3dZScale
#define UxGetXrt3dZScale(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dZScale)
#endif
#ifndef	UxPutXrt3dZScale
#define UxPutXrt3dZScale(sw, val) \
	 RT_3D_PUT_DOUBLE(sw, XtNxrt3dZScale, val)
#endif

#ifndef	UxGetXrt3dZValueLabels
#define UxGetXrt3dZValueLabels(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZValueLabels)
#endif
#ifndef	UxPutXrt3dZValueLabels
#define UxPutXrt3dZValueLabels(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZValueLabels, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZoneData
#define UxGetXrt3dZoneData(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZoneData)
#endif
#ifndef	UxPutXrt3dZoneData
#define UxPutXrt3dZoneData(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZoneData, (XtArgVal)(val))
#endif

#ifndef	UxGetXrt3dZoneMethod
#define UxGetXrt3dZoneMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZoneMethod)
#endif
#ifndef	UxPutXrt3dZoneMethod
#define UxPutXrt3dZoneMethod(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZoneMethod, (XtArgVal)(val))
#endif


#ifndef UxGetXrt3dColorFunc
#define UxGetXrt3dColorFunc(sw) \
	(voidFunction) UxGetProp(sw, XtNxrt3dColorFunc)
#endif
#ifndef UxPutXrt3dColorFunc
#define UxPutXrt3dColorFunc(sw, val) \
	UxPutProp(sw, XtNxrt3dColorFunc, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dDataStyles
#define UxGetXrt3dDataStyles(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDataStyles)
#endif
#ifndef UxPutXrt3dDataStyles
#define UxPutXrt3dDataStyles(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDataStyles, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dDataStylesUseDefault
#define UxGetXrt3dDataStylesUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDataStylesUseDefault)
#endif
#ifndef UxPutXrt3dDataStylesUseDefault
#define UxPutXrt3dDataStylesUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDataStylesUseDefault, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dDrawDropLines
#define UxGetXrt3dDrawDropLines(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dDrawDropLines)
#endif
#ifndef UxPutXrt3dDrawDropLines
#define UxPutXrt3dDrawDropLines(sw, val) \
	UxDDPutProp(sw, XtNxrt3dDrawDropLines, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dFooterImage
#define UxGetXrt3dFooterImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterImage)
#endif
#ifndef UxPutXrt3dFooterImage
#define UxPutXrt3dFooterImage(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dFooterImageLayout
#define UxGetXrt3dFooterImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterImageLayout)
#endif
#ifndef UxPutXrt3dFooterImageLayout
#define UxPutXrt3dFooterImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dFooterImageMinimumSize
#define UxGetXrt3dFooterImageMinimumSize(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dFooterImageMinimumSize)
#endif
#ifndef UxPutXrt3dFooterImageMinimumSize
#define UxPutXrt3dFooterImageMinimumSize(sw, val) \
	UxDDPutProp(sw, XtNxrt3dFooterImageMinimumSize, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dGraphImage
#define UxGetXrt3dGraphImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dGraphImage)
#endif
#ifndef UxPutXrt3dGraphImage
#define UxPutXrt3dGraphImage(sw, val) \
	UxDDPutProp(sw, XtNxrt3dGraphImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dGraphImageLayout
#define UxGetXrt3dGraphImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dGraphImageLayout)
#endif
#ifndef UxPutXrt3dGraphImageLayout
#define UxPutXrt3dGraphImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrt3dGraphImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dHeaderImage
#define UxGetXrt3dHeaderImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderImage)
#endif
#ifndef UxPutXrt3dHeaderImage
#define UxPutXrt3dHeaderImage(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dHeaderImageLayout
#define UxGetXrt3dHeaderImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderImageLayout)
#endif
#ifndef UxPutXrt3dHeaderImageLayout
#define UxPutXrt3dHeaderImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dHeaderImageMinimumSize
#define UxGetXrt3dHeaderImageMinimumSize(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dHeaderImageMinimumSize)
#endif
#ifndef UxPutXrt3dHeaderImageMinimumSize
#define UxPutXrt3dHeaderImageMinimumSize(sw, val) \
	UxDDPutProp(sw, XtNxrt3dHeaderImageMinimumSize, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dImage
#define UxGetXrt3dImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dImage)
#endif
#ifndef UxPutXrt3dImage
#define UxPutXrt3dImage(sw, val) \
	UxDDPutProp(sw, XtNxrt3dImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dImageLayout
#define UxGetXrt3dImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dImageLayout)
#endif
#ifndef UxPutXrt3dImageLayout
#define UxPutXrt3dImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrt3dImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dLegendDistnRange
#define UxGetXrt3dLegendDistnRange(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendDistnRange)
#endif
#ifndef UxPutXrt3dLegendDistnRange
#define UxPutXrt3dLegendDistnRange(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendDistnRange, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dLegendImage
#define UxGetXrt3dLegendImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendImage)
#endif
#ifndef UxPutXrt3dLegendImage
#define UxPutXrt3dLegendImage(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dLegendImageLayout
#define UxGetXrt3dLegendImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendImageLayout)
#endif
#ifndef UxPutXrt3dLegendImageLayout
#define UxPutXrt3dLegendImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dLegendLabelFilter
#define UxGetXrt3dLegendLabelFilter(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dLegendLabelFilter)
#endif
#ifndef UxPutXrt3dLegendLabelFilter
#define UxPutXrt3dLegendLabelFilter(sw, val) \
	UxPutProp(sw, XtNxrt3dLegendLabelFilter, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dLegendTitle
#define UxGetXrt3dLegendTitle(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dLegendTitle)
#endif
#ifndef UxPutXrt3dLegendTitle
#define UxPutXrt3dLegendTitle(sw, val) \
	UxDDPutProp(sw, XtNxrt3dLegendTitle, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dXGridLineStyle
#define UxGetXrt3dXGridLineStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXGridLineStyle)
#endif
#ifndef UxPutXrt3dXGridLineStyle
#define UxPutXrt3dXGridLineStyle(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXGridLineStyle, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dXGridLineStyleUseDefault
#define UxGetXrt3dXGridLineStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dXGridLineStyleUseDefault)
#endif
#ifndef UxPutXrt3dXGridLineStyleUseDefault
#define UxPutXrt3dXGridLineStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dXGridLineStyleUseDefault, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dYGridLineStyle
#define UxGetXrt3dYGridLineStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYGridLineStyle)
#endif
#ifndef UxPutXrt3dYGridLineStyle
#define UxPutXrt3dYGridLineStyle(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYGridLineStyle, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dYGridLineStyleUseDefault
#define UxGetXrt3dYGridLineStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dYGridLineStyleUseDefault)
#endif
#ifndef UxPutXrt3dYGridLineStyleUseDefault
#define UxPutXrt3dYGridLineStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dYGridLineStyleUseDefault, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dZGridLineStyle
#define UxGetXrt3dZGridLineStyle(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZGridLineStyle)
#endif
#ifndef UxPutXrt3dZGridLineStyle
#define UxPutXrt3dZGridLineStyle(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZGridLineStyle, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dZGridLineStyleUseDefault
#define UxGetXrt3dZGridLineStyleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dZGridLineStyleUseDefault)
#endif
#ifndef UxPutXrt3dZGridLineStyleUseDefault
#define UxPutXrt3dZGridLineStyleUseDefault(sw, val) \
	UxDDPutProp(sw, XtNxrt3dZGridLineStyleUseDefault, (XtArgVal)(val))
#endif

/* Macros for Xrt3dText */

#ifndef UxGetXrt3dTextAdjust
#define UxGetXrt3dTextAdjust(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextAdjust)
#endif
#ifndef UxPutXrt3dTextAdjust
#define UxPutXrt3dTextAdjust(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextAdjust, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextAttachIndexX
#define UxGetXrt3dTextAttachIndexX(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dTextAttachIndexX)
#endif
#ifndef UxPutXrt3dTextAttachIndexX
#define UxPutXrt3dTextAttachIndexX(sw, val) \
	UxPutProp(sw, XtNxrt3dTextAttachIndexX, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextAttachIndexY
#define UxGetXrt3dTextAttachIndexY(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dTextAttachIndexY)
#endif
#ifndef UxPutXrt3dTextAttachIndexY
#define UxPutXrt3dTextAttachIndexY(sw, val) \
	UxPutProp(sw, XtNxrt3dTextAttachIndexY, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextAttachMethod
#define UxGetXrt3dTextAttachMethod(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextAttachMethod)
#endif
#ifndef UxPutXrt3dTextAttachMethod
#define UxPutXrt3dTextAttachMethod(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextAttachMethod, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextAttachPixelX
#define UxGetXrt3dTextAttachPixelX(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dTextAttachPixelX)
#endif
#ifndef UxPutXrt3dTextAttachPixelX
#define UxPutXrt3dTextAttachPixelX(sw, val) \
	UxPutProp(sw, XtNxrt3dTextAttachPixelX, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextAttachPixelY
#define UxGetXrt3dTextAttachPixelY(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dTextAttachPixelY)
#endif
#ifndef UxPutXrt3dTextAttachPixelY
#define UxPutXrt3dTextAttachPixelY(sw, val) \
	UxPutProp(sw, XtNxrt3dTextAttachPixelY, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextAttachPointX
#define UxGetXrt3dTextAttachPointX(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dTextAttachPointX)
#endif
#ifndef UxPutXrt3dTextAttachPointX
#define UxPutXrt3dTextAttachPointX(sw, val) \
	 RT_3D_PUT_DOUBLE(sw, XtNxrt3dTextAttachPointX, val)
#endif

#ifndef UxGetXrt3dTextAttachPointY
#define UxGetXrt3dTextAttachPointY(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dTextAttachPointY)
#endif
#ifndef UxPutXrt3dTextAttachPointY
#define UxPutXrt3dTextAttachPointY(sw, val) \
	 RT_3D_PUT_DOUBLE(sw, XtNxrt3dTextAttachPointY, val)
#endif

#ifndef UxGetXrt3dTextAttachPointZ
#define UxGetXrt3dTextAttachPointZ(sw) \
	RT_3D_GET_DOUBLE(sw, XtNxrt3dTextAttachPointZ)
#endif
#ifndef UxPutXrt3dTextAttachPointZ
#define UxPutXrt3dTextAttachPointZ(sw, val) \
	 RT_3D_PUT_DOUBLE(sw, XtNxrt3dTextAttachPointZ, val)
#endif

#ifndef UxGetXrt3dTextBackgroundColor
#define UxGetXrt3dTextBackgroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dTextBackgroundColor)
#endif
#ifndef UxPutXrt3dTextBackgroundColor
#define UxPutXrt3dTextBackgroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dTextBackgroundColor, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextBorder
#define UxGetXrt3dTextBorder(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextBorder)
#endif
#ifndef UxPutXrt3dTextBorder
#define UxPutXrt3dTextBorder(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextBorder, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextBorderWidth
#define UxGetXrt3dTextBorderWidth(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dTextBorderWidth)
#endif
#ifndef UxPutXrt3dTextBorderWidth
#define UxPutXrt3dTextBorderWidth(sw, val) \
	UxPutProp(sw, XtNxrt3dTextBorderWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextFont
#define UxGetXrt3dTextFont(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextFont)
#endif
#ifndef UxPutXrt3dTextFont
#define UxPutXrt3dTextFont(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextFont, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextForegroundColor
#define UxGetXrt3dTextForegroundColor(sw) \
	(char *) UxGetProp(sw, XtNxrt3dTextForegroundColor)
#endif
#ifndef UxPutXrt3dTextForegroundColor
#define UxPutXrt3dTextForegroundColor(sw, val) \
	UxPutProp(sw, XtNxrt3dTextForegroundColor, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextLineShow
#define UxGetXrt3dTextLineShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextLineShow)
#endif
#ifndef UxPutXrt3dTextLineShow
#define UxPutXrt3dTextLineShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextLineShow, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextOffsetX
#define UxGetXrt3dTextOffsetX(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dTextOffsetX)
#endif
#ifndef UxPutXrt3dTextOffsetX
#define UxPutXrt3dTextOffsetX(sw, val) \
	UxPutProp(sw, XtNxrt3dTextOffsetX, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextOffsetY
#define UxGetXrt3dTextOffsetY(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dTextOffsetY)
#endif
#ifndef UxPutXrt3dTextOffsetY
#define UxPutXrt3dTextOffsetY(sw, val) \
	UxPutProp(sw, XtNxrt3dTextOffsetY, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextPrintFont
#define UxGetXrt3dTextPrintFont(sw) \
	(char *) UxGetProp(sw, XtNxrt3dTextPrintFont)
#endif
#ifndef UxPutXrt3dTextPrintFont
#define UxPutXrt3dTextPrintFont(sw, val) \
	UxPutProp(sw, XtNxrt3dTextPrintFont, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextPlane
#define UxGetXrt3dTextPlane(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextPlane)
#endif
#ifndef UxPutXrt3dTextPlane
#define UxPutXrt3dTextPlane(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextPlane, (XtArgVal) (val))
#endif

#ifndef UxGetXrt3dTextShow
#define UxGetXrt3dTextShow(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextShow)
#endif
#ifndef UxPutXrt3dTextShow
#define UxPutXrt3dTextShow(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextShow, (XtArgVal) (val))
#endif

#ifndef UxGetXrt3dTextStrings
#define UxGetXrt3dTextStrings(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextStrings)
#endif
#ifndef UxPutXrt3dTextStrings
#define UxPutXrt3dTextStrings(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextStrings, (XtArgVal) (val))
#endif

#ifndef UxGetXrt3dTextStrokeFont
#define UxGetXrt3dTextStrokeFont(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextStrokeFont)
#endif
#ifndef UxPutXrt3dTextStrokeFont
#define UxPutXrt3dTextStrokeFont(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextStrokeFont, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextStrokeSize
#define UxGetXrt3dTextStrokeSize(sw) \
	(short)UxShortGetProp(sw, XtNxrt3dTextStrokeSize)
#endif
#ifndef UxPutXrt3dTextStrokeSize
#define UxPutXrt3dTextStrokeSize(sw, val) \
	UxPutProp(sw, XtNxrt3dTextStrokeSize, (XtArgVal) (val))
#endif

#ifndef UxGetXrt3dTextAttachIndexPoint
#define UxGetXrt3dTextAttachIndexPoint(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dTextAttachIndexPoint)
#endif
#ifndef UxPutXrt3dTextAttachIndexPoint
#define UxPutXrt3dTextAttachIndexPoint(sw, val) \
	UxPutProp(sw, XtNxrt3dTextAttachIndexPoint, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextAttachIndexSeries
#define UxGetXrt3dTextAttachIndexSeries(sw) \
	(int)UxIntGetProp(sw, XtNxrt3dTextAttachIndexSeries)
#endif
#ifndef UxPutXrt3dTextAttachIndexSeries
#define UxPutXrt3dTextAttachIndexSeries(sw, val) \
	UxPutProp(sw, XtNxrt3dTextAttachIndexSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextImage
#define UxGetXrt3dTextImage(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextImage)
#endif
#ifndef UxPutXrt3dTextImage
#define UxPutXrt3dTextImage(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextImage, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextImageLayout
#define UxGetXrt3dTextImageLayout(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextImageLayout)
#endif
#ifndef UxPutXrt3dTextImageLayout
#define UxPutXrt3dTextImageLayout(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextImageLayout, (XtArgVal)(val))
#endif

#ifndef UxGetXrt3dTextImageMinimumSize
#define UxGetXrt3dTextImageMinimumSize(sw) \
	(char *) UxDDGetProp(sw, XtNxrt3dTextImageMinimumSize)
#endif
#ifndef UxPutXrt3dTextImageMinimumSize
#define UxPutXrt3dTextImageMinimumSize(sw, val) \
	UxDDPutProp(sw, XtNxrt3dTextImageMinimumSize, (XtArgVal)(val))
#endif



/* Runtime create macro for Xrt3d */
#ifndef UxCreateXrt3d
#define UxCreateXrt3d( name, parent) \
	UxCreateSwidget(name, xtXrt3dWidgetClass, parent)
#endif

/* Runtime create macro for Xrt3dText*/
#ifndef UxCreateXrt3dText
#define UxCreateXrt3dText( name, parent) \
	UxCreateSwidget(name, xtXrt3dTextObjectClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UxXRT3D_INCLUDED */

/***END*OF*FILE****************************************************************/
