/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/field widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtCalendar.h	1.1    98/11/05 KL Group Inc.
 */

/******************************************************************************
				UxXrtCalendar.h
******************************************************************************/

#ifndef UXXRTCALENDAR_INCLUDED
#define UXXRTCALENDAR_INCLUDED

#include <Xm/XrtField.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxXrtFldManager.h"
#include "UxXrtCalendar.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTCALFLD_NAME(x)	xrtfldcal_res_table[x].name
#define XRTCALFLD_PRPTY(x)	xrtfldcal_res_table[x].prpty
#define XRTCALFLD_TABLE(x)	XRTCALFLD_PRPTY(x), XRTCALFLD_NAME(x)

/* Design-Time UxGet and UxPut macros for XrtCalendarCellMargin */
#ifndef UxGetXrtCalendarCellMargin
#define UxGetXrtCalendarCellMargin(sw) \
	UxGET_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumCellMargin))
#endif
#ifndef UxPutXrtCalendarCellMargin
#define UxPutXrtCalendarCellMargin(sw, val) \
	UxPUT_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumCellMargin), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarCellHighlightColor */
#ifndef UxGetXrtCalendarCellHighlightColor
#define UxGetXrtCalendarCellHighlightColor(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCellHighlightColor))
#endif
#ifndef UxPutXrtCalendarCellHighlightColor
#define UxPutXrtCalendarCellHighlightColor(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCellHighlightColor), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarCellHighlightThickness */
#ifndef UxGetXrtCalendarCellHighlightThickness
#define UxGetXrtCalendarCellHighlightThickness(sw) \
	UxGET_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumCellHighlightThickness))
#endif
#ifndef UxPutXrtCalendarCellHighlightThickness
#define UxPutXrtCalendarCellHighlightThickness(sw, val) \
	UxPUT_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumCellHighlightThickness), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarCreateMonth */
#ifndef UxGetXrtCalendarCreateMonth
#define UxGetXrtCalendarCreateMonth(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCreateMonth))
#endif
#ifndef UxPutXrtCalendarCreateMonth
#define UxPutXrtCalendarCreateMonth(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCreateMonth), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarCreateTime */
#ifndef UxGetXrtCalendarCreateTime
#define UxGetXrtCalendarCreateTime(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCreateTime))
#endif
#ifndef UxPutXrtCalendarCreateTime
#define UxPutXrtCalendarCreateTime(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCreateTime), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarCreateYear */
#ifndef UxGetXrtCalendarCreateYear
#define UxGetXrtCalendarCreateYear(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCreateYear))
#endif
#ifndef UxPutXrtCalendarCreateYear
#define UxPutXrtCalendarCreateYear(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumCreateYear), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarEnabled */
#ifndef UxGetXrtCalendarEnabled
#define UxGetXrtCalendarEnabled(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumEnabled))
#endif
#ifndef UxPutXrtCalendarEnabled
#define UxPutXrtCalendarEnabled(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumEnabled), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarFirstDayOfWeek */
#ifndef UxGetXrtCalendarFirstDayOfWeek
#define UxGetXrtCalendarFirstDayOfWeek(sw) \
	UxGET_int(sw, XRTCALFLD_TABLE(xrtCalendarResNumFirstDayOfWeek))
#endif
#ifndef UxPutXrtCalendarFirstDayOfWeek
#define UxPutXrtCalendarFirstDayOfWeek(sw, val) \
	UxPUT_int(sw, XRTCALFLD_TABLE(xrtCalendarResNumFirstDayOfWeek), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarFullWeekdayNames */
#ifndef UxGetXrtCalendarFullWeekdayNames
#define UxGetXrtCalendarFullWeekdayNames(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumFullWeekdayNames))
#endif
#ifndef UxPutXrtCalendarFullWeekdayNames
#define UxPutXrtCalendarFullWeekdayNames(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumFullWeekdayNames), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarHeaderNumChars */
#ifndef UxGetXrtCalendarHeaderNumChars
#define UxGetXrtCalendarHeaderNumChars(sw) \
	UxGET_int(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderNumChars))
#endif
#ifndef UxPutXrtCalendarHeaderNumChars
#define UxPutXrtCalendarHeaderNumChars(sw, val) \
	UxPUT_int(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderNumChars), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarHeaderBackground */
#ifndef UxGetXrtCalendarHeaderBackground
#define UxGetXrtCalendarHeaderBackground(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderBackground))
#endif
#ifndef UxPutXrtCalendarHeaderBackground
#define UxPutXrtCalendarHeaderBackground(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderBackground), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarHeaderFontList */
#ifndef UxGetXrtCalendarHeaderFontList
#define UxGetXrtCalendarHeaderFontList(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderFontList))
#endif
#ifndef UxPutXrtCalendarHeaderFontList
#define UxPutXrtCalendarHeaderFontList(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderFontList), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarHeaderForeground */
#ifndef UxGetXrtCalendarHeaderForeground
#define UxGetXrtCalendarHeaderForeground(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderForeground))
#endif
#ifndef UxPutXrtCalendarHeaderForeground
#define UxPutXrtCalendarHeaderForeground(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumHeaderForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarMarginBottom */
#ifndef UxGetXrtCalendarMarginBottom
#define UxGetXrtCalendarMarginBottom(sw) \
	UxGET_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginBottom))
#endif
#ifndef UxPutXrtCalendarMarginBottom
#define UxPutXrtCalendarMarginBottom(sw, val) \
	UxPUT_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginBottom), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarMarginLeft */
#ifndef UxGetXrtCalendarMarginLeft
#define UxGetXrtCalendarMarginLeft(sw) \
	UxGET_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginLeft))
#endif
#ifndef UxPutXrtCalendarMarginLeft
#define UxPutXrtCalendarMarginLeft(sw, val) \
	UxPUT_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginLeft), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarMarginRight */
#ifndef UxGetXrtCalendarMarginRight
#define UxGetXrtCalendarMarginRight(sw) \
	UxGET_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginRight))
#endif
#ifndef UxPutXrtCalendarMarginRight
#define UxPutXrtCalendarMarginRight(sw, val) \
	UxPUT_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginRight), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarMarginTop */
#ifndef UxGetXrtCalendarMarginTop
#define UxGetXrtCalendarMarginTop(sw) \
	UxGET_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginTop))
#endif
#ifndef UxPutXrtCalendarMarginTop
#define UxPutXrtCalendarMarginTop(sw, val) \
	UxPUT_short(sw, XRTCALFLD_TABLE(xrtCalendarResNumMarginTop), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarMaxRollDate */
#ifndef UxGetXrtCalendarMaxRollDate
#define UxGetXrtCalendarMaxRollDate(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumMaxRollDate))
#endif
#ifndef UxPutXrtCalendarMaxRollDate
#define UxPutXrtCalendarMaxRollDate(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumMaxRollDate), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarMinRollDate */
#ifndef UxGetXrtCalendarMinRollDate
#define UxGetXrtCalendarMinRollDate(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumMinRollDate))
#endif
#ifndef UxPutXrtCalendarMinRollDate
#define UxPutXrtCalendarMinRollDate(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumMinRollDate), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarSpecialDayBackground */
#ifndef UxGetXrtCalendarSpecialDayBackground
#define UxGetXrtCalendarSpecialDayBackground(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSpecialDayBackground))
#endif
#ifndef UxPutXrtCalendarSpecialDayBackground
#define UxPutXrtCalendarSpecialDayBackground(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSpecialDayBackground), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarSpecialDayForeground */
#ifndef UxGetXrtCalendarSpecialDayForeground
#define UxGetXrtCalendarSpecialDayForeground(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSpecialDayForeground))
#endif
#ifndef UxPutXrtCalendarSpecialDayForeground
#define UxPutXrtCalendarSpecialDayForeground(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSpecialDayForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarSpecialDays */
#ifndef UxGetXrtCalendarSpecialDays
#define UxGetXrtCalendarSpecialDays(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSpecialDays))
#endif
#ifndef UxPutXrtCalendarSpecialDays
#define UxPutXrtCalendarSpecialDays(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSpecialDays), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarSelectedBackground */
#ifndef UxGetXrtCalendarSelectedBackground
#define UxGetXrtCalendarSelectedBackground(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSelectedBackground))
#endif
#ifndef UxPutXrtCalendarSelectedBackground
#define UxPutXrtCalendarSelectedBackground(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSelectedBackground), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarSelectedForeground */
#ifndef UxGetXrtCalendarSelectedForeground
#define UxGetXrtCalendarSelectedForeground(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSelectedForeground))
#endif
#ifndef UxPutXrtCalendarSelectedForeground
#define UxPutXrtCalendarSelectedForeground(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumSelectedForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarValue */
#ifndef UxGetXrtCalendarValue
#define UxGetXrtCalendarValue(sw) \
	UxGET_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumValue))
#endif
#ifndef UxPutXrtCalendarValue
#define UxPutXrtCalendarValue(sw, val) \
	UxPUT_string(sw, XRTCALFLD_TABLE(xrtCalendarResNumValue), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtCalendarValueLong */
#ifndef UxGetXrtCalendarValueLong
#define UxGetXrtCalendarValueLong(sw) \
	UxGET_long(sw, XRTCALFLD_TABLE(xrtCalendarResNumValueLong))
#endif
#ifndef UxPutXrtCalendarValueLong
#define UxPutXrtCalendarValueLong(sw, val) \
	UxPUT_long(sw, XRTCALFLD_TABLE(xrtCalendarResNumValueLong), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtCalendar;

/* Design-time create macro */
#ifndef UxCreateXrtCalendar
#define UxCreateXrtCalendar(name, parent) \
	UxCreateSwidget(UxC_XrtCalendar, name, parent)
#endif

#else /* Not DESIGN_TIME */

#ifndef UxGetXrtCalendarCellMargin
#define UxGetXrtCalendarCellMargin(sw) \
	(short)UxShortGetProp(sw, XmNxrtCalendarCellMargin)
#endif
#ifndef UxPutXrtCalendarCellMargin
#define UxPutXrtCalendarCellMargin(sw, val) \
	UxPutProp(sw, XmNxrtCalendarCellMargin, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarCellHighlightColor
#define UxGetXrtCalendarCellHighlightColor(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarCellHighlightColor)
#endif
#ifndef UxPutXrtCalendarCellHighlightColor
#define UxPutXrtCalendarCellHighlightColor(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarCellHighlightColor, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarCellHighlightThickness
#define UxGetXrtCalendarCellHighlightThickness(sw) \
	(short)UxShortGetProp(sw, XmNxrtCalendarCellHighlightThickness)
#endif
#ifndef UxPutXrtCalendarCellHighlightThickness
#define UxPutXrtCalendarCellHighlightThickness(sw, val) \
	UxPutProp(sw, XmNxrtCalendarCellHighlightThickness, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarCreateMonth
#define UxGetXrtCalendarCreateMonth(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarCreateMonth)
#endif
#ifndef UxPutXrtCalendarCreateMonth
#define UxPutXrtCalendarCreateMonth(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarCreateMonth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarCreateTime
#define UxGetXrtCalendarCreateTime(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarCreateTime)
#endif
#ifndef UxPutXrtCalendarCreateTime
#define UxPutXrtCalendarCreateTime(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarCreateTime, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarCreateYear
#define UxGetXrtCalendarCreateYear(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarCreateYear)
#endif
#ifndef UxPutXrtCalendarCreateYear
#define UxPutXrtCalendarCreateYear(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarCreateYear, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarEnabled
#define UxGetXrtCalendarEnabled(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarEnabled)
#endif
#ifndef UxPutXrtCalendarEnabled
#define UxPutXrtCalendarEnabled(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarEnabled, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarFirstDayOfWeek
#define UxGetXrtCalendarFirstDayOfWeek(sw) \
	(int)UxIntGetProp(sw, XmNxrtCalendarFirstDayOfWeek)
#endif
#ifndef UxPutXrtCalendarFirstDayOfWeek
#define UxPutXrtCalendarFirstDayOfWeek(sw, val) \
	UxPutProp(sw, XmNxrtCalendarFirstDayOfWeek, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarFullWeekdayNames
#define UxGetXrtCalendarFullWeekdayNames(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarFullWeekdayNames)
#endif
#ifndef UxPutXrtCalendarFullWeekdayNames
#define UxPutXrtCalendarFullWeekdayNames(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarFullWeekdayNames, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarHeaderNumChars
#define UxGetXrtCalendarHeaderNumChars(sw) \
	(int)UxIntGetProp(sw, XmNxrtCalendarHeaderNumChars)
#endif
#ifndef UxPutXrtCalendarHeaderNumChars
#define UxPutXrtCalendarHeaderNumChars(sw, val) \
	UxPutProp(sw, XmNxrtCalendarHeaderNumChars, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarHeaderBackground
#define UxGetXrtCalendarHeaderBackground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarHeaderBackground)
#endif
#ifndef UxPutXrtCalendarHeaderBackground
#define UxPutXrtCalendarHeaderBackground(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarHeaderBackground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarHeaderFontList
#define UxGetXrtCalendarHeaderFontList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarHeaderFontList)
#endif
#ifndef UxPutXrtCalendarHeaderFontList
#define UxPutXrtCalendarHeaderFontList(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarHeaderFontList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarHeaderForeground
#define UxGetXrtCalendarHeaderForeground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarHeaderForeground)
#endif
#ifndef UxPutXrtCalendarHeaderForeground
#define UxPutXrtCalendarHeaderForeground(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarHeaderForeground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarMarginBottom
#define UxGetXrtCalendarMarginBottom(sw) \
	(short)UxShortGetProp(sw, XmNxrtCalendarMarginBottom)
#endif
#ifndef UxPutXrtCalendarMarginBottom
#define UxPutXrtCalendarMarginBottom(sw, val) \
	UxPutProp(sw, XmNxrtCalendarMarginBottom, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarMarginLeft
#define UxGetXrtCalendarMarginLeft(sw) \
	(short)UxShortGetProp(sw, XmNxrtCalendarMarginLeft)
#endif
#ifndef UxPutXrtCalendarMarginLeft
#define UxPutXrtCalendarMarginLeft(sw, val) \
	UxPutProp(sw, XmNxrtCalendarMarginLeft, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarMarginRight
#define UxGetXrtCalendarMarginRight(sw) \
	(short)UxShortGetProp(sw, XmNxrtCalendarMarginRight)
#endif
#ifndef UxPutXrtCalendarMarginRight
#define UxPutXrtCalendarMarginRight(sw, val) \
	UxPutProp(sw, XmNxrtCalendarMarginRight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarMarginTop
#define UxGetXrtCalendarMarginTop(sw) \
	(short)UxShortGetProp(sw, XmNxrtCalendarMarginTop)
#endif
#ifndef UxPutXrtCalendarMarginTop
#define UxPutXrtCalendarMarginTop(sw, val) \
	UxPutProp(sw, XmNxrtCalendarMarginTop, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarMaxRollDate
#define UxGetXrtCalendarMaxRollDate(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarMaxRollDate)
#endif
#ifndef UxPutXrtCalendarMaxRollDate
#define UxPutXrtCalendarMaxRollDate(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarMaxRollDate, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarMinRollDate
#define UxGetXrtCalendarMinRollDate(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarMinRollDate)
#endif
#ifndef UxPutXrtCalendarMinRollDate
#define UxPutXrtCalendarMinRollDate(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarMinRollDate, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarSpecialDayBackground
#define UxGetXrtCalendarSpecialDayBackground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarSpecialDayBackground)
#endif
#ifndef UxPutXrtCalendarSpecialDayBackground
#define UxPutXrtCalendarSpecialDayBackground(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarSpecialDayBackground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarSpecialDayForeground
#define UxGetXrtCalendarSpecialDayForeground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarSpecialDayForeground)
#endif
#ifndef UxPutXrtCalendarSpecialDayForeground
#define UxPutXrtCalendarSpecialDayForeground(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarSpecialDayForeground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarSpecialDays
#define UxGetXrtCalendarSpecialDays(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarSpecialDays)
#endif
#ifndef UxPutXrtCalendarSpecialDays
#define UxPutXrtCalendarSpecialDays(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarSpecialDays, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarSelectedBackground
#define UxGetXrtCalendarSelectedBackground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarSelectedBackground)
#endif
#ifndef UxPutXrtCalendarSelectedBackground
#define UxPutXrtCalendarSelectedBackground(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarSelectedBackground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarSelectedForeground
#define UxGetXrtCalendarSelectedForeground(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarSelectedForeground)
#endif
#ifndef UxPutXrtCalendarSelectedForeground
#define UxPutXrtCalendarSelectedForeground(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarSelectedForeground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarValue
#define UxGetXrtCalendarValue(sw) \
	(char *) UxDDGetProp(sw, XmNxrtCalendarValue)
#endif
#ifndef UxPutXrtCalendarValue
#define UxPutXrtCalendarValue(sw, val) \
	UxDDPutProp(sw, XmNxrtCalendarValue, (XtArgVal)(val))
#endif

#ifndef UxGetXrtCalendarValueLong
#define UxGetXrtCalendarValueLong(sw) \
	(long) UxGetProp(sw, XmNxrtCalendarValueLong)
#endif
#ifndef UxPutXrtCalendarValueLong
#define UxPutXrtCalendarValueLong(sw, val) \
	UxPutProp(sw, XmNxrtCalendarValueLong, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtCalendar
#define UxCreateXrtCalendar(name, parent) \
	UxCreateSwidget(name, xmXrtCalendarWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTCALENDAR_INCLUDED */

/***END*OF*FILE***************************************************************/
