/* $AstecId: UxXrtCalendar.hxx,v 1.4 2000/06/19 08:32:20 kosaka Exp $ */
/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtCalendar.hxx	1.1    98/11/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtCalendar : public UxXrtFldManager
{
    public:


	// Constructors
	UXINLINE UxXrtCalendar(void);
	UXINLINE UxXrtCalendar(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE short GetXrtCalendarCellMargin (void) const;
	UXINLINE void SetXrtCalendarCellMargin(short);

	UXINLINE char * GetXrtCalendarCellHighlightColor (void) const;
	UXINLINE void SetXrtCalendarCellHighlightColor(const char *);

	UXINLINE short GetXrtCalendarCellHighlightThickness (void) const;
	UXINLINE void SetXrtCalendarCellHighlightThickness(short);

	UXINLINE char * GetXrtCalendarCreateMonth (void) const;
	UXINLINE void SetXrtCalendarCreateMonth(const char *);

	UXINLINE char * GetXrtCalendarCreateTime (void) const;
	UXINLINE void SetXrtCalendarCreateTime(const char *);

	UXINLINE char * GetXrtCalendarCreateYear (void) const;
	UXINLINE void SetXrtCalendarCreateYear(const char *);

	UXINLINE char * GetXrtCalendarEnabled (void) const;
	UXINLINE void SetXrtCalendarEnabled(const char *);

	UXINLINE int GetXrtCalendarFirstDayOfWeek (void) const;
	UXINLINE void SetXrtCalendarFirstDayOfWeek(int);

	UXINLINE char * GetXrtCalendarFullWeekdayNames (void) const;
	UXINLINE void SetXrtCalendarFullWeekdayNames(const char *);

	UXINLINE int GetXrtCalendarHeaderNumChars (void) const;
	UXINLINE void SetXrtCalendarHeaderNumChars(int);

	UXINLINE char * GetXrtCalendarHeaderBackground (void) const;
	UXINLINE void SetXrtCalendarHeaderBackground(const char *);

	UXINLINE char * GetXrtCalendarHeaderFontList (void) const;
	UXINLINE void SetXrtCalendarHeaderFontList(const char *);

	UXINLINE char * GetXrtCalendarHeaderForeground (void) const;
	UXINLINE void SetXrtCalendarHeaderForeground(const char *);

	UXINLINE short GetXrtCalendarMarginBottom (void) const;
	UXINLINE void SetXrtCalendarMarginBottom(short);

	UXINLINE short GetXrtCalendarMarginLeft (void) const;
	UXINLINE void SetXrtCalendarMarginLeft(short);

	UXINLINE short GetXrtCalendarMarginRight (void) const;
	UXINLINE void SetXrtCalendarMarginRight(short);

	UXINLINE short GetXrtCalendarMarginTop (void) const;
	UXINLINE void SetXrtCalendarMarginTop(short);

	UXINLINE char * GetXrtCalendarMaxRollDate (void) const;
	UXINLINE void SetXrtCalendarMaxRollDate(const char *);

	UXINLINE char * GetXrtCalendarMinRollDate (void) const;
	UXINLINE void SetXrtCalendarMinRollDate(const char *);

	UXINLINE char * GetXrtCalendarSpecialDayBackground (void) const;
	UXINLINE void SetXrtCalendarSpecialDayBackground(const char *);

	UXINLINE char * GetXrtCalendarSpecialDayForeground (void) const;
	UXINLINE void SetXrtCalendarSpecialDayForeground(const char *);

	UXINLINE char * GetXrtCalendarSpecialDays (void) const;
	UXINLINE void SetXrtCalendarSpecialDays(const char *);

	UXINLINE char * GetXrtCalendarSelectedBackground (void) const;
	UXINLINE void SetXrtCalendarSelectedBackground(const char *);

	UXINLINE char * GetXrtCalendarSelectedForeground (void) const;
	UXINLINE void SetXrtCalendarSelectedForeground(const char *);

	UXINLINE char * GetXrtCalendarValue (void) const;
	UXINLINE void SetXrtCalendarValue(const char *);

	UXINLINE long GetXrtCalendarValueLong (void) const;
	UXINLINE void SetXrtCalendarValueLong(long);

};

#ifdef DESIGN_TIME

#define XRTCALFLD_NAME(x)	xrtfldcal_res_table[x].name
#define XRTCALFLD_PRPTY(x)	xrtfldcal_res_table[x].prpty
#define XRTCALFLD_TABLE(x)	XRTCALFLD_PRPTY(x), XRTCALFLD_NAME(x)

extern Class_t UxC_XrtCalendar;

#else /* (not DESIGN_TIME) */

// Constructors
inline UxXrtCalendar::UxXrtCalendar(void){};
inline UxXrtCalendar::UxXrtCalendar(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
};

// Initialization
inline swidget UxXrtCalendar::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					xmXrtCalendarWidgetClass, parent);
	return UxThis;
};

inline short UxXrtCalendar::GetXrtCalendarCellMargin (void) const
	{ return (short) ShortGetProp(XmNxrtCalendarCellMargin);}
inline void UxXrtCalendar::SetXrtCalendarCellMargin (short val)
	{ SetProp(XmNxrtCalendarCellMargin, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarCellHighlightColor (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarCellHighlightColor);}
inline void UxXrtCalendar::SetXrtCalendarCellHighlightColor (const char * val)
	{ DDSetProp(XmNxrtCalendarCellHighlightColor, ((XtArgVal)(val)));}

inline short UxXrtCalendar::GetXrtCalendarCellHighlightThickness (void) const
	{ return (short) ShortGetProp(XmNxrtCalendarCellHighlightThickness);}
inline void UxXrtCalendar::SetXrtCalendarCellHighlightThickness (short val)
	{ SetProp(XmNxrtCalendarCellHighlightThickness, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarCreateMonth (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarCreateMonth);}
inline void UxXrtCalendar::SetXrtCalendarCreateMonth (const char * val)
	{ DDSetProp(XmNxrtCalendarCreateMonth, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarCreateTime (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarCreateTime);}
inline void UxXrtCalendar::SetXrtCalendarCreateTime (const char * val)
	{ DDSetProp(XmNxrtCalendarCreateTime, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarCreateYear (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarCreateYear);}
inline void UxXrtCalendar::SetXrtCalendarCreateYear (const char * val)
	{ DDSetProp(XmNxrtCalendarCreateYear, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarEnabled (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarEnabled);}
inline void UxXrtCalendar::SetXrtCalendarEnabled (const char * val)
	{ DDSetProp(XmNxrtCalendarEnabled, ((XtArgVal)(val)));}

inline int UxXrtCalendar::GetXrtCalendarFirstDayOfWeek (void) const
	{ return (int)IntGetProp(XmNxrtCalendarFirstDayOfWeek);}
inline void UxXrtCalendar::SetXrtCalendarFirstDayOfWeek (int val)
	{ SetProp(XmNxrtCalendarFirstDayOfWeek, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarFullWeekdayNames (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarFullWeekdayNames);}
inline void UxXrtCalendar::SetXrtCalendarFullWeekdayNames (const char * val)
	{ DDSetProp(XmNxrtCalendarFullWeekdayNames, ((XtArgVal)(val)));}

inline int UxXrtCalendar::GetXrtCalendarHeaderNumChars (void) const
	{ return (int)IntGetProp(XmNxrtCalendarHeaderNumChars);}
inline void UxXrtCalendar::SetXrtCalendarHeaderNumChars (int val)
	{ SetProp(XmNxrtCalendarHeaderNumChars, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarHeaderBackground (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarHeaderBackground);}
inline void UxXrtCalendar::SetXrtCalendarHeaderBackground (const char * val)
	{ DDSetProp(XmNxrtCalendarHeaderBackground, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarHeaderFontList (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarHeaderFontList);}
inline void UxXrtCalendar::SetXrtCalendarHeaderFontList (const char * val)
	{ DDSetProp(XmNxrtCalendarHeaderFontList, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarHeaderForeground (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarHeaderForeground);}
inline void UxXrtCalendar::SetXrtCalendarHeaderForeground (const char * val)
	{ DDSetProp(XmNxrtCalendarHeaderForeground, ((XtArgVal)(val)));}

inline short UxXrtCalendar::GetXrtCalendarMarginBottom (void) const
	{ return (short) ShortGetProp(XmNxrtCalendarMarginBottom);}
inline void UxXrtCalendar::SetXrtCalendarMarginBottom (short val)
	{ SetProp(XmNxrtCalendarMarginBottom, ((XtArgVal)(val)));}

inline short UxXrtCalendar::GetXrtCalendarMarginLeft (void) const
	{ return (short) ShortGetProp(XmNxrtCalendarMarginLeft);}
inline void UxXrtCalendar::SetXrtCalendarMarginLeft (short val)
	{ SetProp(XmNxrtCalendarMarginLeft, ((XtArgVal)(val)));}

inline short UxXrtCalendar::GetXrtCalendarMarginRight (void) const
	{ return (short) ShortGetProp(XmNxrtCalendarMarginRight);}
inline void UxXrtCalendar::SetXrtCalendarMarginRight (short val)
	{ SetProp(XmNxrtCalendarMarginRight, ((XtArgVal)(val)));}

inline short UxXrtCalendar::GetXrtCalendarMarginTop (void) const
	{ return (short) ShortGetProp(XmNxrtCalendarMarginTop);}
inline void UxXrtCalendar::SetXrtCalendarMarginTop (short val)
	{ SetProp(XmNxrtCalendarMarginTop, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarMaxRollDate (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarMaxRollDate);}
inline void UxXrtCalendar::SetXrtCalendarMaxRollDate (const char * val)
	{ DDSetProp(XmNxrtCalendarMaxRollDate, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarMinRollDate (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarMinRollDate);}
inline void UxXrtCalendar::SetXrtCalendarMinRollDate (const char * val)
	{ DDSetProp(XmNxrtCalendarMinRollDate, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarSpecialDayBackground (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarSpecialDayBackground);}
inline void UxXrtCalendar::SetXrtCalendarSpecialDayBackground (const char * val)
	{ DDSetProp(XmNxrtCalendarSpecialDayBackground, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarSpecialDayForeground (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarSpecialDayForeground);}
inline void UxXrtCalendar::SetXrtCalendarSpecialDayForeground (const char * val)
	{ DDSetProp(XmNxrtCalendarSpecialDayForeground, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarSpecialDays (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarSpecialDays);}
inline void UxXrtCalendar::SetXrtCalendarSpecialDays (const char * val)
	{ DDSetProp(XmNxrtCalendarSpecialDays, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarSelectedBackground (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarSelectedBackground);}
inline void UxXrtCalendar::SetXrtCalendarSelectedBackground (const char * val)
	{ DDSetProp(XmNxrtCalendarSelectedBackground, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarSelectedForeground (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarSelectedForeground);}
inline void UxXrtCalendar::SetXrtCalendarSelectedForeground (const char * val)
	{ DDSetProp(XmNxrtCalendarSelectedForeground, ((XtArgVal)(val)));}

inline char * UxXrtCalendar::GetXrtCalendarValue (void) const
	{ return (char *) DDGetProp(XmNxrtCalendarValue);}
inline void UxXrtCalendar::SetXrtCalendarValue (const char * val)
	{ DDSetProp(XmNxrtCalendarValue, ((XtArgVal)(val)));}

inline long UxXrtCalendar::GetXrtCalendarValueLong (void) const
	{ return (long) GetProp(XmNxrtCalendarValueLong);}
inline void UxXrtCalendar::SetXrtCalendarValueLong (long val)
	{ SetProp(XmNxrtCalendarValueLong, ((XtArgVal)(val)));}


#endif /* DESIGN_TIME */
#endif /* __cplusplus */

