/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtFloatField.hxx,v 1.5 2000/06/19 08:32:26 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtFloatField.hxx	1.5    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtFloatField : public UxXrtField
{
    public:

	// Constructors
	UXINLINE UxXrtFloatField(void);
	UXINLINE UxXrtFloatField(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions
//??
	UXINLINE double GetXrtFloatFldCounterIncrement () const;
	UXINLINE void SetXrtFloatFldCounterIncrement (double);

	UXINLINE int GetXrtFloatFldDecimalPlaces () const;
	UXINLINE void SetXrtFloatFldDecimalPlaces	(int);
//??
	UXINLINE double GetXrtFloatFldDefaultValue () const;
	UXINLINE void SetXrtFloatFldDefaultValue (double);

	UXINLINE char * GetXrtFloatFldDisplayFormatString () const;
	UXINLINE void SetXrtFloatFldDisplayFormatString (const char *);
//??
	UXINLINE double GetXrtFloatFldInternalValue () const;
	UXINLINE void SetXrtFloatFldInternalValue (double);

	UXINLINE char * GetXrtFloatFldLeadingZero () const;
	UXINLINE void SetXrtFloatFldLeadingZero (const char *);
//??
	UXINLINE double GetXrtFloatFldMax () const;
	UXINLINE void SetXrtFloatFldMax (double);
//??
	UXINLINE double GetXrtFloatFldMin () const;
	UXINLINE void SetXrtFloatFldMin (double);

	UXINLINE char * GetXrtFloatFldNegativeFormat () const;
	UXINLINE void SetXrtFloatFldNegativeFormat (const char *);

	UXINLINE char * GetXrtFloatFldPickList () const;
	UXINLINE void SetXrtFloatFldPickList (const char *);

};

#ifdef DESIGN_TIME

#define XRTFLTFLD_NAME(x)	xrtfldflt_res_table[x].name
#define XRTFLTFLD_PRPTY(x)	xrtfldflt_res_table[x].prpty
#define XRTFLTFLD_TABLE(x)	XRTFLTFLD_PRPTY(x), XRTFLTFLD_NAME(x)

extern Class_t UxC_XrtFloatField;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type float

extern "C" {
	XtArgVal UxGetXrtFldDoubleProp(swidget sw, char *res);
	double   XrtFldArgValToDouble(XtArgVal val);
	XtArgVal XrtFldDoubleToArgVal(double val);
}

#define RT_FLD_GET_DOUBLE(res) \
	XrtFldArgValToDouble(UxGetXrtFldDoubleProp(UxThis, res))
#define RT_FLD_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtFldDoubleToArgVal((double)val))

// Constructors
inline UxXrtFloatField::UxXrtFloatField(void){}
inline UxXrtFloatField::UxXrtFloatField(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtFloatField::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtFloatFieldWidgetClass, parent);
	return UxThis;
}

inline double UxXrtFloatField::GetXrtFloatFldCounterIncrement (void) const
	{ return RT_FLD_GET_DOUBLE(XmNxrtFldCounterIncrement);}
inline void UxXrtFloatField::SetXrtFloatFldCounterIncrement (double val)
	{ RT_FLD_PUT_DOUBLE(XmNxrtFldCounterIncrement,val);}

inline int UxXrtFloatField::GetXrtFloatFldDecimalPlaces (void) const
	{ return (int)IntGetProp(XmNxrtFldDecimalPlaces);}
inline void UxXrtFloatField::SetXrtFloatFldDecimalPlaces	(int val)
	{ SetProp(XmNxrtFldDecimalPlaces, ((XtArgVal)(val)));}

inline double UxXrtFloatField::GetXrtFloatFldDefaultValue (void) const
	{ return RT_FLD_GET_DOUBLE(XmNxrtFldDefaultValue);}
inline void UxXrtFloatField::SetXrtFloatFldDefaultValue (double val)
	{ RT_FLD_PUT_DOUBLE(XmNxrtFldDefaultValue, val);}

inline char * UxXrtFloatField::GetXrtFloatFldDisplayFormatString (void) const
	{ return (char * ) GetProp(XmNxrtFldDisplayFormatString);}
inline void UxXrtFloatField::SetXrtFloatFldDisplayFormatString (const char * val)
	{ SetProp(XmNxrtFldDisplayFormatString, ((XtArgVal)(val)));}

inline double UxXrtFloatField::GetXrtFloatFldInternalValue (void) const
	{ return RT_FLD_GET_DOUBLE(XmNxrtFldInternalValue);}
inline void UxXrtFloatField::SetXrtFloatFldInternalValue (double val)
	{ RT_FLD_PUT_DOUBLE(XmNxrtFldInternalValue, val);}

inline char * UxXrtFloatField::GetXrtFloatFldLeadingZero (void) const
	{ return (char * ) DDGetProp(XmNxrtFldLeadingZero);}
inline void UxXrtFloatField::SetXrtFloatFldLeadingZero (const char * val)
	{ DDSetProp(XmNxrtFldLeadingZero, ((XtArgVal)(val)));}

inline double UxXrtFloatField::GetXrtFloatFldMax (void) const
	{ return RT_FLD_GET_DOUBLE(XmNxrtFldMax);}
inline void UxXrtFloatField::SetXrtFloatFldMax (double val)
	{ RT_FLD_PUT_DOUBLE(XmNxrtFldMax, val);}

inline double UxXrtFloatField::GetXrtFloatFldMin (void) const
	{ return RT_FLD_GET_DOUBLE(XmNxrtFldMin);}
inline void UxXrtFloatField::SetXrtFloatFldMin (double val)
	{ RT_FLD_PUT_DOUBLE(XmNxrtFldMin, val);}

inline char * UxXrtFloatField::GetXrtFloatFldNegativeFormat (void) const
	{ return (char * ) DDGetProp(XmNxrtFldNegativeFormat);}
inline void UxXrtFloatField::SetXrtFloatFldNegativeFormat (const char * val)
	{ DDSetProp(XmNxrtFldNegativeFormat, ((XtArgVal)(val)));}

inline char * UxXrtFloatField::GetXrtFloatFldPickList (void) const
	{ return (char * ) DDGetProp(XmNxrtFldPickList);}
inline void UxXrtFloatField::SetXrtFloatFldPickList (const char * val)
	{ DDSetProp(XmNxrtFldPickList, ((XtArgVal)(val)));}


#undef RT_FLD_GET_DOUBLE
#undef RT_FLD_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
