/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecId: UxXrtGaCounter.hxx,v 1.3 2003/02/14 02:24:57 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGaCounter.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaCounter : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaCounter(void);
	UXINLINE UxXrtGaCounter(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetFontList () const;
	UXINLINE void SetFontList (const char *);

	UXINLINE int GetHeight () const;
	UXINLINE void SetHeight (int);

	UXINLINE int GetWidth () const;
	UXINLINE void SetWidth (int);

	UXINLINE int GetX () const;
	UXINLINE void SetX (int);

	UXINLINE int GetY () const;
	UXINLINE void SetY (int);

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE int GetXrtGaBorderWidth () const;
	UXINLINE void SetXrtGaBorderWidth (int);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE int GetXrtGaDecimalPlaces () const;
	UXINLINE void SetXrtGaDecimalPlaces (int);

	UXINLINE char * GetXrtGaDigitBackgroundColor () const;
	UXINLINE void SetXrtGaDigitBackgroundColor (const char *);

	UXINLINE char * GetXrtGaDigitForegroundColor () const;
	UXINLINE void SetXrtGaDigitForegroundColor (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE int GetXrtGaNumDigits () const;
	UXINLINE void SetXrtGaNumDigits (int);

	UXINLINE char * GetXrtGaResetAlignment () const;
	UXINLINE void SetXrtGaResetAlignment (const char *);

	UXINLINE char * GetXrtGaResetBackgroundColor () const;
	UXINLINE void SetXrtGaResetBackgroundColor (const char *);

	UXINLINE int GetXrtGaResetHeight () const;
	UXINLINE void SetXrtGaResetHeight (int);

	UXINLINE char * GetXrtGaResetImage () const;
	UXINLINE void SetXrtGaResetImage (const char *);

	UXINLINE int GetXrtGaResetOffset () const;
	UXINLINE void SetXrtGaResetOffset (int);

	UXINLINE char * GetXrtGaResetShape () const;
	UXINLINE void SetXrtGaResetShape (const char *);

	UXINLINE char * GetXrtGaResetShow () const;
	UXINLINE void SetXrtGaResetShow (const char *);

	UXINLINE int GetXrtGaResetWidth () const;
	UXINLINE void SetXrtGaResetWidth (int);

	UXINLINE int GetXrtGaSpacingHorizontal () const;
	UXINLINE void SetXrtGaSpacingHorizontal (int);

	UXINLINE int GetXrtGaSpacingVertical () const;
	UXINLINE void SetXrtGaSpacingVertical (int);

	UXINLINE int GetXrtGaTransitionRate () const;
	UXINLINE void SetXrtGaTransitionRate (int);

	UXINLINE int GetXrtGaTransitionSteps () const;
	UXINLINE void SetXrtGaTransitionSteps (int);

	UXINLINE char * GetXrtGaUseTransition () const;
	UXINLINE void SetXrtGaUseTransition (const char *);

	UXINLINE double GetXrtGaValue () const;
	UXINLINE void SetXrtGaValue (double);


};

#ifdef DESIGN_TIME

#define XrtGaCounter_prpty_name(x)	XrtGaCounter_res_table[x].prpty, XrtGaCounter_res_table[x].name

extern Class_t UxC_XrtGaCounter;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaCounter::UxXrtGaCounter(void){}
inline UxXrtGaCounter::UxXrtGaCounter(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaCounter::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaCounterWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaCounter::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaCounter::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetFontList (void) const
        { return (char * ) DDGetProp(XmNfontList);}
inline void UxXrtGaCounter::SetFontList (const char * val)
        { DDSetProp(XmNfontList, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetHeight (void) const
	{ return (int)IntGetProp(XmNheight);}
inline void UxXrtGaCounter::SetHeight (int val)
	{ SetProp(XmNheight, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetWidth (void) const
	{ return (int)IntGetProp(XmNwidth);}
inline void UxXrtGaCounter::SetWidth (int val)
	{ SetProp(XmNwidth, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetX (void) const
	{ return (int)IntGetProp(XmNx);}
inline void UxXrtGaCounter::SetX (int val)
	{ SetProp(XmNx, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetY (void) const
	{ return (int)IntGetProp(XmNy);}
inline void UxXrtGaCounter::SetY (int val)
	{ SetProp(XmNy, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaCounter::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaBorderWidth (void) const
	{ return (int)IntGetProp(XmNxrtGaBorderWidth);}
inline void UxXrtGaCounter::SetXrtGaBorderWidth (int val)
	{ SetProp(XmNxrtGaBorderWidth, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaCounter::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaDecimalPlaces (void) const
	{ return (int)IntGetProp(XmNxrtGaDecimalPlaces);}
inline void UxXrtGaCounter::SetXrtGaDecimalPlaces (int val)
	{ SetProp(XmNxrtGaDecimalPlaces, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaDigitBackgroundColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaDigitBackgroundColor);}
inline void UxXrtGaCounter::SetXrtGaDigitBackgroundColor (const char * val)
        { DDSetProp(XmNxrtGaDigitBackgroundColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaDigitForegroundColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaDigitForegroundColor);}
inline void UxXrtGaCounter::SetXrtGaDigitForegroundColor (const char * val)
        { DDSetProp(XmNxrtGaDigitForegroundColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaCounter::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaCounter::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaCounter::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaNumDigits (void) const
	{ return (int)IntGetProp(XmNxrtGaNumDigits);}
inline void UxXrtGaCounter::SetXrtGaNumDigits (int val)
	{ SetProp(XmNxrtGaNumDigits, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaResetAlignment (void) const
        { return (char * ) DDGetProp(XmNxrtGaResetAlignment);}
inline void UxXrtGaCounter::SetXrtGaResetAlignment (const char * val)
        { DDSetProp(XmNxrtGaResetAlignment, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaResetBackgroundColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaResetBackgroundColor);}
inline void UxXrtGaCounter::SetXrtGaResetBackgroundColor (const char * val)
        { DDSetProp(XmNxrtGaResetBackgroundColor, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaResetHeight (void) const
	{ return (int)IntGetProp(XmNxrtGaResetHeight);}
inline void UxXrtGaCounter::SetXrtGaResetHeight (int val)
	{ SetProp(XmNxrtGaResetHeight, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaResetImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaResetImage);}
inline void UxXrtGaCounter::SetXrtGaResetImage (const char * val)
        { DDSetProp(XmNxrtGaResetImage, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaResetOffset (void) const
	{ return (int)IntGetProp(XmNxrtGaResetOffset);}
inline void UxXrtGaCounter::SetXrtGaResetOffset (int val)
	{ SetProp(XmNxrtGaResetOffset, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaResetShape (void) const
        { return (char * ) DDGetProp(XmNxrtGaResetShape);}
inline void UxXrtGaCounter::SetXrtGaResetShape (const char * val)
        { DDSetProp(XmNxrtGaResetShape, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaResetShow (void) const
        { return (char * ) DDGetProp(XmNxrtGaResetShow);}
inline void UxXrtGaCounter::SetXrtGaResetShow (const char * val)
        { DDSetProp(XmNxrtGaResetShow, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaResetWidth (void) const
	{ return (int)IntGetProp(XmNxrtGaResetWidth);}
inline void UxXrtGaCounter::SetXrtGaResetWidth (int val)
	{ SetProp(XmNxrtGaResetWidth, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaSpacingHorizontal (void) const
	{ return (int)IntGetProp(XmNxrtGaSpacingHorizontal);}
inline void UxXrtGaCounter::SetXrtGaSpacingHorizontal (int val)
	{ SetProp(XmNxrtGaSpacingHorizontal, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaSpacingVertical (void) const
	{ return (int)IntGetProp(XmNxrtGaSpacingVertical);}
inline void UxXrtGaCounter::SetXrtGaSpacingVertical (int val)
	{ SetProp(XmNxrtGaSpacingVertical, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaTransitionRate (void) const
	{ return (int)IntGetProp(XmNxrtGaTransitionRate);}
inline void UxXrtGaCounter::SetXrtGaTransitionRate (int val)
	{ SetProp(XmNxrtGaTransitionRate, ((XtArgVal)(val)));}

inline int UxXrtGaCounter::GetXrtGaTransitionSteps (void) const
	{ return (int)IntGetProp(XmNxrtGaTransitionSteps);}
inline void UxXrtGaCounter::SetXrtGaTransitionSteps (int val)
	{ SetProp(XmNxrtGaTransitionSteps, ((XtArgVal)(val)));}

inline char *  UxXrtGaCounter::GetXrtGaUseTransition (void) const
        { return (char * ) DDGetProp(XmNxrtGaUseTransition);}
inline void UxXrtGaCounter::SetXrtGaUseTransition (const char * val)
        { DDSetProp(XmNxrtGaUseTransition, ((XtArgVal)(val)));}

inline double UxXrtGaCounter::GetXrtGaValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaValue);}
inline void UxXrtGaCounter::SetXrtGaValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaValue,val);}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
