/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaIndicator.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaIndicator : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaIndicator(void);
	UXINLINE UxXrtGaIndicator(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE int GetWidth () const;
	UXINLINE void SetWidth (int);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

//	UXINLINE voidFunction GetXrtGaDrawFunc () const;
//	UXINLINE void SetXrtGaDrawFunc (voidFunction);

	UXINLINE double GetXrtGaInnerExtent () const;
	UXINLINE void SetXrtGaInnerExtent (double);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageRotate () const;
	UXINLINE void SetXrtGaImageRotate (const char *);

	UXINLINE char * GetXrtGaLinearScale () const;
	UXINLINE void SetXrtGaLinearScale (const char *);

	UXINLINE char * GetXrtGaInteractionType () const;
	UXINLINE void SetXrtGaInteractionType (const char *);

	UXINLINE char * GetXrtGaIndicatorType () const;
	UXINLINE void SetXrtGaIndicatorType (const char *);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE double GetXrtGaOuterExtent () const;
	UXINLINE void SetXrtGaOuterExtent (double);

	UXINLINE double GetXrtGaValue () const;
	UXINLINE void SetXrtGaValue (double);


};

#ifdef DESIGN_TIME

#define XrtGaIndicator_prpty_name(x)	XrtGaIndicator_res_table[x].prpty, XrtGaIndicator_res_table[x].name

extern Class_t UxC_XrtGaIndicator;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaIndicator::UxXrtGaIndicator(void){}
inline UxXrtGaIndicator::UxXrtGaIndicator(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaIndicator::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaIndicatorWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaIndicator::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaIndicator::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline int UxXrtGaIndicator::GetWidth (void) const
	{ return (int)IntGetProp(XmNwidth);}
inline void UxXrtGaIndicator::SetWidth (int val)
	{ SetProp(XmNwidth, ((XtArgVal)(val)));}

inline char *  UxXrtGaIndicator::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaIndicator::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

// inline voidFunction  UxXrtGaIndicator::GetXrtGaDrawFunc (void) const
//         { return (voidFunction) DDGetProp(XmNxrtGaDrawFunc);}
// inline void UxXrtGaIndicator::SetXrtGaDrawFunc (voidFunction val)
//         { DDSetProp(XmNxrtGaDrawFunc, ((XtArgVal)(val)));}

inline double UxXrtGaIndicator::GetXrtGaInnerExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaInnerExtent);}
inline void UxXrtGaIndicator::SetXrtGaInnerExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaInnerExtent,val);}

inline char *  UxXrtGaIndicator::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaIndicator::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaIndicator::GetXrtGaImageRotate (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageRotate);}
inline void UxXrtGaIndicator::SetXrtGaImageRotate (const char * val)
        { DDSetProp(XmNxrtGaImageRotate, ((XtArgVal)(val)));}

inline char *  UxXrtGaIndicator::GetXrtGaLinearScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaLinearScale);}
inline void UxXrtGaIndicator::SetXrtGaLinearScale (const char * val)
        { DDSetProp(XmNxrtGaLinearScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaIndicator::GetXrtGaInteractionType (void) const
        { return (char * ) DDGetProp(XmNxrtGaInteractionType);}
inline void UxXrtGaIndicator::SetXrtGaInteractionType (const char * val)
        { DDSetProp(XmNxrtGaInteractionType, ((XtArgVal)(val)));}

inline char *  UxXrtGaIndicator::GetXrtGaIndicatorType (void) const
        { return (char * ) DDGetProp(XmNxrtGaIndicatorType);}
inline void UxXrtGaIndicator::SetXrtGaIndicatorType (const char * val)
        { DDSetProp(XmNxrtGaIndicatorType, ((XtArgVal)(val)));}

inline char *  UxXrtGaIndicator::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaIndicator::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline double UxXrtGaIndicator::GetXrtGaOuterExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaOuterExtent);}
inline void UxXrtGaIndicator::SetXrtGaOuterExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaOuterExtent,val);}

inline double UxXrtGaIndicator::GetXrtGaValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaValue);}
inline void UxXrtGaIndicator::SetXrtGaValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaValue,val);}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
