/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaLEDNumerical.hxx	1.4    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaLEDNumerical : public UxPrimitive
{
    public:

	// Constructors
	UXINLINE UxXrtGaLEDNumerical(void);
	UXINLINE UxXrtGaLEDNumerical(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetXrtGaBorder () const;
	UXINLINE void SetXrtGaBorder (const char *);

	UXINLINE int GetXrtGaColorMixPercentage () const;
	UXINLINE void SetXrtGaColorMixPercentage (int);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE int GetXrtGaDecimalPlaces () const;
	UXINLINE void SetXrtGaDecimalPlaces (int);

	UXINLINE int GetXrtGaDecimalPosition () const;
	UXINLINE void SetXrtGaDecimalPosition (int);

	UXINLINE int GetXrtGaDecimalSize () const;
	UXINLINE void SetXrtGaDecimalSize (int);

	UXINLINE char * GetXrtGaDoubleBuffer () const;
	UXINLINE void SetXrtGaDoubleBuffer (const char *);

	UXINLINE char * GetXrtGaFixedDecimal () const;
	UXINLINE void SetXrtGaFixedDecimal (const char *);

	UXINLINE char * GetXrtGaLeadingOne () const;
	UXINLINE void SetXrtGaLeadingOne (const char *);

	UXINLINE char * GetXrtGaLeadingPlusMinus () const;
	UXINLINE void SetXrtGaLeadingPlusMinus (const char *);

	UXINLINE char * GetXrtGaLeadingZeros () const;
	UXINLINE void SetXrtGaLeadingZeros (const char *);

	UXINLINE int GetXrtGaNumDigits () const;
	UXINLINE void SetXrtGaNumDigits (int);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE char * GetXrtGaOnColor () const;
	UXINLINE void SetXrtGaOnColor (const char *);

	UXINLINE char * GetXrtGaOffColor () const;
	UXINLINE void SetXrtGaOffColor (const char *);

	UXINLINE char * GetXrtGaRepaint () const;
	UXINLINE void SetXrtGaRepaint (const char *);

	UXINLINE int GetXrtGaSegmentSpacing () const;
	UXINLINE void SetXrtGaSegmentSpacing (int);

	UXINLINE int GetXrtGaSegmentWidth () const;
	UXINLINE void SetXrtGaSegmentWidth (int);

	UXINLINE int GetXrtGaSlopeOffset () const;
	UXINLINE void SetXrtGaSlopeOffset (int);

	UXINLINE int GetXrtGaSpacingHorizontal () const;
	UXINLINE void SetXrtGaSpacingHorizontal (int);

	UXINLINE int GetXrtGaSpacingVertical () const;
	UXINLINE void SetXrtGaSpacingVertical (int);

	UXINLINE char * GetXrtGaText () const;
	UXINLINE void SetXrtGaText (const char *);

	UXINLINE double GetXrtGaValue () const;
	UXINLINE void SetXrtGaValue (double);

	UXINLINE char * GetXrtGaValueType () const;
	UXINLINE void SetXrtGaValueType (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaLEDNumerical_prpty_name(x)	XrtGaLEDNumerical_res_table[x].prpty, XrtGaLEDNumerical_res_table[x].name

extern Class_t UxC_XrtGaLEDNumerical;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaLEDNumerical::UxXrtGaLEDNumerical(void){}
inline UxXrtGaLEDNumerical::UxXrtGaLEDNumerical(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaLEDNumerical::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaLEDNumericalWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaLEDNumerical::GetXrtGaBorder (void) const
        { return (char * ) DDGetProp(XmNxrtGaBorder);}
inline void UxXrtGaLEDNumerical::SetXrtGaBorder (const char * val)
        { DDSetProp(XmNxrtGaBorder, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaColorMixPercentage (void) const
	{ return (int)IntGetProp(XmNxrtGaColorMixPercentage);}
inline void UxXrtGaLEDNumerical::SetXrtGaColorMixPercentage (int val)
	{ SetProp(XmNxrtGaColorMixPercentage, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaLEDNumerical::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaDecimalPlaces (void) const
	{ return (int)IntGetProp(XmNxrtGaDecimalPlaces);}
inline void UxXrtGaLEDNumerical::SetXrtGaDecimalPlaces (int val)
	{ SetProp(XmNxrtGaDecimalPlaces, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaDecimalPosition (void) const
	{ return (int)IntGetProp(XmNxrtGaDecimalPosition);}
inline void UxXrtGaLEDNumerical::SetXrtGaDecimalPosition (int val)
	{ SetProp(XmNxrtGaDecimalPosition, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaDecimalSize (void) const
	{ return (int)IntGetProp(XmNxrtGaDecimalSize);}
inline void UxXrtGaLEDNumerical::SetXrtGaDecimalSize (int val)
	{ SetProp(XmNxrtGaDecimalSize, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaDoubleBuffer (void) const
        { return (char * ) DDGetProp(XmNxrtGaDoubleBuffer);}
inline void UxXrtGaLEDNumerical::SetXrtGaDoubleBuffer (const char * val)
        { DDSetProp(XmNxrtGaDoubleBuffer, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaFixedDecimal (void) const
        { return (char * ) DDGetProp(XmNxrtGaFixedDecimal);}
inline void UxXrtGaLEDNumerical::SetXrtGaFixedDecimal (const char * val)
        { DDSetProp(XmNxrtGaFixedDecimal, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaLeadingOne (void) const
        { return (char * ) DDGetProp(XmNxrtGaLeadingOne);}
inline void UxXrtGaLEDNumerical::SetXrtGaLeadingOne (const char * val)
        { DDSetProp(XmNxrtGaLeadingOne, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaLeadingPlusMinus (void) const
        { return (char * ) DDGetProp(XmNxrtGaLeadingPlusMinus);}
inline void UxXrtGaLEDNumerical::SetXrtGaLeadingPlusMinus (const char * val)
        { DDSetProp(XmNxrtGaLeadingPlusMinus, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaLeadingZeros (void) const
        { return (char * ) DDGetProp(XmNxrtGaLeadingZeros);}
inline void UxXrtGaLEDNumerical::SetXrtGaLeadingZeros (const char * val)
        { DDSetProp(XmNxrtGaLeadingZeros, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaNumDigits (void) const
	{ return (int)IntGetProp(XmNxrtGaNumDigits);}
inline void UxXrtGaLEDNumerical::SetXrtGaNumDigits (int val)
	{ SetProp(XmNxrtGaNumDigits, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaLEDNumerical::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaLEDNumerical::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaOnColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaOnColor);}
inline void UxXrtGaLEDNumerical::SetXrtGaOnColor (const char * val)
        { DDSetProp(XmNxrtGaOnColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaOffColor (void) const
        { return (char * ) DDGetProp(XmNxrtGaOffColor);}
inline void UxXrtGaLEDNumerical::SetXrtGaOffColor (const char * val)
        { DDSetProp(XmNxrtGaOffColor, ((XtArgVal)(val)));}

inline char *  UxXrtGaLEDNumerical::GetXrtGaRepaint (void) const
        { return (char * ) DDGetProp(XmNxrtGaRepaint);}
inline void UxXrtGaLEDNumerical::SetXrtGaRepaint (const char * val)
        { DDSetProp(XmNxrtGaRepaint, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaSegmentSpacing (void) const
	{ return (int)IntGetProp(XmNxrtGaSegmentSpacing);}
inline void UxXrtGaLEDNumerical::SetXrtGaSegmentSpacing (int val)
	{ SetProp(XmNxrtGaSegmentSpacing, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaSegmentWidth (void) const
	{ return (int)IntGetProp(XmNxrtGaSegmentWidth);}
inline void UxXrtGaLEDNumerical::SetXrtGaSegmentWidth (int val)
	{ SetProp(XmNxrtGaSegmentWidth, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaSlopeOffset (void) const
	{ return (int)IntGetProp(XmNxrtGaSlopeOffset);}
inline void UxXrtGaLEDNumerical::SetXrtGaSlopeOffset (int val)
	{ SetProp(XmNxrtGaSlopeOffset, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaSpacingHorizontal (void) const
	{ return (int)IntGetProp(XmNxrtGaSpacingHorizontal);}
inline void UxXrtGaLEDNumerical::SetXrtGaSpacingHorizontal (int val)
	{ SetProp(XmNxrtGaSpacingHorizontal, ((XtArgVal)(val)));}

inline int UxXrtGaLEDNumerical::GetXrtGaSpacingVertical (void) const
	{ return (int)IntGetProp(XmNxrtGaSpacingVertical);}
inline void UxXrtGaLEDNumerical::SetXrtGaSpacingVertical (int val)
	{ SetProp(XmNxrtGaSpacingVertical, ((XtArgVal)(val)));}

inline char * UxXrtGaLEDNumerical::GetXrtGaText (void) const
	{ return (char * ) GetProp(XmNxrtGaText);}
inline void UxXrtGaLEDNumerical::SetXrtGaText (const char * val)
	{ SetProp(XmNxrtGaText, ((XtArgVal)(val)));}

inline double UxXrtGaLEDNumerical::GetXrtGaValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaValue);}
inline void UxXrtGaLEDNumerical::SetXrtGaValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaValue,val);}

inline char *  UxXrtGaLEDNumerical::GetXrtGaValueType (void) const
        { return (char * ) DDGetProp(XmNxrtGaValueType);}
inline void UxXrtGaLEDNumerical::SetXrtGaValueType (const char * val)
        { DDSetProp(XmNxrtGaValueType, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
