/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecID$
 *
 *  SCCSID -- @(#)UxXrtGaRange.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaRange : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaRange(void);
	UXINLINE UxXrtGaRange(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaImage () const;
	UXINLINE void SetXrtGaImage (const char *);

	UXINLINE char * GetXrtGaImageLayout () const;
	UXINLINE void SetXrtGaImageLayout (const char *);

	UXINLINE double GetXrtGaInnerExtent () const;
	UXINLINE void SetXrtGaInnerExtent (double);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE double GetXrtGaOffset () const;
	UXINLINE void SetXrtGaOffset (double);

	UXINLINE double GetXrtGaOuterExtent () const;
	UXINLINE void SetXrtGaOuterExtent (double);

	UXINLINE char * GetXrtGaScale () const;
	UXINLINE void SetXrtGaScale (const char *);

	UXINLINE char * GetXrtGaShape () const;
	UXINLINE void SetXrtGaShape (const char *);

	UXINLINE double GetXrtGaStartValue () const;
	UXINLINE void SetXrtGaStartValue (double);

	UXINLINE double GetXrtGaStopValue () const;
	UXINLINE void SetXrtGaStopValue (double);


};

#ifdef DESIGN_TIME

#define XrtGaRange_prpty_name(x)	XrtGaRange_res_table[x].prpty, XrtGaRange_res_table[x].name

extern Class_t UxC_XrtGaRange;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaRange::UxXrtGaRange(void){}
inline UxXrtGaRange::UxXrtGaRange(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaRange::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaRangeWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaRange::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaRange::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaRange::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaRange::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaRange::GetXrtGaImage (void) const
        { return (char * ) DDGetProp(XmNxrtGaImage);}
inline void UxXrtGaRange::SetXrtGaImage (const char * val)
        { DDSetProp(XmNxrtGaImage, ((XtArgVal)(val)));}

inline char *  UxXrtGaRange::GetXrtGaImageLayout (void) const
        { return (char * ) DDGetProp(XmNxrtGaImageLayout);}
inline void UxXrtGaRange::SetXrtGaImageLayout (const char * val)
        { DDSetProp(XmNxrtGaImageLayout, ((XtArgVal)(val)));}

inline double UxXrtGaRange::GetXrtGaInnerExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaInnerExtent);}
inline void UxXrtGaRange::SetXrtGaInnerExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaInnerExtent,val);}

inline char *  UxXrtGaRange::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaRange::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline double UxXrtGaRange::GetXrtGaOffset (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaOffset);}
inline void UxXrtGaRange::SetXrtGaOffset (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaOffset,val);}

inline double UxXrtGaRange::GetXrtGaOuterExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaOuterExtent);}
inline void UxXrtGaRange::SetXrtGaOuterExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaOuterExtent,val);}

inline char *  UxXrtGaRange::GetXrtGaScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaScale);}
inline void UxXrtGaRange::SetXrtGaScale (const char * val)
        { DDSetProp(XmNxrtGaScale, ((XtArgVal)(val)));}

inline char *  UxXrtGaRange::GetXrtGaShape (void) const
        { return (char * ) DDGetProp(XmNxrtGaShape);}
inline void UxXrtGaRange::SetXrtGaShape (const char * val)
        { DDSetProp(XmNxrtGaShape, ((XtArgVal)(val)));}

inline double UxXrtGaRange::GetXrtGaStartValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaStartValue);}
inline void UxXrtGaRange::SetXrtGaStartValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaStartValue,val);}

inline double UxXrtGaRange::GetXrtGaStopValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaStopValue);}
inline void UxXrtGaRange::SetXrtGaStopValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaStopValue,val);}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
