/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtGaState.h	1.3    99/12/13 KL Group Inc.
 */

/******************************************************************************
				UxXrtGaState.h
******************************************************************************/

#ifndef UxXrtGaState_h
#define UxXrtGaState_h

#include <Xm/XrtGaState.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxGadget.h"
#include "UxXrtGaState.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XrtGaState_prpty_name(x)	XrtGaState_res_table[x].prpty, XrtGaState_res_table[x].name

#ifdef hp700v9
#define XrtGaDoubleToArgVal(d) UxXrtGaDoubleToArgVal(0,d)
#endif /* hp700v9 */

#ifndef UxGetFontList
#define UxGetFontList(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_fontList))
#endif
#ifndef UxPutFontList
#define UxPutFontList(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_fontList), val)
#endif

#ifndef UxGetForeground
#define UxGetForeground(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_foreground))
#endif
#ifndef UxPutForeground
#define UxPutForeground(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_foreground),val)
#endif

#ifndef UxGetXrtGaAlignment
#define UxGetXrtGaAlignment(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_Alignment))
#endif
#ifndef UxPutXrtGaAlignment
#define UxPutXrtGaAlignment(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_Alignment), val)
#endif

#ifndef UxGetXrtGaAlignmentUseDefault
#define UxGetXrtGaAlignmentUseDefault(sw) \
	UxGET_string(sw,XrtGaState_prpty_name(XrtGaState_AlignmentUseDefault))
#endif
#ifndef UxPutXrtGaAlignmentUseDefault
#define UxPutXrtGaAlignmentUseDefault(sw, val) \
	UxPUT_string(sw,XrtGaState_prpty_name(XrtGaState_AlignmentUseDefault), val)
#endif

#ifndef UxGetXrtGaAngle
#define UxGetXrtGaAngle(sw) \
	UxGET_float(sw, XrtGaState_prpty_name(XrtGaState_Angle))
#endif
#ifndef UxPutXrtGaAngle
#define UxPutXrtGaAngle(sw, val) \
	UxPUT_float(sw, XrtGaState_prpty_name(XrtGaState_Angle), val)
#endif

#ifndef UxGetXrtGaAngleUseDefault
#define UxGetXrtGaAngleUseDefault(sw) \
	UxGET_string(sw,XrtGaState_prpty_name(XrtGaState_AngleUseDefault))
#endif
#ifndef UxPutXrtGaAngleUseDefault
#define UxPutXrtGaAngleUseDefault(sw, val) \
	UxPUT_string(sw,XrtGaState_prpty_name(XrtGaState_AngleUseDefault), val)
#endif

#ifndef UxGetXrtGaCircularScale
#define UxGetXrtGaCircularScale(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_CircularScale))
#endif
#ifndef UxPutXrtGaCircularScale
#define UxPutXrtGaCircularScale(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_CircularScale),val)
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_Debug))
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_Debug), val)
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_IsShowing))
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_IsShowing), val)
#endif

#ifndef UxGetXrtGaLineDisplay
#define UxGetXrtGaLineDisplay(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_LineDisplay))
#endif
#ifndef UxPutXrtGaLineDisplay
#define UxPutXrtGaLineDisplay(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_LineDisplay),val)
#endif

#ifndef UxGetXrtGaLineInnerRadius
#define UxGetXrtGaLineInnerRadius(sw) \
	UxGET_float(sw, XrtGaState_prpty_name(XrtGaState_LineInnerRadius))
#endif
#ifndef UxPutXrtGaLineInnerRadius
#define UxPutXrtGaLineInnerRadius(sw, val) \
	UxPUT_float(sw, XrtGaState_prpty_name(XrtGaState_LineInnerRadius),val)
#endif

#ifndef UxGetXrtGaLineInnerRadiusUseDefault
#define UxGetXrtGaLineInnerRadiusUseDefault(sw) \
	UxGET_string(sw,XrtGaState_prpty_name(XrtGaState_LineInnerRadiusUseDefault))
#endif
#ifndef UxPutXrtGaLineInnerRadiusUseDefault
#define UxPutXrtGaLineInnerRadiusUseDefault(sw, val) \
	UxPUT_string(sw,XrtGaState_prpty_name(XrtGaState_LineInnerRadiusUseDefault), val)
#endif

#ifndef UxGetXrtGaLineOuterRadius
#define UxGetXrtGaLineOuterRadius(sw) \
	UxGET_float(sw, XrtGaState_prpty_name(XrtGaState_LineOuterRadius))
#endif
#ifndef UxPutXrtGaLineOuterRadius
#define UxPutXrtGaLineOuterRadius(sw, val) \
	UxPUT_float(sw, XrtGaState_prpty_name(XrtGaState_LineOuterRadius),val)
#endif

#ifndef UxGetXrtGaLineOuterRadiusUseDefault
#define UxGetXrtGaLineOuterRadiusUseDefault(sw) \
	UxGET_string(sw,XrtGaState_prpty_name(XrtGaState_LineOuterRadiusUseDefault))
#endif
#ifndef UxPutXrtGaLineOuterRadiusUseDefault
#define UxPutXrtGaLineOuterRadiusUseDefault(sw, val) \
	UxPUT_string(sw,XrtGaState_prpty_name(XrtGaState_LineOuterRadiusUseDefault), val)
#endif

#ifndef UxGetXrtGaLinePattern
#define UxGetXrtGaLinePattern(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_LinePattern))
#endif
#ifndef UxPutXrtGaLinePattern
#define UxPutXrtGaLinePattern(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_LinePattern), val)
#endif

#ifndef UxGetXrtGaLineThickness
#define UxGetXrtGaLineThickness(sw) \
	UxGET_int(sw, XrtGaState_prpty_name(XrtGaState_LineThickness))
#endif
#ifndef UxPutXrtGaLineThickness
#define UxPutXrtGaLineThickness(sw, val) \
	UxPUT_int(sw, XrtGaState_prpty_name(XrtGaState_LineThickness),val)
#endif

#ifndef UxGetXrtGaOffsetUseDefault
#define UxGetXrtGaOffsetUseDefault(sw) \
	UxGET_string(sw,XrtGaState_prpty_name(XrtGaState_OffsetUseDefault))
#endif
#ifndef UxPutXrtGaOffsetUseDefault
#define UxPutXrtGaOffsetUseDefault(sw, val) \
	UxPUT_string(sw,XrtGaState_prpty_name(XrtGaState_OffsetUseDefault), val)
#endif

#ifndef UxGetXrtGaOffsetX
#define UxGetXrtGaOffsetX(sw) \
	UxGET_int(sw, XrtGaState_prpty_name(XrtGaState_OffsetX))
#endif
#ifndef UxPutXrtGaOffsetX
#define UxPutXrtGaOffsetX(sw, val) \
	UxPUT_int(sw, XrtGaState_prpty_name(XrtGaState_OffsetX), val)
#endif

#ifndef UxGetXrtGaOffsetY
#define UxGetXrtGaOffsetY(sw) \
	UxGET_int(sw, XrtGaState_prpty_name(XrtGaState_OffsetY))
#endif
#ifndef UxPutXrtGaOffsetY
#define UxPutXrtGaOffsetY(sw, val) \
	UxPUT_int(sw, XrtGaState_prpty_name(XrtGaState_OffsetY), val)
#endif

#ifndef UxGetXrtGaText
#define UxGetXrtGaText(sw) \
	UxGET_string(sw, XrtGaState_prpty_name(XrtGaState_Text))
#endif
#ifndef UxPutXrtGaText
#define UxPutXrtGaText(sw, val) \
	UxPUT_string(sw, XrtGaState_prpty_name(XrtGaState_Text), val)
#endif


#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtGaState;

/* Design-time create macro */
#ifndef UxCreateXrtGaState
#define UxCreateXrtGaState(name, parent) \
	UxCreateSwidget(UxC_XrtGaState, name, parent)
#endif

#else /* RUN-TIME */

extern int	XrtGaGetDoubleProp();
extern double	XrtGaArgValToDouble();

#define RT_GA_GET_DOUBLE(sw,res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(sw,res))

#define RT_GA_PUT_DOUBLE(sw,res,val) \
	UxPutProp(sw,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

#ifndef UxGetFontList
#define UxGetFontList(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList
#define UxPutFontList(sw, val) \
	UxDDPutProp(sw, XmNfontList, ((XtArgVal)(val)))
#endif

#ifndef UxGetForeground
#define UxGetForeground(sw) \
	(char *) UxDDGetProp(sw, XmNforeground)
#endif
#ifndef UxPutForeground
#define UxPutForeground(sw, val) \
	UxDDPutProp(sw, XmNforeground, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaAlignment
#define UxGetXrtGaAlignment(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaAlignment)
#endif
#ifndef UxPutXrtGaAlignment
#define UxPutXrtGaAlignment(sw, val) \
	UxDDPutProp(sw, XmNxrtGaAlignment, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaAlignmentUseDefault
#define UxGetXrtGaAlignmentUseDefault(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaAlignmentUseDefault)
#endif
#ifndef UxPutXrtGaAlignmentUseDefault
#define UxPutXrtGaAlignmentUseDefault(sw, val) \
	UxDDPutProp(sw, XmNxrtGaAlignmentUseDefault, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaAngle
#define UxGetXrtGaAngle(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaAngle)
#endif
#ifndef UxPutXrtGaAngle
#define UxPutXrtGaAngle(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaAngle, (val))
#endif

#ifndef UxGetXrtGaAngleUseDefault
#define UxGetXrtGaAngleUseDefault(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaAngleUseDefault)
#endif
#ifndef UxPutXrtGaAngleUseDefault
#define UxPutXrtGaAngleUseDefault(sw, val) \
	UxDDPutProp(sw, XmNxrtGaAngleUseDefault, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaCircularScale
#define UxGetXrtGaCircularScale(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaCircularScale)
#endif
#ifndef UxPutXrtGaCircularScale
#define UxPutXrtGaCircularScale(sw, val) \
	UxDDPutProp(sw, XmNxrtGaCircularScale, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaDebug
#define UxGetXrtGaDebug(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaDebug)
#endif
#ifndef UxPutXrtGaDebug
#define UxPutXrtGaDebug(sw, val) \
	UxDDPutProp(sw, XmNxrtGaDebug, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaIsShowing
#define UxGetXrtGaIsShowing(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaIsShowing)
#endif
#ifndef UxPutXrtGaIsShowing
#define UxPutXrtGaIsShowing(sw, val) \
	UxDDPutProp(sw, XmNxrtGaIsShowing, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLineDisplay
#define UxGetXrtGaLineDisplay(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLineDisplay)
#endif
#ifndef UxPutXrtGaLineDisplay
#define UxPutXrtGaLineDisplay(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLineDisplay, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLineInnerRadius
#define UxGetXrtGaLineInnerRadius(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaLineInnerRadius)
#endif
#ifndef UxPutXrtGaLineInnerRadius
#define UxPutXrtGaLineInnerRadius(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaLineInnerRadius, (val))
#endif

#ifndef UxGetXrtGaLineInnerRadiusUseDefault
#define UxGetXrtGaLineInnerRadiusUseDefault(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLineInnerRadiusUseDefault)
#endif
#ifndef UxPutXrtGaLineInnerRadiusUseDefault
#define UxPutXrtGaLineInnerRadiusUseDefault(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLineInnerRadiusUseDefault, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLineOuterRadius
#define UxGetXrtGaLineOuterRadius(sw) \
	(double) RT_GA_GET_DOUBLE(sw, XmNxrtGaLineOuterRadius)
#endif
#ifndef UxPutXrtGaLineOuterRadius
#define UxPutXrtGaLineOuterRadius(sw, val) \
	RT_GA_PUT_DOUBLE(sw, XmNxrtGaLineOuterRadius, (val))
#endif

#ifndef UxGetXrtGaLineOuterRadiusUseDefault
#define UxGetXrtGaLineOuterRadiusUseDefault(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLineOuterRadiusUseDefault)
#endif
#ifndef UxPutXrtGaLineOuterRadiusUseDefault
#define UxPutXrtGaLineOuterRadiusUseDefault(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLineOuterRadiusUseDefault, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLinePattern
#define UxGetXrtGaLinePattern(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaLinePattern)
#endif
#ifndef UxPutXrtGaLinePattern
#define UxPutXrtGaLinePattern(sw, val) \
	UxDDPutProp(sw, XmNxrtGaLinePattern, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaLineThickness
#define UxGetXrtGaLineThickness(sw) \
	(int) UxGetProp(sw, XmNxrtGaLineThickness)
#endif
#ifndef UxPutXrtGaLineThickness
#define UxPutXrtGaLineThickness(sw, val) \
	UxPutProp(sw, XmNxrtGaLineThickness, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffsetUseDefault
#define UxGetXrtGaOffsetUseDefault(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaOffsetUseDefault)
#endif
#ifndef UxPutXrtGaOffsetUseDefault
#define UxPutXrtGaOffsetUseDefault(sw, val) \
	UxDDPutProp(sw, XmNxrtGaOffsetUseDefault, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffsetX
#define UxGetXrtGaOffsetX(sw) \
	(int) UxGetProp(sw, XmNxrtGaOffsetX)
#endif
#ifndef UxPutXrtGaOffsetX
#define UxPutXrtGaOffsetX(sw, val) \
	UxPutProp(sw, XmNxrtGaOffsetX, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaOffsetY
#define UxGetXrtGaOffsetY(sw) \
	(int) UxGetProp(sw, XmNxrtGaOffsetY)
#endif
#ifndef UxPutXrtGaOffsetY
#define UxPutXrtGaOffsetY(sw, val) \
	UxPutProp(sw, XmNxrtGaOffsetY, ((XtArgVal)(val)))
#endif

#ifndef UxGetXrtGaText
#define UxGetXrtGaText(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGaText)
#endif
#ifndef UxPutXrtGaText
#define UxPutXrtGaText(sw, val) \
	UxDDPutProp(sw, XmNxrtGaText, ((XtArgVal)(val)))
#endif


/* Runtime create macro */
#ifndef UxCreateXrtGaState
#define UxCreateXrtGaState(name, parent) \
	UxCreateSwidget(name, xmXrtGaStateObjectClass, parent)
#endif


#endif /* DESIGN_TIME */

#endif

