/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 * $AstecId: UxXrtGaTick.hxx,v 1.3 2003/02/14 02:24:57 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtGaTick.hxx	1.3    00/01/05 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtGaTick : public UxGadget
{
    public:

	// Constructors
	UXINLINE UxXrtGaTick(void);
	UXINLINE UxXrtGaTick(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget(const char*, swidget);

	// Resource accessor functions

	UXINLINE char * GetBackground () const;
	UXINLINE void SetBackground (const char *);

	UXINLINE char * GetFontList () const;
	UXINLINE void SetFontList (const char *);

	UXINLINE int GetWidth () const;
	UXINLINE void SetWidth (int);

	UXINLINE char * GetXrtGaAutomatic () const;
	UXINLINE void SetXrtGaAutomatic (const char *);

	UXINLINE char * GetXrtGaDebug () const;
	UXINLINE void SetXrtGaDebug (const char *);

	UXINLINE char * GetXrtGaDrawLabels () const;
	UXINLINE void SetXrtGaDrawLabels (const char *);

	UXINLINE double GetXrtGaIncrementValue () const;
	UXINLINE void SetXrtGaIncrementValue (double);

	UXINLINE double GetXrtGaInnerExtent () const;
	UXINLINE void SetXrtGaInnerExtent (double);

	UXINLINE char * GetXrtGaIsShowing () const;
	UXINLINE void SetXrtGaIsShowing (const char *);

	UXINLINE double GetXrtGaLabelExtent () const;
	UXINLINE void SetXrtGaLabelExtent (double);

//	UXINLINE voidFunction GetXrtGaLabelFunc () const;
//	UXINLINE void SetXrtGaLabelFunc (voidFunction);

	UXINLINE double GetXrtGaOffset () const;
	UXINLINE void SetXrtGaOffset (double);

	UXINLINE double GetXrtGaOuterExtent () const;
	UXINLINE void SetXrtGaOuterExtent (double);

	UXINLINE int GetXrtGaPrecision () const;
	UXINLINE void SetXrtGaPrecision (int);

	UXINLINE char * GetXrtGaPrecisionUseDefault () const;
	UXINLINE void SetXrtGaPrecisionUseDefault (const char *);

	UXINLINE char * GetXrtGaScale () const;
	UXINLINE void SetXrtGaScale (const char *);

	UXINLINE double GetXrtGaStartValue () const;
	UXINLINE void SetXrtGaStartValue (double);

	UXINLINE double GetXrtGaStopValue () const;
	UXINLINE void SetXrtGaStopValue (double);

	UXINLINE char * GetXrtGaTickType () const;
	UXINLINE void SetXrtGaTickType (const char *);


};

#ifdef DESIGN_TIME

#define XrtGaTick_prpty_name(x)	XrtGaTick_res_table[x].prpty, XrtGaTick_res_table[x].name

extern Class_t UxC_XrtGaTick;

#else /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// define macro to access properties of type double

extern "C" {
	XtArgVal UxGetXrtGaDoubleProp(swidget sw, char *res);
	double   XrtGaArgValToDouble(XtArgVal val);
	XtArgVal XrtGaDoubleToArgVal(double val);
}

#define RT_GA_GET_DOUBLE(res) \
	XrtGaArgValToDouble(UxGetXrtGaDoubleProp(UxThis,res))
#define RT_GA_PUT_DOUBLE(res,val) \
	UxPutProp(UxThis,res,(XtArgVal)XrtGaDoubleToArgVal((double)val))

// Constructors
inline UxXrtGaTick::UxXrtGaTick(void){}
inline UxXrtGaTick::UxXrtGaTick(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget
UxXrtGaTick::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtGaTickWidgetClass, parent);
	return UxThis;
}

inline char *  UxXrtGaTick::GetBackground (void) const
        { return (char * ) DDGetProp(XmNbackground);}
inline void UxXrtGaTick::SetBackground (const char * val)
        { DDSetProp(XmNbackground, ((XtArgVal)(val)));}

inline char *  UxXrtGaTick::GetFontList (void) const
        { return (char * ) DDGetProp(XmNfontList);}
inline void UxXrtGaTick::SetFontList (const char * val)
        { DDSetProp(XmNfontList, ((XtArgVal)(val)));}

inline int UxXrtGaTick::GetWidth (void) const
	{ return (int)IntGetProp(XmNwidth);}
inline void UxXrtGaTick::SetWidth (int val)
	{ SetProp(XmNwidth, ((XtArgVal)(val)));}

inline char *  UxXrtGaTick::GetXrtGaAutomatic (void) const
        { return (char * ) DDGetProp(XmNxrtGaAutomatic);}
inline void UxXrtGaTick::SetXrtGaAutomatic (const char * val)
        { DDSetProp(XmNxrtGaAutomatic, ((XtArgVal)(val)));}

inline char *  UxXrtGaTick::GetXrtGaDebug (void) const
        { return (char * ) DDGetProp(XmNxrtGaDebug);}
inline void UxXrtGaTick::SetXrtGaDebug (const char * val)
        { DDSetProp(XmNxrtGaDebug, ((XtArgVal)(val)));}

inline char *  UxXrtGaTick::GetXrtGaDrawLabels (void) const
        { return (char * ) DDGetProp(XmNxrtGaDrawLabels);}
inline void UxXrtGaTick::SetXrtGaDrawLabels (const char * val)
        { DDSetProp(XmNxrtGaDrawLabels, ((XtArgVal)(val)));}

inline double UxXrtGaTick::GetXrtGaIncrementValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaIncrementValue);}
inline void UxXrtGaTick::SetXrtGaIncrementValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaIncrementValue,val);}

inline double UxXrtGaTick::GetXrtGaInnerExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaInnerExtent);}
inline void UxXrtGaTick::SetXrtGaInnerExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaInnerExtent,val);}

inline char *  UxXrtGaTick::GetXrtGaIsShowing (void) const
        { return (char * ) DDGetProp(XmNxrtGaIsShowing);}
inline void UxXrtGaTick::SetXrtGaIsShowing (const char * val)
        { DDSetProp(XmNxrtGaIsShowing, ((XtArgVal)(val)));}

inline double UxXrtGaTick::GetXrtGaLabelExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaLabelExtent);}
inline void UxXrtGaTick::SetXrtGaLabelExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaLabelExtent,val);}

// inline voidFunction  UxXrtGaTick::GetXrtGaLabelFunc (void) const
//         { return (voidFunction) DDGetProp(XmNxrtGaLabelFunc);}
// inline void UxXrtGaTick::SetXrtGaLabelFunc (voidFunction val)
//         { DDSetProp(XmNxrtGaLabelFunc, ((XtArgVal)(val)));}

inline double UxXrtGaTick::GetXrtGaOffset (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaOffset);}
inline void UxXrtGaTick::SetXrtGaOffset (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaOffset,val);}

inline double UxXrtGaTick::GetXrtGaOuterExtent (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaOuterExtent);}
inline void UxXrtGaTick::SetXrtGaOuterExtent (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaOuterExtent,val);}

inline int UxXrtGaTick::GetXrtGaPrecision (void) const
	{ return (int)IntGetProp(XmNxrtGaPrecision);}
inline void UxXrtGaTick::SetXrtGaPrecision (int val)
	{ SetProp(XmNxrtGaPrecision, ((XtArgVal)(val)));}

inline char *  UxXrtGaTick::GetXrtGaPrecisionUseDefault (void) const
        { return (char * ) DDGetProp(XmNxrtGaPrecisionUseDefault);}
inline void UxXrtGaTick::SetXrtGaPrecisionUseDefault (const char * val)
        { DDSetProp(XmNxrtGaPrecisionUseDefault, ((XtArgVal)(val)));}

inline char *  UxXrtGaTick::GetXrtGaScale (void) const
        { return (char * ) DDGetProp(XmNxrtGaScale);}
inline void UxXrtGaTick::SetXrtGaScale (const char * val)
        { DDSetProp(XmNxrtGaScale, ((XtArgVal)(val)));}

inline double UxXrtGaTick::GetXrtGaStartValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaStartValue);}
inline void UxXrtGaTick::SetXrtGaStartValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaStartValue,val);}

inline double UxXrtGaTick::GetXrtGaStopValue (void) const
	{ return RT_GA_GET_DOUBLE(XmNxrtGaStopValue);}
inline void UxXrtGaTick::SetXrtGaStopValue (double val)
	{ RT_GA_PUT_DOUBLE(XmNxrtGaStopValue,val);}

inline char *  UxXrtGaTick::GetXrtGaTickType (void) const
        { return (char * ) DDGetProp(XmNxrtGaTickType);}
inline void UxXrtGaTick::SetXrtGaTickType (const char * val)
        { DDSetProp(XmNxrtGaTickType, ((XtArgVal)(val)));}


#undef RT_GA_GET_DOUBLE
#undef RT_GA_PUT_DOUBLE

#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
