/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtLabel.hxx,v 1.4 2000/06/19 08:32:31 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtLabel.hxx	1.4    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtLabel : public UxPrimitive
{
    public:


	// Constructors
	UXINLINE UxXrtLabel(void);
	UXINLINE UxXrtLabel(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE char * GetAlignment () const;
	UXINLINE void SetAlignment (const char *);

	UXINLINE char * GetFontList () const;
	UXINLINE void SetFontList (const char *);

	UXINLINE char * GetLabelPixmap () const;
	UXINLINE void SetLabelPixmap (const char *);

	UXINLINE char * GetLabelString () const;
	UXINLINE void SetLabelString (const char *);

	UXINLINE char * GetLabelType () const;
	UXINLINE void SetLabelType (const char *);

	UXINLINE short GetMarginHeight () const;
	UXINLINE void SetMarginHeight	(short);

	UXINLINE short GetMarginWidth () const;
	UXINLINE void SetMarginWidth (short);

	UXINLINE char * GetRecomputeSize () const;
	UXINLINE void SetRecomputeSize (const char *);

	UXINLINE short GetShadowThickness () const;
	UXINLINE void SetShadowThickness (short);

	UXINLINE char * GetStringDirection () const;
	UXINLINE void SetStringDirection (const char *);

	UXINLINE char * GetXrtLblBackgroundString () const;
	UXINLINE void SetXrtLblBackgroundString (const char *);

	UXINLINE char * GetXrtLblBorderType () const;
	UXINLINE void SetXrtLblBorderType (const char *);

	UXINLINE char * GetXrtLblForegroundString () const;
	UXINLINE void SetXrtLblForegroundString (const char *);

	UXINLINE char * GetXrtLblRotation () const;
	UXINLINE void SetXrtLblRotation (const char *);

};

#ifdef DESIGN_TIME

#define XRTLBL_TABLE(x)	xrtlbl_res_table[x].prpty, xrtlbl_res_table[x].name

extern Class_t UxC_XrtLabel;

#else  /* (not DESIGN_TIME) */

#if defined(__alpha) && defined(__cplusplus)
#pragma message save
#pragma message disable narrowptr
#endif /* __alpha */

// Constructors
inline UxXrtLabel::UxXrtLabel(void){}
inline UxXrtLabel::UxXrtLabel(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtLabel::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtLabelWidgetClass, parent);
	return UxThis;
}

inline char * UxXrtLabel::GetAlignment (void) const
	{ return (char * ) DDGetProp(XmNalignment);}
inline void UxXrtLabel::SetAlignment (const char * val)
	{ DDSetProp(XmNalignment, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetFontList (void) const
	{ return (char * ) DDGetProp(XmNfontList);}
inline void UxXrtLabel::SetFontList (const char * val)
	{ DDSetProp(XmNfontList, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetLabelPixmap (void) const
	{ return (char * ) DDGetProp(XmNlabelPixmap);}
inline void UxXrtLabel::SetLabelPixmap (const char * val)
	{ DDSetProp(XmNlabelPixmap, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetLabelString (void) const
	{ return (char * ) DDGetProp(XmNlabelString);}
inline void UxXrtLabel::SetLabelString (const char * val)
	{ DDSetProp(XmNlabelString, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetLabelType (void) const
	{ return (char * ) DDGetProp(XmNlabelType);}
inline void UxXrtLabel::SetLabelType (const char * val)
	{ DDSetProp(XmNlabelType, ((XtArgVal)(val)));}

inline short UxXrtLabel::GetMarginHeight (void) const
	{ return (short)ShortGetProp(XmNmarginHeight);}
inline void UxXrtLabel::SetMarginHeight	(short val)
	{ SetProp(XmNmarginHeight, ((XtArgVal)(val)));}

inline short UxXrtLabel::GetMarginWidth (void) const
	{ return (short)ShortGetProp(XmNmarginWidth);}
inline void UxXrtLabel::SetMarginWidth (short val)
	{ SetProp(XmNmarginWidth, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetRecomputeSize (void) const
	{ return (char * ) DDGetProp(XmNrecomputeSize);}
inline void UxXrtLabel::SetRecomputeSize (const char * val)
	{ DDSetProp(XmNrecomputeSize, ((XtArgVal)(val)));}

inline short UxXrtLabel::GetShadowThickness (void) const
	{ return (short)ShortGetProp(XmNshadowThickness);}
inline void UxXrtLabel::SetShadowThickness	(short val)
	{ SetProp(XmNshadowThickness, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetStringDirection (void) const
	{ return (char * ) DDGetProp(XmNstringDirection);}
inline void UxXrtLabel::SetStringDirection (const char * val)
	{ DDSetProp(XmNstringDirection, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetXrtLblBackgroundString (void) const
	{ return (char * ) GetProp(XmNxrtLblBackgroundString);}
inline void UxXrtLabel::SetXrtLblBackgroundString (const char * val)
	{ SetProp(XmNxrtLblBackgroundString, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetXrtLblBorderType (void) const
	{ return (char * ) DDGetProp(XmNxrtLblBorderType);}
inline void UxXrtLabel::SetXrtLblBorderType (const char * val)
	{ DDSetProp(XmNxrtLblBorderType, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetXrtLblForegroundString (void) const
	{ return (char * ) GetProp(XmNxrtLblForegroundString);}
inline void UxXrtLabel::SetXrtLblForegroundString (const char * val)
	{ SetProp(XmNxrtLblForegroundString, ((XtArgVal)(val)));}

inline char * UxXrtLabel::GetXrtLblRotation (void) const
	{ return (char * ) DDGetProp(XmNxrtLblRotation);}
inline void UxXrtLabel::SetXrtLblRotation (const char * val)
	{ DDSetProp(XmNxrtLblRotation, ((XtArgVal)(val)));}


#if defined(__alpha) && defined(__cplusplus)
#pragma message restore
#endif /* __alpha */

#endif /* DESIGN_TIME */
#endif /* __cplusplus */
