/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtProgress.h	1.6    97/03/12 KL Group Inc.
 */

/******************************************************************************
				UxXrtProgress.h
******************************************************************************/

#ifndef UXXRTPROGRESS_INCLUDED
#define UXXRTPROGRESS_INCLUDED

#include <Xm/XrtProgress.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxPrim.h"

#include "UxXrtProgress.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/


#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTGEAR_PROGRESS_TABLE(x)	xrtProgress_res_table[x].prpty, xrtProgress_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtProgressMarginHeight */
#ifndef UxGetFontList_Progress
#define UxGetFontList_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumFontList))
#endif
#ifndef UxPutFontList_Progress
#define UxPutFontList_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumFontList), val)
#endif
#ifndef UxGetMarginHeight_Progress
#define UxGetMarginHeight_Progress(sw) \
	UxGET_short(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMarginHeight))
#endif
#ifndef UxPutMarginHeight_Progress
#define UxPutMarginHeight_Progress(sw, val) \
	UxPUT_short(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMarginHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressMarginWidth */
#ifndef UxGetMarginWidth_Progress
#define UxGetMarginWidth_Progress(sw) \
	UxGET_short(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMarginWidth))
#endif
#ifndef UxPutMarginWidth_Progress
#define UxPutMarginWidth_Progress(sw, val) \
	UxPUT_short(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMarginWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressMaximum */
#ifndef UxGetMaximum_Progress
#define UxGetMaximum_Progress(sw) \
	UxGET_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMaximum))
#endif
#ifndef UxPutMaximum_Progress
#define UxPutMaximum_Progress(sw, val) \
	UxPUT_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMaximum), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressMinimum */
#ifndef UxGetMinimum_Progress
#define UxGetMinimum_Progress(sw) \
	UxGET_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMinimum))
#endif
#ifndef UxPutMinimum_Progress
#define UxPutMinimum_Progress(sw, val) \
	UxPUT_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumMinimum), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressRecomputeSize */
#ifndef UxGetRecomputeSize_Progress
#define UxGetRecomputeSize_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumRecomputeSize))
#endif
#ifndef UxPutRecomputeSize_Progress
#define UxPutRecomputeSize_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumRecomputeSize), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressValue */
#ifndef UxGetValue_Progress
#define UxGetValue_Progress(sw) \
	UxGET_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumValue))
#endif
#ifndef UxPutValue_Progress
#define UxPutValue_Progress(sw, val) \
	UxPUT_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumValue), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressBarColor */
#ifndef UxGetXrtGearBarColor_Progress
#define UxGetXrtGearBarColor_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumBarColor))
#endif
#ifndef UxPutXrtGearBarColor_Progress
#define UxPutXrtGearBarColor_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumBarColor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressBarCount */
#ifndef UxGetXrtGearBarCount_Progress
#define UxGetXrtGearBarCount_Progress(sw) \
	UxGET_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumBarCount))
#endif
#ifndef UxPutXrtGearBarCount_Progress
#define UxPutXrtGearBarCount_Progress(sw, val) \
	UxPUT_int(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumBarCount), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressBarSpacing */
#ifndef UxGetXrtGearBarSpacing_Progress
#define UxGetXrtGearBarSpacing_Progress(sw) \
	UxGET_short(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumBarSpacing))
#endif
#ifndef UxPutXrtGearBarSpacing_Progress
#define UxPutXrtGearBarSpacing_Progress(sw, val) \
	UxPUT_short(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumBarSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressDoubleBuffer */
#ifndef UxGetXrtGearDoubleBuffer_Progress
#define UxGetXrtGearDoubleBuffer_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumDoubleBuffer))
#endif
#ifndef UxPutXrtGearDoubleBuffer_Progress
#define UxPutXrtGearDoubleBuffer_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumDoubleBuffer), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressIcon */
#ifndef UxGetXrtGearIcon_Progress
#define UxGetXrtGearIcon_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumIcon))
#endif
#ifndef UxPutXrtGearIcon_Progress
#define UxPutXrtGearIcon_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumIcon), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressLabelAlignment */
#ifndef UxGetXrtGearLabelAlignment_Progress
#define UxGetXrtGearLabelAlignment_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumLabelAlignment))
#endif
#ifndef UxPutXrtGearLabelAlignment_Progress
#define UxPutXrtGearLabelAlignment_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumLabelAlignment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressLabelFormat */
#ifndef UxGetXrtGearLabelFormat_Progress
#define UxGetXrtGearLabelFormat_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumLabelFormat))
#endif
#ifndef UxPutXrtGearLabelFormat_Progress
#define UxPutXrtGearLabelFormat_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumLabelFormat), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressLabelShow */
#ifndef UxGetXrtGearLabelShow_Progress
#define UxGetXrtGearLabelShow_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumLabelShow))
#endif
#ifndef UxPutXrtGearLabelShow_Progress
#define UxPutXrtGearLabelShow_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumLabelShow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressProgressTimeOut */
#ifndef UxGetXrtGearProgressTimeOut_Progress
#define UxGetXrtGearProgressTimeOut_Progress(sw) \
	UxGET_long(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumProgressTimeOut))
#endif
#ifndef UxPutXrtGearProgressTimeOut_Progress
#define UxPutXrtGearProgressTimeOut_Progress(sw, val) \
	UxPUT_long(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumProgressTimeOut), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtProgressProgressType */
#ifndef UxGetXrtGearProgressType_Progress
#define UxGetXrtGearProgressType_Progress(sw) \
	UxGET_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumProgressType))
#endif
#ifndef UxPutXrtGearProgressType_Progress
#define UxPutXrtGearProgressType_Progress(sw, val) \
	UxPUT_string(sw, XRTGEAR_PROGRESS_TABLE(xrtProgressResNumProgressType), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtProgress;
/* Design-time create macro */
#ifndef UxCreateXrtProgress
#define UxCreateXrtProgress(name, parent) \
	UxCreateSwidget(UxC_XrtProgress, name, parent)
#endif

#else /* RUN_TIME */

#ifndef UxGetFontList_Progress
#define UxGetFontList_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNfontList)
#endif
#ifndef UxPutFontList_Progress
#define UxPutFontList_Progress(sw, val) \
	UxDDPutProp(sw, XmNfontList, (XtArgVal)(val))
#endif

#ifndef UxGetMarginHeight_Progress
#define UxGetMarginHeight_Progress(sw) \
	(short)UxShortGetProp(sw, XmNmarginHeight)
#endif
#ifndef UxPutMarginHeight_Progress
#define UxPutMarginHeight_Progress(sw, val) \
	UxPutProp(sw, XmNmarginHeight,(XtArgVal)(val))
#endif

#ifndef UxGetMarginWidth_Progress
#define UxGetMarginWidth_Progress(sw) \
	(short)UxShortGetProp(sw, XmNmarginWidth)
#endif
#ifndef UxPutMarginWidth_Progress
#define UxPutMarginWidth_Progress(sw, val) \
	UxPutProp(sw, XmNmarginWidth,(XtArgVal)(val))
#endif

#ifndef UxGetMaximum_Progress
#define UxGetMaximum_Progress(sw) \
	(int)UxIntGetProp(sw, XmNmaximum)
#endif
#ifndef UxPutMaximum_Progress
#define UxPutMaximum_Progress(sw, val) \
	UxPutProp(sw, XmNmaximum,(XtArgVal)(val))
#endif

#ifndef UxGetMinimum_Progress
#define UxGetMinimum_Progress(sw) \
	(int)UxIntGetProp(sw, XmNminimum)
#endif
#ifndef UxPutMinimum_Progress
#define UxPutMinimum_Progress(sw, val) \
	UxPutProp(sw, XmNminimum,(XtArgVal)(val))
#endif

#ifndef UxGetRecomputeSize_Progress
#define UxGetRecomputeSize_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNrecomputeSize)
#endif
#ifndef UxPutRecomputeSize_Progress
#define UxPutRecomputeSize_Progress(sw, val) \
	UxDDPutProp(sw, XmNrecomputeSize,(XtArgVal)(val))
#endif

#ifndef UxGetValue_Progress
#define UxGetValue_Progress(sw) \
	(int)UxIntGetProp(sw, XmNvalue)
#endif
#ifndef UxPutValue_Progress
#define UxPutValue_Progress(sw, val) \
	UxPutProp(sw, XmNvalue,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearBarColor_Progress
#define UxGetXrtGearBarColor_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearBarColor)
#endif
#ifndef UxPutXrtGearBarColor_Progress
#define UxPutXrtGearBarColor_Progress(sw, val) \
	UxDDPutProp(sw, XmNxrtGearBarColor,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearBarCount_Progress
#define UxGetXrtGearBarCount_Progress(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearBarCount)
#endif
#ifndef UxPutXrtGearBarCount_Progress
#define UxPutXrtGearBarCount_Progress(sw, val) \
	UxPutProp(sw, XmNxrtGearBarCount,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearBarSpacing_Progress
#define UxGetXrtGearBarSpacing_Progress(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearBarSpacing)
#endif
#ifndef UxPutXrtGearBarSpacing_Progress
#define UxPutXrtGearBarSpacing_Progress(sw, val) \
	UxPutProp(sw, XmNxrtGearBarSpacing,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearDoubleBuffer_Progress
#define UxGetXrtGearDoubleBuffer_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearDoubleBuffer)
#endif
#ifndef UxPutXrtGearDoubleBuffer_Progress
#define UxPutXrtGearDoubleBuffer_Progress(sw, val) \
	UxDDPutProp(sw, XmNxrtGearDoubleBuffer,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearIcon_Progress
#define UxGetXrtGearIcon_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearIcon)
#endif
#ifndef UxPutXrtGearIcon_Progress
#define UxPutXrtGearIcon_Progress(sw, val) \
	UxDDPutProp(sw, XmNxrtGearIcon,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLabelAlignment_Progress
#define UxGetXrtGearLabelAlignment_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLabelAlignment)
#endif
#ifndef UxPutXrtGearLabelAlignment_Progress
#define UxPutXrtGearLabelAlignment_Progress(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLabelAlignment,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLabelFormat_Progress
#define UxGetXrtGearLabelFormat_Progress(sw) \
	(char *) UxGetProp(sw, XmNxrtGearLabelFormat)
#endif
#ifndef UxPutXrtGearLabelFormat_Progress
#define UxPutXrtGearLabelFormat_Progress(sw, val) \
	UxPutProp(sw, XmNxrtGearLabelFormat,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLabelShow_Progress
#define UxGetXrtGearLabelShow_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearLabelShow)
#endif
#ifndef UxPutXrtGearLabelShow_Progress
#define UxPutXrtGearLabelShow_Progress(sw, val) \
	UxDDPutProp(sw, XmNxrtGearLabelShow,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearProgressTimeOut_Progress
#define UxGetXrtGearProgressTimeOut_Progress(sw) \
	(long) UxGetProp(sw, XmNxrtGearProgressTimeOut)
#endif
#ifndef UxPutXrtGearProgressTimeOut_Progress
#define UxPutXrtGearProgressTimeOut_Progress(sw, val) \
	UxPutProp(sw, XmNxrtGearProgressTimeOut,(XtArgVal)(val))
#endif

#ifndef UxGetXrtGearProgressType_Progress
#define UxGetXrtGearProgressType_Progress(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearProgressType)
#endif
#ifndef UxPutXrtGearProgressType_Progress
#define UxPutXrtGearProgressType_Progress(sw, val) \
	UxDDPutProp(sw, XmNxrtGearProgressType,(XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtProgress
#define UxCreateXrtProgress(name, parent) \
	UxCreateSwidget(name, xmXrtProgressWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTTOOLBAR_INCLUDED */

/***END*OF*FILE***************************************************************/
