/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtTabM.h,v 1.4 2000/06/19 08:32:35 kosaka Exp $
 *
 *  SCCSID -- @(#)UxXrtTabM.h	1.8    97/02/10 KL Group Inc.
 */

/******************************************************************************
				UxXrtTabM.h
******************************************************************************/

#ifndef UXXRTTABM_INCLUDED
#define UXXRTTABM_INCLUDED

#include <Xm/XrtTabM.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxMgr.h"
#include "UxXrtTabM.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTGEAR_TABM_TABLE(x)	xrtTabM_res_table[x].prpty, xrtTabM_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtTabMActivePageNumber */
#ifndef UxGetXrtGearActivePageNumber_TabM
#define UxGetXrtGearActivePageNumber_TabM(sw) \
	UxGET_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumActivePageNumber))
#endif
#ifndef UxPutXrtGearActivePageNumber_TabM
#define UxPutXrtGearActivePageNumber_TabM(sw, val) \
	UxPUT_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumActivePageNumber), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMActivePageWidget */
#ifndef UxGetXrtGearActivePageWidget_TabM
#define UxGetXrtGearActivePageWidget_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumActivePageWidget))
#endif
#ifndef UxPutXrtGearActivePageWidget_TabM
#define UxPutXrtGearActivePageWidget_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumActivePageWidget), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMShadowThickness */
#ifndef UxGetXrtGearShadowThickness_TabM
#define UxGetXrtGearShadowThickness_TabM(sw) \
	UxGET_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumShadowThickness))
#endif
#ifndef UxPutXrtGearShadowThickness_TabM
#define UxPutXrtGearShadowThickness_TabM(sw, val) \
	UxPUT_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumShadowThickness), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMActiveTabWidget */
#ifndef UxGetXrtGearActiveTabWidget_TabM
#define UxGetXrtGearActiveTabWidget_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumActiveTabWidget))
#endif
#ifndef UxPutXrtGearActiveTabWidget_TabM
#define UxPutXrtGearActiveTabWidget_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumActiveTabWidget), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMArrowDisplayPolicy */
#ifndef UxGetXrtGearArrowDisplayPolicy_TabM
#define UxGetXrtGearArrowDisplayPolicy_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumArrowDisplayPolicy))
#endif
#ifndef UxPutXrtGearArrowDisplayPolicy_TabM
#define UxPutXrtGearArrowDisplayPolicy_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumArrowDisplayPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMArrowHeight */
#ifndef UxGetXrtGearArrowHeight_TabM
#define UxGetXrtGearArrowHeight_TabM(sw) \
	UxGET_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumArrowHeight))
#endif
#ifndef UxPutXrtGearArrowHeight_TabM
#define UxPutXrtGearArrowHeight_TabM(sw, val) \
	UxPUT_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumArrowHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMArrowWidth */
#ifndef UxGetXrtGearArrowWidth_TabM
#define UxGetXrtGearArrowWidth_TabM(sw) \
	UxGET_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumArrowWidth))
#endif
#ifndef UxPutXrtGearArrowWidth_TabM
#define UxPutXrtGearArrowWidth_TabM(sw, val) \
	UxPUT_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumArrowWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMChildType */
#ifndef UxGetXrtGearChildType_TabM
#define UxGetXrtGearChildType_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumChildType))
#endif
#ifndef UxPutXrtGearChildType_TabM
#define UxPutXrtGearChildType_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumChildType), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMCornerSize */
#ifndef UxGetXrtGearCornerSize_TabM
#define UxGetXrtGearCornerSize_TabM(sw) \
	UxGET_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumCornerSize))
#endif
#ifndef UxPutXrtGearCornerSize_TabM
#define UxPutXrtGearCornerSize_TabM(sw, val) \
	UxPUT_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumCornerSize), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMFirstVisibleTab */
#ifndef UxGetXrtGearFirstVisibleTab_TabM
#define UxGetXrtGearFirstVisibleTab_TabM(sw) \
	UxGET_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumFirstVisibleTab))
#endif
#ifndef UxPutXrtGearFirstVisibleTab_TabM
#define UxPutXrtGearFirstVisibleTab_TabM(sw, val) \
	UxPUT_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumFirstVisibleTab), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMHighlightThickness */
#ifndef UxGetXrtGearHighlightThickness_TabM
#define UxGetXrtGearHighlightThickness_TabM(sw) \
	UxGET_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumHighlightThickness))
#endif
#ifndef UxPutXrtGearHighlightThickness_TabM
#define UxPutXrtGearHighlightThickness_TabM(sw, val) \
	UxPUT_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumHighlightThickness), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMLastVisibleTab */
#ifndef UxGetXrtGearLastVisibleTab_TabM
#define UxGetXrtGearLastVisibleTab_TabM(sw) \
	UxGET_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumLastVisibleTab))
#endif
#ifndef UxPutXrtGearLastVisibleTab_TabM
#define UxPutXrtGearLastVisibleTab_TabM(sw, val) \
	UxPUT_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumLastVisibleTab), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMMarginHeight */
#ifndef UxGetXrtGearMarginHeight_TabM
#define UxGetXrtGearMarginHeight_TabM(sw) \
	UxGET_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumMarginHeight))
#endif
#ifndef UxPutXrtGearMarginHeight_TabM
#define UxPutXrtGearMarginHeight_TabM(sw, val) \
	UxPUT_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumMarginHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMMarginWidth */
#ifndef UxGetXrtGearMarginWidth_TabM
#define UxGetXrtGearMarginWidth_TabM(sw) \
	UxGET_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumMarginWidth))
#endif
#ifndef UxPutXrtGearMarginWidth_TabM
#define UxPutXrtGearMarginWidth_TabM(sw, val) \
	UxPUT_short(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumMarginWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMPageAttachPolicy */
#ifndef UxGetXrtGearPageAttachPolicy_TabM
#define UxGetXrtGearPageAttachPolicy_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumPageAttachPolicy))
#endif
#ifndef UxPutXrtGearPageAttachPolicy_TabM
#define UxPutXrtGearPageAttachPolicy_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumPageAttachPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMPageNumber */
#ifndef UxGetXrtGearPageNumber_TabM
#define UxGetXrtGearPageNumber_TabM(sw) \
	UxGET_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumPageNumber))
#endif
#ifndef UxPutXrtGearPageNumber_TabM
#define UxPutXrtGearPageNumber_TabM(sw, val) \
	UxPUT_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumPageNumber), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMPageWidget */
#ifndef UxGetXrtGearPageWidget_TabM
#define UxGetXrtGearPageWidget_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumPageWidget))
#endif
#ifndef UxPutXrtGearPageWidget_TabM
#define UxPutXrtGearPageWidget_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumPageWidget), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMTabResize */
#ifndef UxGetXrtGearTabResize_TabM
#define UxGetXrtGearTabResize_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabResize))
#endif
#ifndef UxPutXrtGearTabResize_TabM
#define UxPutXrtGearTabResize_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabResize), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMTabRotation */
#ifndef UxGetXrtGearTabRotation_TabM
#define UxGetXrtGearTabRotation_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabRotation))
#endif
#ifndef UxPutXrtGearTabRotation_TabM
#define UxPutXrtGearTabRotation_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabRotation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMTabSide */
#ifndef UxGetXrtGearTabSide_TabM
#define UxGetXrtGearTabSide_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabSide))
#endif
#ifndef UxPutXrtGearTabSide_TabM
#define UxPutXrtGearTabSide_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabSide), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMTabSpacing */
#ifndef UxGetXrtGearTabSpacing_TabM
#define UxGetXrtGearTabSpacing_TabM(sw) \
	UxGET_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabSpacing))
#endif
#ifndef UxPutXrtGearTabSpacing_TabM
#define UxPutXrtGearTabSpacing_TabM(sw, val) \
	UxPUT_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabSpacing), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMTabStretch */
#ifndef UxGetXrtGearTabStretch_TabM
#define UxGetXrtGearTabStretch_TabM(sw) \
	UxGET_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabStretch))
#endif
#ifndef UxPutXrtGearTabStretch_TabM
#define UxPutXrtGearTabStretch_TabM(sw, val) \
	UxPUT_string(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumTabStretch), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTabMWidgetPosition */
#ifndef UxGetXrtGearWidgetPosition_TabM
#define UxGetXrtGearWidgetPosition_TabM(sw) \
	UxGET_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumWidgetPosition))
#endif
#ifndef UxPutXrtGearWidgetPosition_TabM
#define UxPutXrtGearWidgetPosition_TabM(sw, val) \
	UxPUT_int(sw, XRTGEAR_TABM_TABLE(xrtTabMResNumWidgetPosition), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtTabM;
/* Design-time create macro */
#ifndef UxCreateXrtTabM
#define UxCreateXrtTabM(name, parent) \
	UxCreateSwidget(UxC_XrtTabM, name, parent)
#endif

#else /* RUN_TIME */

#ifndef UxGetXrtGearActivePageNumber_TabM
#define UxGetXrtGearActivePageNumber_TabM(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearActivePageNumber)
#endif
#ifndef UxPutXrtGearActivePageNumber_TabM
#define UxPutXrtGearActivePageNumber_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearActivePageNumber, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearActivePageWidget_TabM
#define UxGetXrtGearActivePageWidget_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearActivePageWidget)
#endif
#ifndef UxPutXrtGearActivePageWidget_TabM
#define UxPutXrtGearActivePageWidget_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearActivePageWidget, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearActiveTabWidget_TabM
#define UxGetXrtGearActiveTabWidget_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearActiveTabWidget)
#endif
#ifndef UxPutXrtGearActiveTabWidget_TabM
#define UxPutXrtGearActiveTabWidget_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearActiveTabWidget, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearArrowDisplayPolicy_TabM
#define UxGetXrtGearArrowDisplayPolicy_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearArrowDisplayPolicy)
#endif
#ifndef UxPutXrtGearArrowDisplayPolicy_TabM
#define UxPutXrtGearArrowDisplayPolicy_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearArrowDisplayPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearArrowHeight_TabM
#define UxGetXrtGearArrowHeight_TabM(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearArrowHeight)
#endif
#ifndef UxPutXrtGearArrowHeight_TabM
#define UxPutXrtGearArrowHeight_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearArrowHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearArrowWidth_TabM
#define UxGetXrtGearArrowWidth_TabM(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearArrowWidth)
#endif
#ifndef UxPutXrtGearArrowWidth_TabM
#define UxPutXrtGearArrowWidth_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearArrowWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearChildType_TabM
#define UxGetXrtGearChildType_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearChildType)
#endif
#ifndef UxPutXrtGearChildType_TabM
#define UxPutXrtGearChildType_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearChildType, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearCornerSize_TabM
#define UxGetXrtGearCornerSize_TabM(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearCornerSize)
#endif
#ifndef UxPutXrtGearCornerSize_TabM
#define UxPutXrtGearCornerSize_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearCornerSize, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearFirstVisibleTab_TabM
#define UxGetXrtGearFirstVisibleTab_TabM(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearFirstVisibleTab)
#endif
#ifndef UxPutXrtGearFirstVisibleTab_TabM
#define UxPutXrtGearFirstVisibleTab_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearFirstVisibleTab, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearHighlightThickness_TabM
#define UxGetXrtGearHighlightThickness_TabM(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearHighlightThickness)
#endif
#ifndef UxPutXrtGearHighlightThickness_TabM
#define UxPutXrtGearHighlightThickness_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearHighlightThickness1, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearLastVisibleTab_TabM
#define UxGetXrtGearLastVisibleTab_TabM(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearLastVisibleTab)
#endif
#ifndef UxPutXrtGearLastVisibleTab_TabM
#define UxPutXrtGearLastVisibleTab_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearLastVisibleTab, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginHeight_TabM
#define UxGetXrtGearMarginHeight_TabM(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginHeight)
#endif
#ifndef UxPutXrtGearMarginHeight_TabM
#define UxPutXrtGearMarginHeight_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearMarginWidth_TabM
#define UxGetXrtGearMarginWidth_TabM(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearMarginWidth)
#endif
#ifndef UxPutXrtGearMarginWidth_TabM
#define UxPutXrtGearMarginWidth_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearMarginWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPageAttachPolicy_TabM
#define UxGetXrtGearPageAttachPolicy_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearPageAttachPolicy)
#endif
#ifndef UxPutXrtGearPageAttachPolicy_TabM
#define UxPutXrtGearPageAttachPolicy_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearPageAttachPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPageNumber_TabM
#define UxGetXrtGearPageNumber_TabM(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearPageNumber)
#endif
#ifndef UxPutXrtGearPageNumber_TabM
#define UxPutXrtGearPageNumber_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearPageNumber, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearPageWidget_TabM
#define UxGetXrtGearPageWidget_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearPageWidget)
#endif
#ifndef UxPutXrtGearPageWidget_TabM
#define UxPutXrtGearPageWidget_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearPageWidget, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearShadowThickness_TabM
#define UxGetXrtGearShadowThickness_TabM(sw) \
	(short)UxShortGetProp(sw, XmNxrtGearShadowThickness)
#endif
#ifndef UxPutXrtGearShadowThickness_TabM
#define UxPutXrtGearShadowThickness_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearShadowThickness, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTabResize_TabM
#define UxGetXrtGearTabResize_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearTabResize)
#endif
#ifndef UxPutXrtGearTabResize_TabM
#define UxPutXrtGearTabResize_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearTabResize, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTabRotation_TabM
#define UxGetXrtGearTabRotation_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearTabRotation)
#endif
#ifndef UxPutXrtGearTabRotation_TabM
#define UxPutXrtGearTabRotation_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearTabRotation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTabSide_TabM
#define UxGetXrtGearTabSide_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearTabSide)
#endif
#ifndef UxPutXrtGearTabSide_TabM
#define UxPutXrtGearTabSide_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearTabSide, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTabSpacing_TabM
#define UxGetXrtGearTabSpacing_TabM(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearTabSpacing)
#endif
#ifndef UxPutXrtGearTabSpacing_TabM
#define UxPutXrtGearTabSpacing_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearTabSpacing, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearTabStretch_TabM
#define UxGetXrtGearTabStretch_TabM(sw) \
	(char *) UxDDGetProp(sw, XmNxrtGearTabStretch)
#endif
#ifndef UxPutXrtGearTabStretch_TabM
#define UxPutXrtGearTabStretch_TabM(sw, val) \
	UxDDPutProp(sw, XmNxrtGearTabStretch, (XtArgVal)(val))
#endif

#ifndef UxGetXrtGearWidgetPosition_TabM
#define UxGetXrtGearWidgetPosition_TabM(sw) \
	(int)UxIntGetProp(sw, XmNxrtGearWidgetPosition)
#endif
#ifndef UxPutXrtGearWidgetPosition_TabM
#define UxPutXrtGearWidgetPosition_TabM(sw, val) \
	UxPutProp(sw, XmNxrtGearWidgetPosition, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtTabM
#define UxCreateXrtTabM(name, parent) \
	UxCreateSwidget(name, xmXrtTabManagerWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UXXRTTABM_INCLUDED */

/***END*OF*FILE***************************************************************/
