/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/table widget UIM/X integration file
 *
 *  SCCSID -- @(#)UxXrtTable.h	1.13    98/11/05 KL Group Inc.
 */

/******************************************************************************
				UxXrtTable.h
******************************************************************************/

#ifndef UXXRTTABLE_INCLUDED
#define UXXRTTABLE_INCLUDED

#include <Xm/XrtTable.h>	/* Widget class public header file */
#include "Xrt_restable.h"
#include "UxMgr.h"
#include "UxXrtTable.hxx"  /* Include C++ header file (New in UIM/X 3.0)*/

#ifdef DESIGN_TIME
#ifndef NO_UX_MACROS

#define XRTTBL_TABLE(x)	xrttbl_res_table[x].prpty, xrttbl_res_table[x].name

/* Design-Time UxGet and UxPut macros for xrtTblAlignmentContext */
#ifndef UxGetXrtTblAlignmentContext
#define UxGetXrtTblAlignmentContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumAlignmentContext))
#endif
#ifndef UxPutXrtTblAlignmentContext
#define UxPutXrtTblAlignmentContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumAlignmentContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblAlignmentSeries */
#ifndef UxGetXrtTblAlignmentSeries
#define UxGetXrtTblAlignmentSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumAlignmentSeries))
#endif
#ifndef UxPutXrtTblAlignmentSeries
#define UxPutXrtTblAlignmentSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumAlignmentSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblAllowCellResize */
#ifndef UxGetXrtTblAllowCellResize
#define UxGetXrtTblAllowCellResize(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumAllowCellResize))
#endif
#ifndef UxPutXrtTblAllowCellResize
#define UxPutXrtTblAllowCellResize(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumAllowCellResize), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblAllowResize */
#ifndef UxGetXrtTblAllowResize
#define UxGetXrtTblAllowResize (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumAllowResize))
#endif
#ifndef UxPutXrtTblAllowResize
#define UxPutXrtTblAllowResize(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumAllowResize), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBackgroundContext */
#ifndef UxGetXrtTblBackgroundContext
#define UxGetXrtTblBackgroundContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBackgroundContext))
#endif
#ifndef UxPutXrtTblBackgroundContext
#define UxPutXrtTblBackgroundContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBackgroundContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBackgroundPixelContext */
#ifndef UxGetXrtTblBackgroundPixelContext
#define UxGetXrtTblBackgroundPixelContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBackgroundPixelContext))
#endif
#ifndef UxPutXrtTblBackgroundPixelContext
#define UxPutXrtTblBackgroundPixelContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBackgroundPixelContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBackgroundSeries */
#ifndef UxGetXrtTblBackgroundSeries
#define UxGetXrtTblBackgroundSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBackgroundSeries))
#endif
#ifndef UxPutXrtTblBackgroundSeries
#define UxPutXrtTblBackgroundSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBackgroundSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBackingStore */
#ifndef UxGetXrtTblBackingStore
#define UxGetXrtTblBackingStore(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBackingStore))
#endif
#ifndef UxPutXrtTblBackingStore
#define UxPutXrtTblBackingStore(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBackingStore), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBorderSidesContext */
#ifndef UxGetXrtTblBorderSidesContext
#define UxGetXrtTblBorderSidesContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBorderSidesContext))
#endif
#ifndef UxPutXrtTblBorderSidesContext
#define UxPutXrtTblBorderSidesContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBorderSidesContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBorderSidesSeries */
#ifndef UxGetXrtTblBorderSidesSeries
#define UxGetXrtTblBorderSidesSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBorderSidesSeries))
#endif
#ifndef UxPutXrtTblBorderSidesSeries
#define UxPutXrtTblBorderSidesSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBorderSidesSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBorderTypeContext */
#ifndef UxGetXrtTblBorderTypeContext
#define UxGetXrtTblBorderTypeContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBorderTypeContext))
#endif
#ifndef UxPutXrtTblBorderTypeContext
#define UxPutXrtTblBorderTypeContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBorderTypeContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBorderTypeSeries */
#ifndef UxGetXrtTblBorderTypeSeries
#define UxGetXrtTblBorderTypeSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBorderTypeSeries))
#endif
#ifndef UxPutXrtTblBorderTypeSeries
#define UxPutXrtTblBorderTypeSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBorderTypeSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBottomOffset */
#ifndef UxGetXrtTblBottomOffset
#define UxGetXrtTblBottomOffset (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumBottomOffset))
#endif
#ifndef UxPutXrtTblBottomOffset
#define UxPutXrtTblBottomOffset(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumBottomOffset), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblBottomShadowContext */
#ifndef UxGetXrtTblBottomShadowContext
#define UxGetXrtTblBottomShadowContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumBottomShadowContext))
#endif
#ifndef UxPutXrtTblBottomShadowContext
#define UxPutXrtTblBottomShadowContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumBottomShadowContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCaseContext */
#ifndef UxGetXrtTblCaseContext
#define UxGetXrtTblCaseContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCaseContext))
#endif
#ifndef UxPutXrtTblCaseContext
#define UxPutXrtTblCaseContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCaseContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCaseSeries */
#ifndef UxGetXrtTblCaseSeries
#define UxGetXrtTblCaseSeries (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCaseSeries))
#endif
#ifndef UxPutXrtTblCaseSeries
#define UxPutXrtTblCaseSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCaseSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCellValueContext */
#ifndef UxGetXrtTblCellValueContext
#define UxGetXrtTblCellValueContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCellValueContext))
#endif
#ifndef UxPutXrtTblCellValueContext
#define UxPutXrtTblCellValueContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCellValueContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCellValueFunc */
#ifndef UxGetXrtTblCellValueFunc
#define UxGetXrtTblCellValueFunc(sw) \
	UxGET_voidFunction(sw, XRTTBL_TABLE(xrtTblResNumCellValueFunc))
#endif
#ifndef UxPutXrtTblCellValueFunc
#define UxPutXrtTblCellValueFunc(sw, val) \
	UxPUT_voidFunction(sw, XRTTBL_TABLE(xrtTblResNumCellValueFunc), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCellValues */
#ifndef UxGetXrtTblCellValues
#define UxGetXrtTblCellValues(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCellValues))
#endif
#ifndef UxPutXrtTblCellValues
#define UxPutXrtTblCellValues(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCellValues), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCharHeightContext */
#ifndef UxGetXrtTblCharHeightContext
#define UxGetXrtTblCharHeightContext (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumCharHeightContext))
#endif
#ifndef UxPutXrtTblCharHeightContext
#define UxPutXrtTblCharHeightContext(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumCharHeightContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCharHeightSeries */
#ifndef UxGetXrtTblCharHeightSeries
#define UxGetXrtTblCharHeightSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCharHeightSeries))
#endif
#ifndef UxPutXrtTblCharHeightSeries
#define UxPutXrtTblCharHeightSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCharHeightSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCharWidthContext */
#ifndef UxGetXrtTblCharWidthContext
#define UxGetXrtTblCharWidthContext (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumCharWidthContext))
#endif
#ifndef UxPutXrtTblCharWidthContext
#define UxPutXrtTblCharWidthContext(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumCharWidthContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCharWidthSeries */
#ifndef UxGetXrtTblCharWidthSeries
#define UxGetXrtTblCharWidthSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCharWidthSeries))
#endif
#ifndef UxPutXrtTblCharWidthSeries
#define UxPutXrtTblCharWidthSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCharWidthSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblClipChildrenPersistent */
#ifndef UxGetXrtTblClipChildrenPersistent
#define UxGetXrtTblClipChildrenPersistent(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumClipChildrenPersistent))
#endif
#ifndef UxPutXrtTblClipChildrenPersistent
#define UxPutXrtTblClipChildrenPersistent(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumClipChildrenPersistent), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblClipPixmapContext */
#ifndef UxGetXrtTblClipPixmapContext
#define UxGetXrtTblClipPixmapContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumClipPixmapContext))
#endif
#ifndef UxPutXrtTblClipPixmapContext
#define UxPutXrtTblClipPixmapContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumClipPixmapContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblClipPixmapSeries */
#ifndef UxGetXrtTblClipPixmapSeries
#define UxGetXrtTblClipPixmapSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumClipPixmapSeries))
#endif
#ifndef UxPutXrtTblClipPixmapSeries
#define UxPutXrtTblClipPixmapSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumClipPixmapSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblColumnLabelPlacement */
#ifndef UxGetXrtTblColumnLabelPlacement
#define UxGetXrtTblColumnLabelPlacement (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumColumnLabelPlacement))
#endif
#ifndef UxPutXrtTblColumnLabelPlacement
#define UxPutXrtTblColumnLabelPlacement(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumColumnLabelPlacement), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblColumnLabels */
#ifndef UxGetXrtTblColumnLabels
#define UxGetXrtTblColumnLabels(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumColumnLabels))
#endif
#ifndef UxPutXrtTblColumnLabels
#define UxPutXrtTblColumnLabels(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumColumnLabels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblColumnLabelOffset */
#ifndef UxGetXrtTblColumnLabelOffset
#define UxGetXrtTblColumnLabelOffset(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumColumnLabelOffset))
#endif
#ifndef UxPutXrtTblColumnLabelOffset
#define UxPutXrtTblColumnLabelOffset(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumColumnLabelOffset), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblContext */
#ifndef UxGetXrtTblContext
#define UxGetXrtTblContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumContext))
#endif
#ifndef UxPutXrtTblContext
#define UxPutXrtTblContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCursorCorner */
#ifndef UxGetXrtTblCursorCorner
#define UxGetXrtTblCursorCorner (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCursorCorner))
#endif
#ifndef UxPutXrtTblCursorCorner
#define UxPutXrtTblCursorCorner(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCursorCorner), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCursorHorizontal */
#ifndef UxGetXrtTblCursorHorizontal
#define UxGetXrtTblCursorHorizontal (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCursorHorizontal))
#endif
#ifndef UxPutXrtTblCursorHorizontal
#define UxPutXrtTblCursorHorizontal(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCursorHorizontal), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCursorNontraversable */
#ifndef UxGetXrtTblCursorNontraversable
#define UxGetXrtTblCursorNontraversable (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCursorNontraversable))
#endif
#ifndef UxPutXrtTblCursorNontraversable
#define UxPutXrtTblCursorNontraversable(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCursorNontraversable), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCursorTraversable */
#ifndef UxGetXrtTblCursorTraversable
#define UxGetXrtTblCursorTraversable (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCursorTraversable))
#endif
#ifndef UxPutXrtTblCursorTraversable
#define UxPutXrtTblCursorTraversable(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCursorTraversable), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblCursorVertical */
#ifndef UxGetXrtTblCursorVertical
#define UxGetXrtTblCursorVertical (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCursorVertical))
#endif
#ifndef UxPutXrtTblCursorVertical
#define UxPutXrtTblCursorVertical(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCursorVertical), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblDataTypeContext */
#ifndef UxGetXrtTblDataTypeContext
#define UxGetXrtTblDataTypeContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDataTypeContext))
#endif
#ifndef UxPutXrtTblDataTypeContext
#define UxPutXrtTblDataTypeContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDataTypeContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblDataTypeSeries */
#ifndef UxGetXrtTblDataTypeSeries
#define UxGetXrtTblDataTypeSeries (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDataTypeSeries))
#endif
#ifndef UxPutXrtTblDataTypeSeries
#define UxPutXrtTblDataTypeSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDataTypeSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblDebug */
#ifndef UxGetXrtTblDebug
#define UxGetXrtTblDebug(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDebug))
#endif
#ifndef UxPutXrtTblDebug
#define UxPutXrtTblDebug(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDebug), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblDisplayClipArrows */
#ifndef UxGetXrtTblDisplayClipArrows
#define UxGetXrtTblDisplayClipArrows(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDisplayClipArrows))
#endif
#ifndef UxPutXrtTblDisplayClipArrows
#define UxPutXrtTblDisplayClipArrows(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDisplayClipArrows), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblDisplayHorizScrollBar */
#ifndef UxGetXrtTblDisplayHorizScrollBar
#define UxGetXrtTblDisplayHorizScrollBar(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDisplayHorizScrollBar))
#endif
#ifndef UxPutXrtTblDisplayHorizScrollBar
#define UxPutXrtTblDisplayHorizScrollBar(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDisplayHorizScrollBar), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblDisplayVertScrollBar */
#ifndef UxGetXrtTblDisplayVertScrollBar
#define UxGetXrtTblDisplayVertScrollBar(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDisplayVertScrollBar))
#endif
#ifndef UxPutXrtTblDisplayVertScrollBar
#define UxPutXrtTblDisplayVertScrollBar(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDisplayVertScrollBar), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblDoubleBuffer */
#ifndef UxGetXrtTblDoubleBuffer
#define UxGetXrtTblDoubleBuffer(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDoubleBuffer))
#endif
#ifndef UxPutXrtTblDoubleBuffer
#define UxPutXrtTblDoubleBuffer(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDoubleBuffer), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblEditableContext */
#ifndef UxGetXrtTblEditableContext
#define UxGetXrtTblEditableContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumEditableContext))
#endif
#ifndef UxPutXrtTblEditableContext
#define UxPutXrtTblEditableContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumEditableContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblEditableSeries */
#ifndef UxGetXrtTblEditableSeries
#define UxGetXrtTblEditableSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumEditableSeries))
#endif
#ifndef UxPutXrtTblEditableSeries
#define UxPutXrtTblEditableSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumEditableSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblExportDelimiter */
#ifndef UxGetXrtTblExportDelimiter
#define UxGetXrtTblExportDelimiter(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumExportDelimiter))
#endif
#ifndef UxPutXrtTblExportDelimiter
#define UxPutXrtTblExportDelimiter(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumExportDelimiter), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblFontListContext */
#ifndef UxGetXrtTblFontListContext
#define UxGetXrtTblFontListContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumFontListContext))
#endif
#ifndef UxPutXrtTblFontListContext
#define UxPutXrtTblFontListContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumFontListContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblFontListSeries */
#ifndef UxGetXrtTblFontListSeries
#define UxGetXrtTblFontListSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumFontListSeries))
#endif
#ifndef UxPutXrtTblFontListSeries
#define UxPutXrtTblFontListSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumFontListSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblForegroundContext */
#ifndef UxGetXrtTblForegroundContext
#define UxGetXrtTblForegroundContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumForegroundContext))
#endif
#ifndef UxPutXrtTblForegroundContext
#define UxPutXrtTblForegroundContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumForegroundContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblForegroundSeries */
#ifndef UxGetXrtTblForegroundSeries
#define UxGetXrtTblForegroundSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumForegroundSeries))
#endif
#ifndef UxPutXrtTblForegroundSeries
#define UxPutXrtTblForegroundSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumForegroundSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblFrameBorderType */
#ifndef UxGetXrtTblFrameBorderType
#define UxGetXrtTblFrameBorderType(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumFrameBorderType))
#endif
#ifndef UxPutXrtTblFrameBorderType
#define UxPutXrtTblFrameBorderType(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumFrameBorderType), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblFrameShadowThickness */
#ifndef UxGetXrtTblFrameShadowThickness
#define UxGetXrtTblFrameShadowThickness(sw) \
	UxGET_short(sw, XRTTBL_TABLE(xrtTblResNumFrameShadowThickness))
#endif
#ifndef UxPutXrtTblFrameShadowThickness
#define UxPutXrtTblFrameShadowThickness(sw, val) \
	UxPUT_short(sw, XRTTBL_TABLE(xrtTblResNumFrameShadowThickness), val)
#endif


/* Design-Time UxGet and UxPut macros for xrtTblFrozenColumnPlacement */
#ifndef UxGetXrtTblFrozenColumnPlacement
#define UxGetXrtTblFrozenColumnPlacement (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumFrozenColumnPlacement))
#endif
#ifndef UxPutXrtTblFrozenColumnPlacement
#define UxPutXrtTblFrozenColumnPlacement(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumFrozenColumnPlacement), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblFrozenColumns */
#ifndef UxGetXrtTblFrozenColumns
#define UxGetXrtTblFrozenColumns(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumFrozenColumns))
#endif
#ifndef UxPutXrtTblFrozenColumns
#define UxPutXrtTblFrozenColumns(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumFrozenColumns), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblFrozenRowPlacement */
#ifndef UxGetXrtTblFrozenRowPlacement
#define UxGetXrtTblFrozenRowPlacement (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumFrozenRowPlacement))
#endif
#ifndef UxPutXrtTblFrozenRowPlacement
#define UxPutXrtTblFrozenRowPlacement(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumFrozenRowPlacement), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblFrozenRows */
#ifndef UxGetXrtTblFrozenRows
#define UxGetXrtTblFrozenRows(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumFrozenRows))
#endif
#ifndef UxPutXrtTblFrozenRows
#define UxPutXrtTblFrozenRows(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumFrozenRows), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblHorizScrollBarLeftAttachment */
#ifndef UxGetXrtTblHorizScrollBarLeftAttachment
#define UxGetXrtTblHorizScrollBarLeftAttachment (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarLeftAttachment))
#endif
#ifndef UxPutXrtTblHorizScrollBarLeftAttachment
#define UxPutXrtTblHorizScrollBarLeftAttachment(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarLeftAttachment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblHorizScrollBarPlacement */
#ifndef UxGetXrtTblHorizScrollBarPlacement
#define UxGetXrtTblHorizScrollBarPlacement (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarPlacement))
#endif
#ifndef UxPutXrtTblHorizScrollBarPlacement
#define UxPutXrtTblHorizScrollBarPlacement(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarPlacement), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblHorizScrollBarPosition */
#ifndef UxGetXrtTblHorizScrollBarPosition
#define UxGetXrtTblHorizScrollBarPosition (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarPosition))
#endif
#ifndef UxPutXrtTblHorizScrollBarPosition
#define UxPutXrtTblHorizScrollBarPosition(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarPosition), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblHorizScrollBarRightAttachment */
#ifndef UxGetXrtTblHorizScrollBarRightAttachment
#define UxGetXrtTblHorizScrollBarRightAttachment (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarRightAttachment))
#endif
#ifndef UxPutXrtTblHorizScrollBarRightAttachment
#define UxPutXrtTblHorizScrollBarRightAttachment(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumHorizScrollBarRightAttachment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblHorizontalScrollBar */
#ifndef UxGetXrtTblHorizontalScrollBar
#define UxGetXrtTblHorizontalScrollBar(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumHorizontalScrollBar))
#endif
#ifndef UxPutXrtTblHorizontalScrollBar
#define UxPutXrtTblHorizontalScrollBar(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumHorizontalScrollBar), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblImportDelimiter */
#ifndef UxGetXrtTblImportDelimiter
#define UxGetXrtTblImportDelimiter(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumImportDelimiter))
#endif
#ifndef UxPutXrtTblImportDelimiter
#define UxPutXrtTblImportDelimiter(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumImportDelimiter), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblJumpScroll */
#ifndef UxGetXrtTblJumpScroll
#define UxGetXrtTblJumpScroll (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumJumpScroll))
#endif
#ifndef UxPutXrtTblJumpScroll
#define UxPutXrtTblJumpScroll(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumJumpScroll), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblLabelContext */
#ifndef UxGetXrtTblLabelContext
#define UxGetXrtTblLabelContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumLabelContext))
#endif
#ifndef UxPutXrtTblLabelContext
#define UxPutXrtTblLabelContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumLabelContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblLabelCreateFunc */
#ifndef UxGetXrtTblLabelCreateFunc
#define UxGetXrtTblLabelCreateFunc(sw) \
	UxGET_voidFunction(sw, XRTTBL_TABLE(xrtTblResNumLabelCreateFunc))
#endif
#ifndef UxPutXrtTblLabelCreateFunc
#define UxPutXrtTblLabelCreateFunc(sw, val) \
	UxPUT_voidFunction(sw, XRTTBL_TABLE(xrtTblResNumLabelCreateFunc), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblLeftColumn */
#ifndef UxGetXrtTblLeftColumn
#define UxGetXrtTblLeftColumn(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumLeftColumn))
#endif
#ifndef UxPutXrtTblLeftColumn
#define UxPutXrtTblLeftColumn(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumLeftColumn), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblLeftOffset */
#ifndef UxGetXrtTblLeftOffset
#define UxGetXrtTblLeftOffset (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumLeftOffset))
#endif
#ifndef UxPutXrtTblLeftOffset
#define UxPutXrtTblLeftOffset(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumLeftOffset), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblLocation */
#ifndef UxGetXrtTblLocation
#define UxGetXrtTblLocation (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumLocation))
#endif
#ifndef UxPutXrtTblLocation
#define UxPutXrtTblLocation(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumLocation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMarginHeight */
#ifndef UxGetXrtTblMarginHeight
#define UxGetXrtTblMarginHeight(sw) \
	UxGET_short(sw, XRTTBL_TABLE(xrtTblResNumMarginHeight))
#endif
#ifndef UxPutXrtTblMarginHeight
#define UxPutXrtTblMarginHeight(sw, val) \
	UxPUT_short(sw, XRTTBL_TABLE(xrtTblResNumMarginHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMarginWidth */
#ifndef UxGetXrtTblMarginWidth
#define UxGetXrtTblMarginWidth(sw) \
	UxGET_short(sw, XRTTBL_TABLE(xrtTblResNumMarginWidth))
#endif
#ifndef UxPutXrtTblMarginWidth
#define UxPutXrtTblMarginWidth(sw, val) \
	UxPUT_short(sw, XRTTBL_TABLE(xrtTblResNumMarginWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMaxLengthContext */
#ifndef UxGetXrtTblMaxLengthContext
#define UxGetXrtTblMaxLengthContext (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumMaxLengthContext))
#endif
#ifndef UxPutXrtTblMaxLengthContext
#define UxPutXrtTblMaxLengthContext(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumMaxLengthContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMaxLengthSeries */
#ifndef UxGetXrtTblMaxLengthSeries
#define UxGetXrtTblMaxLengthSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumMaxLengthSeries))
#endif
#ifndef UxPutXrtTblMaxLengthSeries
#define UxPutXrtTblMaxLengthSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumMaxLengthSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMinCellVisibility */
#ifndef UxGetXrtTblMinCellVisibility
#define UxGetXrtTblMinCellVisibility (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumMinCellVisibility))
#endif
#ifndef UxPutXrtTblMinCellVisibility
#define UxPutXrtTblMinCellVisibility(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumMinCellVisibility), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMinFlexibleHeight */
#ifndef UxGetXrtTblMinFlexibleHeight
#define UxGetXrtTblMinFlexibleHeight(sw) \
	UxGET_short(sw, XRTTBL_TABLE(xrtTblResNumMinFlexibleHeight))
#endif
#ifndef UxPutXrtTblMinFlexibleHeight
#define UxPutXrtTblMinFlexibleHeight(sw, val) \
	UxPUT_short(sw, XRTTBL_TABLE(xrtTblResNumMinFlexibleHeight), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMinFlexibleWidth */
#ifndef UxGetXrtTblMinFlexibleWidth
#define UxGetXrtTblMinFlexibleWidth(sw) \
	UxGET_short(sw, XRTTBL_TABLE(xrtTblResNumMinFlexibleWidth))
#endif
#ifndef UxPutXrtTblMinFlexibleWidth
#define UxPutXrtTblMinFlexibleWidth(sw, val) \
	UxPUT_short(sw, XRTTBL_TABLE(xrtTblResNumMinFlexibleWidth), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMode */
#ifndef UxGetXrtTblMode
#define UxGetXrtTblMode(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumMode))
#endif
#ifndef UxPutXrtTblMode
#define UxPutXrtTblMode(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumMode), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMultilineContext */
#ifndef UxGetXrtTblMultilineContext
#define UxGetXrtTblMultilineContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumMultilineContext))
#endif
#ifndef UxPutXrtTblMultilineContext
#define UxPutXrtTblMultilineContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumMultilineContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblMultilineSeries */
#ifndef UxGetXrtTblMultilineSeries
#define UxGetXrtTblMultilineSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumMultilineSeries))
#endif
#ifndef UxPutXrtTblMultilineSeries
#define UxPutXrtTblMultilineSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumMultilineSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblNumColumns */
#ifndef UxGetXrtTblNumColumns
#define UxGetXrtTblNumColumns(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumNumColumns))
#endif
#ifndef UxPutXrtTblNumColumns
#define UxPutXrtTblNumColumns(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumNumColumns), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblNumRows */
#ifndef UxGetXrtTblNumRows
#define UxGetXrtTblNumRows(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumNumRows))
#endif
#ifndef UxPutXrtTblNumRows
#define UxPutXrtTblNumRows(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumNumRows), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblOverflowContext */
#ifndef UxGetXrtTblOverflowContext
#define UxGetXrtTblOverflowContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumOverflowContext))
#endif
#ifndef UxPutXrtTblOverflowContext
#define UxPutXrtTblOverflowContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumOverflowContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblOverflowSeries */
#ifndef UxGetXrtTblOverflowSeries
#define UxGetXrtTblOverflowSeries (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumOverflowSeries))
#endif
#ifndef UxPutXrtTblOverflowSeries
#define UxPutXrtTblOverflowSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumOverflowSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPSFontListContext */
#ifndef UxGetXrtTblPSFontListContext
#define UxGetXrtTblPSFontListContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPSFontListContext))
#endif
#ifndef UxPutXrtTblPSFontListContext
#define UxPutXrtTblPSFontListContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPSFontListContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPSFontListSeries */
#ifndef UxGetXrtTblPSFontListSeries
#define UxGetXrtTblPSFontListSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPSFontListSeries))
#endif
#ifndef UxPutXrtTblPSFontListSeries
#define UxPutXrtTblPSFontListSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPSFontListSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPSFontMapList */
#ifndef UxGetXrtTblPSFontMapList
#define UxGetXrtTblPSFontMapList(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPSFontMapList))
#endif
#ifndef UxPutXrtTblPSFontMapList
#define UxPutXrtTblPSFontMapList(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPSFontMapList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixelHeightContext */
#ifndef UxGetXrtTblPixelHeightContext
#define UxGetXrtTblPixelHeightContext (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumPixelHeightContext))
#endif
#ifndef UxPutXrtTblPixelHeightContext
#define UxPutXrtTblPixelHeightContext(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumPixelHeightContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixelHeightSeries */
#ifndef UxGetXrtTblPixelHeightSeries
#define UxGetXrtTblPixelHeightSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixelHeightSeries))
#endif
#ifndef UxPutXrtTblPixelHeightSeries
#define UxPutXrtTblPixelHeightSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixelHeightSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixelWidthContext */
#ifndef UxGetXrtTblPixelWidthContext
#define UxGetXrtTblPixelWidthContext (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumPixelWidthContext))
#endif
#ifndef UxPutXrtTblPixelWidthContext
#define UxPutXrtTblPixelWidthContext(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumPixelWidthContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixelWidthSeries */
#ifndef UxGetXrtTblPixelWidthSeries
#define UxGetXrtTblPixelWidthSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixelWidthSeries))
#endif
#ifndef UxPutXrtTblPixelWidthSeries
#define UxPutXrtTblPixelWidthSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixelWidthSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixmapContext */
#ifndef UxGetXrtTblPixmapContext
#define UxGetXrtTblPixmapContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapContext))
#endif
#ifndef UxPutXrtTblPixmapContext
#define UxPutXrtTblPixmapContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixmapLayoutContext */
#ifndef UxGetXrtTblPixmapLayoutContext
#define UxGetXrtTblPixmapLayoutContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapLayoutContext))
#endif
#ifndef UxPutXrtTblPixmapLayoutContext
#define UxPutXrtTblPixmapLayoutContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapLayoutContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixmapLayoutSeries */
#ifndef UxGetXrtTblPixmapLayoutSeries
#define UxGetXrtTblPixmapLayoutSeries (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapLayoutSeries))
#endif
#ifndef UxPutXrtTblPixmapLayoutSeries
#define UxPutXrtTblPixmapLayoutSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapLayoutSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixmapSeries */
#ifndef UxGetXrtTblPixmapSeries
#define UxGetXrtTblPixmapSeries (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapSeries))
#endif
#ifndef UxPutXrtTblPixmapSeries
#define UxPutXrtTblPixmapSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixmapShadowContext */
#ifndef UxGetXrtTblPixmapShadowContext
#define UxGetXrtTblPixmapShadowContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapShadowContext))
#endif
#ifndef UxPutXrtTblPixmapShadowContext
#define UxPutXrtTblPixmapShadowContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapShadowContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblPixmapShadowSeries */
#ifndef UxGetXrtTblPixmapShadowSeries
#define UxGetXrtTblPixmapShadowSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapShadowSeries))
#endif
#ifndef UxPutXrtTblPixmapShadowSeries
#define UxPutXrtTblPixmapShadowSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPixmapShadowSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblRangeContext */
#ifndef UxGetXrtTblRangeContext
#define UxGetXrtTblRangeContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumRangeContext))
#endif
#ifndef UxPutXrtTblRangeContext
#define UxPutXrtTblRangeContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumRangeContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblRepaint */
#ifndef UxGetXrtTblRepaint
#define UxGetXrtTblRepaint(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumRepaint))
#endif
#ifndef UxPutXrtTblRepaint
#define UxPutXrtTblRepaint(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumRepaint), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblRepeatBackgroundColors */
#ifndef UxGetXrtTblRepeatBackgroundColors
#define UxGetXrtTblRepeatBackgroundColors(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumRepeatBackgroundColors))
#endif
#ifndef UxPutXrtTblRepeatBackgroundColors
#define UxPutXrtTblRepeatBackgroundColors(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumRepeatBackgroundColors), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblRepeatForegroundColors */
#ifndef UxGetXrtTblRepeatForegroundColors
#define UxGetXrtTblRepeatForegroundColors(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumRepeatForegroundColors))
#endif
#ifndef UxPutXrtTblRepeatForegroundColors
#define UxPutXrtTblRepeatForegroundColors(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumRepeatForegroundColors), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblRightOffset */
#ifndef UxGetXrtTblRightOffset
#define UxGetXrtTblRightOffset (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumRightOffset))
#endif
#ifndef UxPutXrtTblRightOffset
#define UxPutXrtTblRightOffset(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumRightOffset), val)
#endif


/* Design-Time UxGet and UxPut macros for xrtTblRowLabelOffset */
#ifndef UxGetXrtTblRowLabelOffset
#define UxGetXrtTblRowLabelOffset (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumRowLabelOffset))
#endif
#ifndef UxPutXrtTblRowLabelOffset
#define UxPutXrtTblRowLabelOffset(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumRowLabelOffset), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblRowLabelPlacement*/
#ifndef UxGetXrtTblRowLabelPlacement
#define UxGetXrtTblRowLabelPlacement (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumRowLabelPlacement))
#endif
#ifndef UxPutXrtTblRowLabelPlacement
#define UxPutXrtTblRowLabelPlacement(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumRowLabelPlacement), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblRowLabels */
#ifndef UxGetXrtTblRowLabels
#define UxGetXrtTblRowLabels(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumRowLabels))
#endif
#ifndef UxPutXrtTblRowLabels
#define UxPutXrtTblRowLabels(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumRowLabels), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblSelectedBackground */
#ifndef UxGetXrtTblSelectedBackground
#define UxGetXrtTblSelectedBackground(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSelectedBackground))
#endif
#ifndef UxPutXrtTblSelectedBackground
#define UxPutXrtTblSelectedBackground(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSelectedBackground), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblSelectedCellList */
#ifndef UxGetXrtTblSelectedCellList
#define UxGetXrtTblSelectedCellList(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSelectedCellList))
#endif
#ifndef UxPutXrtTblSelectedCellList
#define UxPutXrtTblSelectedCellList(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSelectedCellList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblSelectedForeground */
#ifndef UxGetXrtTblSelectedForeground
#define UxGetXrtTblSelectedForeground(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSelectedForeground))
#endif
#ifndef UxPutXrtTblSelectedForeground
#define UxPutXrtTblSelectedForeground(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSelectedForeground), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblSelectionPolicy */
#ifndef UxGetXrtTblSelectionPolicy
#define UxGetXrtTblSelectionPolicy(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSelectionPolicy))
#endif
#ifndef UxPutXrtTblSelectionPolicy
#define UxPutXrtTblSelectionPolicy(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSelectionPolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblSetTextCursorPos */
#ifndef UxGetXrtTblSetTextCursorPos
#define UxGetXrtTblSetTextCursorPos(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSetTextCursorPos))
#endif
#ifndef UxPutXrtTblSetTextCursorPos
#define UxPutXrtTblSetTextCursorPos(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSetTextCursorPos), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblShadowThickness */
#ifndef UxGetXrtTblShadowThickness
#define UxGetXrtTblShadowThickness(sw) \
	UxGET_short(sw, XRTTBL_TABLE(xrtTblResNumShadowThickness))
#endif
#ifndef UxPutXrtTblShadowThickness
#define UxPutXrtTblShadowThickness(sw, val) \
	UxPUT_short(sw, XRTTBL_TABLE(xrtTblResNumShadowThickness), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblSpace */
#ifndef UxGetXrtTblSpace
#define UxGetXrtTblSpace(sw) \
	UxGET_short(sw, XRTTBL_TABLE(xrtTblResNumSpace))
#endif
#ifndef UxPutXrtTblSpace
#define UxPutXrtTblSpace(sw, val) \
	UxPUT_short(sw, XRTTBL_TABLE(xrtTblResNumSpace), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblSpanList */
#ifndef UxGetXrtTblSpanList
#define UxGetXrtTblSpanList (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSpanList))
#endif
#ifndef UxPutXrtTblSpanList
#define UxPutXrtTblSpanList(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSpanList), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblText */
#ifndef UxGetXrtTblText
#define UxGetXrtTblText(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumText))
#endif
#ifndef UxPutXrtTblText
#define UxPutXrtTblText(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumText), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblTextInitSelect */
#ifndef UxGetXrtTblTextInitSelect
#define UxGetXrtTblTextInitSelect(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumTextInitSelect))
#endif
#ifndef UxPutXrtTblTextInitSelect
#define UxPutXrtTblTextInitSelect(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumTextInitSelect), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblTopOffset */
#ifndef UxGetXrtTblTopOffset
#define UxGetXrtTblTopOffset (sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumTopOffset))
#endif
#ifndef UxPutXrtTblTopOffset
#define UxPutXrtTblTopOffset(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumTopOffset), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblTopRow */
#ifndef UxGetXrtTblTopRow
#define UxGetXrtTblTopRow(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumTopRow))
#endif
#ifndef UxPutXrtTblTopRow
#define UxPutXrtTblTopRow(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumTopRow), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblTopShadowContext */
#ifndef UxGetXrtTblTopShadowContext
#define UxGetXrtTblTopShadowContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumTopShadowContext))
#endif
#ifndef UxPutXrtTblTopShadowContext
#define UxPutXrtTblTopShadowContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumTopShadowContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblTrackCursor */
#ifndef UxGetXrtTblTrackCursor
#define UxGetXrtTblTrackCursor(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumTrackCursor))
#endif
#ifndef UxPutXrtTblTrackCursor
#define UxPutXrtTblTrackCursor(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumTrackCursor), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblTraversableContext */
#ifndef UxGetXrtTblTraversableContext
#define UxGetXrtTblTraversableContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumTraversableContext))
#endif
#ifndef UxPutXrtTblTraversableContext
#define UxPutXrtTblTraversableContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumTraversableContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblTraversableSeries */
#ifndef UxGetXrtTblTraversableSeries
#define UxGetXrtTblTraversableSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumTraversableSeries))
#endif
#ifndef UxPutXrtTblTraversableSeries
#define UxPutXrtTblTraversableSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumTraversableSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblUseXmGetColors */
#ifndef UxGetXrtTblUseXmGetColors
#define UxGetXrtTblUseXmGetColors(sw) \
   UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumUseXmGetColors))
#endif
#ifndef UxPutXrtTblUseXmGetColors
#define UxPutXrtTblUseXmGetColors(sw, val) \
   UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumUseXmGetColors), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblValidatePolicy */
#ifndef UxGetXrtTblValidatePolicy
#define UxGetXrtTblValidatePolicy (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumValidatePolicy))
#endif
#ifndef UxPutXrtTblValidatePolicy
#define UxPutXrtTblValidatePolicy(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumValidatePolicy), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblVertScrollBarBottomAttachment */
#ifndef UxGetXrtTblVertScrollBarBottomAttachment
#define UxGetXrtTblVertScrollBarBottomAttachment (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarBottomAttachment))
#endif
#ifndef UxPutXrtTblVertScrollBarBottomAttachment
#define UxPutXrtTblVertScrollBarBottomAttachment(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarBottomAttachment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblVertScrollBarPlacement */
#ifndef UxGetXrtTblVertScrollBarPlacement
#define UxGetXrtTblVertScrollBarPlacement (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarPlacement))
#endif
#ifndef UxPutXrtTblVertScrollBarPlacement
#define UxPutXrtTblVertScrollBarPlacement(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarPlacement), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblVertScrollBarPosition */
#ifndef UxGetXrtTblVertScrollBarPosition
#define UxGetXrtTblVertScrollBarPosition (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarPosition))
#endif
#ifndef UxPutXrtTblVertScrollBarPosition
#define UxPutXrtTblVertScrollBarPosition(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarPosition), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblVertScrollBarTopAttachment */
#ifndef UxGetXrtTblVertScrollBarTopAttachment
#define UxGetXrtTblVertScrollBarTopAttachment (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarTopAttachment))
#endif
#ifndef UxPutXrtTblVertScrollBarTopAttachment
#define UxPutXrtTblVertScrollBarTopAttachment(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumVertScrollBarTopAttachment), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblVerticalScrollBar */
#ifndef UxGetXrtTblVerticalScrollBar
#define UxGetXrtTblVerticalScrollBar(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumVerticalScrollBar))
#endif
#ifndef UxPutXrtTblVerticalScrollBar
#define UxPutXrtTblVerticalScrollBar(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumVerticalScrollBar), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblVisibleColumns */
#ifndef UxGetXrtTblVisibleColumns
#define UxGetXrtTblVisibleColumns(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumVisibleColumns))
#endif
#ifndef UxPutXrtTblVisibleColumns
#define UxPutXrtTblVisibleColumns(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumVisibleColumns), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblVisibleRows */
#ifndef UxGetXrtTblVisibleRows
#define UxGetXrtTblVisibleRows(sw) \
	UxGET_int(sw, XRTTBL_TABLE(xrtTblResNumVisibleRows))
#endif
#ifndef UxPutXrtTblVisibleRows
#define UxPutXrtTblVisibleRows(sw, val) \
	UxPUT_int(sw, XRTTBL_TABLE(xrtTblResNumVisibleRows), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWidgetContext */
#ifndef UxGetXrtTblWidgetContext
#define UxGetXrtTblWidgetContext (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetContext))
#endif
#ifndef UxPutXrtTblWidgetContext
#define UxPutXrtTblWidgetContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWidgetLocation */
#ifndef UxGetXrtTblWidgetLocation
#define UxGetXrtTblWidgetLocation (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetLocation))
#endif
#ifndef UxPutXrtTblWidgetLocation
#define UxPutXrtTblWidgetLocation(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetLocation), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWidgetSeries */
#ifndef UxGetXrtTblWidgetSeries
#define UxGetXrtTblWidgetSeries (sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetSeries))
#endif
#ifndef UxPutXrtTblWidgetSeries
#define UxPutXrtTblWidgetSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWidgetShadowContext */
#ifndef UxGetXrtTblWidgetShadowContext
#define UxGetXrtTblWidgetShadowContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetShadowContext))
#endif
#ifndef UxPutXrtTblWidgetShadowContext
#define UxPutXrtTblWidgetShadowContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetShadowContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWidgetShadowSeries */
#ifndef UxGetXrtTblWidgetShadowSeries
#define UxGetXrtTblWidgetShadowSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetShadowSeries))
#endif
#ifndef UxPutXrtTblWidgetShadowSeries
#define UxPutXrtTblWidgetShadowSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetShadowSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWordWrapContext */
#ifndef UxGetXrtTblWordWrapContext
#define UxGetXrtTblWordWrapContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWordWrapContext))
#endif
#ifndef UxPutXrtTblWordWrapContext
#define UxPutXrtTblWordWrapContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWordWrapContext), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWordWrapSeries */
#ifndef UxGetXrtTblWordWrapSeries
#define UxGetXrtTblWordWrapSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWordWrapSeries))
#endif
#ifndef UxPutXrtTblWordWrapSeries
#define UxPutXrtTblWordWrapSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWordWrapSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblXmStringGetMode */
#ifndef UxGetXrtTblXmStringGetMode
#define UxGetXrtTblXmStringGetMode(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumXmStringGetMode))
#endif
#ifndef UxPutXrtTblXmStringGetMode
#define UxPutXrtTblXmStringGetMode(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumXmStringGetMode), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblXmStringSetMode */
#ifndef UxGetXrtTblXmStringSetMode
#define UxGetXrtTblXmStringSetMode(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumXmStringSetMode))
#endif
#ifndef UxPutXrtTblXmStringSetMode
#define UxPutXrtTblXmStringSetMode(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumXmStringSetMode), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblCurrencyPickListContext */
#ifndef UxGetXrtTblCurrencyPickListContext
#define UxGetXrtTblCurrencyPickListContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCurrencyPickListContext))
#endif
#ifndef UxPutXrtTblCurrencyPickListContext
#define UxPutXrtTblCurrencyPickListContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCurrencyPickListContext), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblCurrencyPickListSeries */
#ifndef UxGetXrtTblCurrencyPickListSeries
#define UxGetXrtTblCurrencyPickListSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumCurrencyPickListSeries))
#endif
#ifndef UxPutXrtTblCurrencyPickListSeries
#define UxPutXrtTblCurrencyPickListSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumCurrencyPickListSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblDatePickListContext */
#ifndef UxGetXrtTblDatePickListContext
#define UxGetXrtTblDatePickListContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDatePickListContext))
#endif
#ifndef UxPutXrtTblDatePickListContext
#define UxPutXrtTblDatePickListContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDatePickListContext), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblDatePickListSeries */
#ifndef UxGetXrtTblDatePickListSeries
#define UxGetXrtTblDatePickListSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumDatePickListSeries))
#endif
#ifndef UxPutXrtTblDatePickListSeries
#define UxPutXrtTblDatePickListSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumDatePickListSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblFloatPickListContext */
#ifndef UxGetXrtTblFloatPickListContext
#define UxGetXrtTblFloatPickListContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumFloatPickListContext))
#endif
#ifndef UxPutXrtTblFloatPickListContext
#define UxPutXrtTblFloatPickListContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumFloatPickListContext), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblFloatPickListSeries */
#ifndef UxGetXrtTblFloatPickListSeries
#define UxGetXrtTblFloatPickListSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumFloatPickListSeries))
#endif
#ifndef UxPutXrtTblFloatPickListSeries
#define UxPutXrtTblFloatPickListSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumFloatPickListSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblIntPickListContext */
#ifndef UxGetXrtTblIntPickListContext
#define UxGetXrtTblIntPickListContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumIntPickListContext))
#endif
#ifndef UxPutXrtTblIntPickListContext
#define UxPutXrtTblIntPickListContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumIntPickListContext), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblIntPickListSeries */
#ifndef UxGetXrtTblIntPickListSeries
#define UxGetXrtTblIntPickListSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumIntPickListSeries))
#endif
#ifndef UxPutXrtTblIntPickListSeries
#define UxPutXrtTblIntPickListSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumIntPickListSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblPreviewScrolling */
#ifndef UxGetXrtTblPreviewScrolling
#define UxGetXrtTblPreviewScrolling(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumPreviewScrolling))
#endif
#ifndef UxPutXrtTblPreviewScrolling
#define UxPutXrtTblPreviewScrolling(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumPreviewScrolling), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblResizeToCell */
#ifndef UxGetXrtTblResizeToCell
#define UxGetXrtTblResizeToCell(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumResizeToCell))
#endif
#ifndef UxPutXrtTblResizeToCell
#define UxPutXrtTblResizeToCell(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumResizeToCell), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblSensitiveContext */
#ifndef UxGetXrtTblSensitiveContext
#define UxGetXrtTblSensitiveContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSensitiveContext))
#endif
#ifndef UxPutXrtTblSensitiveContext
#define UxPutXrtTblSensitiveContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSensitiveContext), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblSensitiveSeries */
#ifndef UxGetXrtTblSensitiveSeries
#define UxGetXrtTblSensitiveSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumSensitiveSeries))
#endif
#ifndef UxPutXrtTblSensitiveSeries
#define UxPutXrtTblSensitiveSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumSensitiveSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblStringPickListContext */
#ifndef UxGetXrtTblStringPickListContext
#define UxGetXrtTblStringPickListContext(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumStringPickListContext))
#endif
#ifndef UxPutXrtTblStringPickListContext
#define UxPutXrtTblStringPickListContext(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumStringPickListContext), val)
#endif

/* Design-Time UxGet and UxPut macros for XrtTblStringPickListSeries */
#ifndef UxGetXrtTblStringPickListSeries
#define UxGetXrtTblStringPickListSeries(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumStringPickListSeries))
#endif
#ifndef UxPutXrtTblStringPickListSeries
#define UxPutXrtTblStringPickListSeries(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumStringPickListSeries), val)
#endif

/* Design-Time UxGet and UxPut macros for xrtTblWidgetClassList */
#ifndef UxGetXrtTblWidgetClassList
#define UxGetXrtTblWidgetClassList(sw) \
	UxGET_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetClassList))
#endif
#ifndef UxPutXrtTblWidgetClassList
#define UxPutXrtTblWidgetClassList(sw, val) \
	UxPUT_string(sw, XRTTBL_TABLE(xrtTblResNumWidgetClassList), val)
#endif

#endif /* NO_UX_MACROS */

extern Class_t	UxC_XrtTable;
/* Design-time create macro */
#ifndef UxCreateXrtTable
#define UxCreateXrtTable(name, parent) \
	UxCreateSwidget(UxC_XrtTable, name, parent)
#endif

#else /* Not DESIGN_TIME */

#ifndef UxGetXrtTblAlignmentContext
#define UxGetXrtTblAlignmentContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblAlignmentContext)
#endif
#ifndef UxPutXrtTblAlignmentContext
#define UxPutXrtTblAlignmentContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblAlignmentContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblAlignmentSeries
#define UxGetXrtTblAlignmentSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblAlignmentSeries)
#endif
#ifndef UxPutXrtTblAlignmentSeries
#define UxPutXrtTblAlignmentSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblAlignmentSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblAllowCellResize
#define UxGetXrtTblAllowCellResize(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblAllowCellResize)
#endif
#ifndef UxPutXrtTblAllowCellResize
#define UxPutXrtTblAllowCellResize(sw, val) \
    UxDDPutProp(sw, XmNxrtTblAllowCellResize, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblAllowResize
#define UxGetXrtTblAllowResize(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblAllowResize)
#endif
#ifndef UxPutXrtTblAllowResize
#define UxPutXrtTblAllowResize(sw, val) \
	UxDDPutProp(sw, XmNxrtTblAllowResize, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBackgroundContext
#define UxGetXrtTblBackgroundContext(sw) \
	(char *) UxGetProp(sw, XmNxrtTblBackgroundContext)
#endif
#ifndef UxPutXrtTblBackgroundContext
#define UxPutXrtTblBackgroundContext(sw, val) \
	UxPutProp(sw, XmNxrtTblBackgroundContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBackgroundPixelContext
#define UxGetXrtTblBackgroundPixelContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblBackgroundPixelContext)
#endif
#ifndef UxPutXrtTblBackgroundPixelContext
#define UxPutXrtTblBackgroundPixelContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblBackgroundPixelContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBackgroundSeries
#define UxGetXrtTblBackgroundSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblBackgroundSeries)
#endif
#ifndef UxPutXrtTblBackgroundSeries
#define UxPutXrtTblBackgroundSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblBackgroundSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBackingStore
#define UxGetXrtTblBackingStore(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblBackingStore)
#endif
#ifndef UxPutXrtTblBackingStore
#define UxPutXrtTblBackingStore(sw, val) \
	UxDDPutProp(sw, XmNxrtTblBackingStore, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBorderSidesContext
#define UxGetXrtTblBorderSidesContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblBorderSidesContext)
#endif
#ifndef UxPutXrtTblBorderSidesContext
#define UxPutXrtTblBorderSidesContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblBorderSidesContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBorderSidesSeries
#define UxGetXrtTblBorderSidesSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblBorderSidesSeries)
#endif
#ifndef UxPutXrtTblBorderSidesSeries
#define UxPutXrtTblBorderSidesSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblBorderSidesSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBorderTypeContext
#define UxGetXrtTblBorderTypeContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblBorderTypeContext)
#endif
#ifndef UxPutXrtTblBorderTypeContext
#define UxPutXrtTblBorderTypeContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblBorderTypeContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBorderTypeSeries
#define UxGetXrtTblBorderTypeSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblBorderTypeSeries)
#endif
#ifndef UxPutXrtTblBorderTypeSeries
#define UxPutXrtTblBorderTypeSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblBorderTypeSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBottomOffset
#define UxGetXrtTblBottomOffset(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblBottomOffset)
#endif
#ifndef UxPutXrtTblBottomOffset
#define UxPutXrtTblBottomOffset(sw, val) \
	UxPutProp(sw, XmNxrtTblBottomOffset, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblBottomShadowContext
#define UxGetXrtTblBottomShadowContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblBottomShadowContext)
#endif
#ifndef UxPutXrtTblBottomShadowContext
#define UxPutXrtTblBottomShadowContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblBottomShadowContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCaseContext
#define UxGetXrtTblCaseContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCaseContext)
#endif
#ifndef UxPutXrtTblCaseContext
#define UxPutXrtTblCaseContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCaseContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCaseSeries
#define UxGetXrtTblCaseSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCaseSeries)
#endif
#ifndef UxPutXrtTblCaseSeries
#define UxPutXrtTblCaseSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCaseSeries, (XtArgVal)(val))
#endif

/*2.2.0*/
/* no macro for UxGetXrtTblCellValueCallback */

#ifndef UxGetXrtTblCellValueContext
#define UxGetXrtTblCellValueContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCellValueContext)
#endif
#ifndef UxPutXrtTblCellValueContext
#define UxPutXrtTblCellValueContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCellValueContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCellValueFunc
#define UxGetXrtTblCellValueFunc(sw) \
    (voidFunction) UxGetProp(sw, XmNxrtTblCellValueFunc)
#endif
#ifndef UxPutXrtTblCellValueFunc
#define UxPutXrtTblCellValueFunc(sw, val) \
    UxPutProp(sw, XmNxrtTblCellValueFunc, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCellValues
#define UxGetXrtTblCellValues(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblCellValues)
#endif
#ifndef UxPutXrtTblCellValues
#define UxPutXrtTblCellValues(sw, val) \
    UxDDPutProp(sw, XmNxrtTblCellValues, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCharHeightContext
#define UxGetXrtTblCharHeightContext(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblCharHeightContext)
#endif
#ifndef UxPutXrtTblCharHeightContext
#define UxPutXrtTblCharHeightContext(sw, val) \
	UxPutProp(sw, XmNxrtTblCharHeightContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCharHeightSeries
#define UxGetXrtTblCharHeightSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblCharHeightSeries)
#endif
#ifndef UxPutXrtTblCharHeightSeries
#define UxPutXrtTblCharHeightSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblCharHeightSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCharWidthContext
#define UxGetXrtTblCharWidthContext(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblCharWidthContext)
#endif
#ifndef UxPutXrtTblCharWidthContext
#define UxPutXrtTblCharWidthContext(sw, val) \
	UxPutProp(sw, XmNxrtTblCharWidthContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCharWidthSeries
#define UxGetXrtTblCharWidthSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblCharWidthSeries)
#endif
#ifndef UxPutXrtTblCharWidthSeries
#define UxPutXrtTblCharWidthSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblCharWidthSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblClipChildrenPersistent
#define UxGetXrtTblClipChildrenPersistent(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblClipChildrenPersistent)
#endif
#ifndef UxPutXrtTblClipChildrenPersistent
#define UxPutXrtTblClipChildrenPersistent(sw, val) \
	UxDDPutProp(sw, XmNxrtTblClipChildrenPersistent, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblClipPixmapContext
#define UxGetXrtTblClipPixmapContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblClipPixmapContext)
#endif
#ifndef UxPutXrtTblClipPixmapContext
#define UxPutXrtTblClipPixmapContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblClipPixmapContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblClipPixmapSeries
#define UxGetXrtTblClipPixmapSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblClipPixmapSeries)
#endif
#ifndef UxPutXrtTblClipPixmapSeries
#define UxPutXrtTblClipPixmapSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblClipPixmapSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblColumnLabelPlacement
#define UxGetXrtTblColumnLabelPlacement(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblColumnLabelPlacement)
#endif
#ifndef UxPutXrtTblColumnLabelPlacement
#define UxPutXrtTblColumnLabelPlacement(sw, val) \
	UxDDPutProp(sw, XmNxrtTblColumnLabelPlacement, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblColumnLabels
#define UxGetXrtTblColumnLabels(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblColumnLabels)
#endif
#ifndef UxPutXrtTblColumnLabels
#define UxPutXrtTblColumnLabels(sw, val) \
    UxDDPutProp(sw, XmNxrtTblColumnLabels, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblColumnLabelOffset
#define UxGetXrtTblColumnLabelOffset(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblColumnLabelOffset)
#endif
#ifndef UxPutXrtTblColumnLabelOffset
#define UxPutXrtTblColumnLabelOffset(sw, val) \
	UxPutProp(sw, XmNxrtTblColumnLabelOffset, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblContext
#define UxGetXrtTblContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblContext)
#endif
#ifndef UxPutXrtTblContext
#define UxPutXrtTblContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblContext, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblCreateWidgetCallback */

/*2.2.0*/
/* No UxGet or UxPut macros for ContextValueCallback */

#ifndef UxGetXrtTblCursorCorner
#define UxGetXrtTblCursorCorner(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCursorCorner)
#endif
#ifndef UxPutXrtTblCursorCorner
#define UxPutXrtTblCursorCorner(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCursorCorner, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCursorHorizontal
#define UxGetXrtTblCursorHorizontal(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCursorHorizontal)
#endif
#ifndef UxPutXrtTblCursorHorizontal
#define UxPutXrtTblCursorHorizontal(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCursorHorizontal, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCursorNontraversable
#define UxGetXrtTblCursorNontraversable(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCursorNontraversable)
#endif
#ifndef UxPutXrtTblCursorNontraversable
#define UxPutXrtTblCursorNontraversable(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCursorNontraversable, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCursorTraversable
#define UxGetXrtTblCursorTraversable(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCursorTraversable)
#endif
#ifndef UxPutXrtTblCursorTraversable
#define UxPutXrtTblCursorTraversable(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCursorTraversable, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCursorVertical
#define UxGetXrtTblCursorVertical(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCursorVertical)
#endif
#ifndef UxPutXrtTblCursorVertical
#define UxPutXrtTblCursorVertical(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCursorVertical, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDataTypeContext
#define UxGetXrtTblDataTypeContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblDataTypeContext)
#endif
#ifndef UxPutXrtTblDataTypeContext
#define UxPutXrtTblDataTypeContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblDataTypeContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDataTypeSeries
#define UxGetXrtTblDataTypeSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblDataTypeSeries)
#endif
#ifndef UxPutXrtTblDataTypeSeries
#define UxPutXrtTblDataTypeSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblDataTypeSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDebug
#define UxGetXrtTblDebug(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblDebug)
#endif
#ifndef UxPutXrtTblDebug
#define UxPutXrtTblDebug(sw, val) \
    UxDDPutProp(sw, XmNxrtTblDebug, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDisplayClipArrows
#define UxGetXrtTblDisplayClipArrows(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblDisplayClipArrows)
#endif
#ifndef UxPutXrtTblDisplayClipArrows
#define UxPutXrtTblDisplayClipArrows(sw, val) \
    UxDDPutProp(sw, XmNxrtTblDisplayClipArrows, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDisplayHorizScrollBar
#define UxGetXrtTblDisplayHorizScrollBar(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblDisplayHorizScrollBar)
#endif
#ifndef UxPutXrtTblDisplayHorizScrollBar
#define UxPutXrtTblDisplayHorizScrollBar(sw, val) \
    UxDDPutProp(sw, XmNxrtTblDisplayHorizScrollBar, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDisplayVertScrollBar
#define UxGetXrtTblDisplayVertScrollBar(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblDisplayVertScrollBar)
#endif
#ifndef UxPutXrtTblDisplayVertScrollBar
#define UxPutXrtTblDisplayVertScrollBar(sw, val) \
    UxDDPutProp(sw, XmNxrtTblDisplayVertScrollBar, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblDisplayWidgetCallback */

#ifndef UxGetXrtTblDoubleBuffer
#define UxGetXrtTblDoubleBuffer(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblDoubleBuffer)
#endif
#ifndef UxPutXrtTblDoubleBuffer
#define UxPutXrtTblDoubleBuffer(sw, val) \
    UxDDPutProp(sw, XmNxrtTblDoubleBuffer, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblEditableContext
#define UxGetXrtTblEditableContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblEditableContext)
#endif
#ifndef UxPutXrtTblEditableContext
#define UxPutXrtTblEditableContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblEditableContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblEditableSeries
#define UxGetXrtTblEditableSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblEditableSeries)
#endif
#ifndef UxPutXrtTblEditableSeries
#define UxPutXrtTblEditableSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblEditableSeries, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblEnterCellCallback */

#ifndef UxGetXrtTblExportDelimiter
#define UxGetXrtTblExportDelimiter(sw) \
    (char *) UxGetProp(sw, XmNxrtTblExportDelimiter)
#endif
#ifndef UxPutXrtTblExportDelimiter
#define UxPutXrtTblExportDelimiter(sw, val) \
    UxPutProp(sw, XmNxrtTblExportDelimiter, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblExposeCallback */

#ifndef UxGetXrtTblFontListContext
#define UxGetXrtTblFontListContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblFontListContext)
#endif
#ifndef UxPutXrtTblFontListContext
#define UxPutXrtTblFontListContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblFontListContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFontListSeries
#define UxGetXrtTblFontListSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblFontListSeries)
#endif
#ifndef UxPutXrtTblFontListSeries
#define UxPutXrtTblFontListSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblFontListSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblForegroundContext
#define UxGetXrtTblForegroundContext(sw) \
	(char *) UxGetProp(sw, XmNxrtTblForegroundContext)
#endif
#ifndef UxPutXrtTblForegroundContext
#define UxPutXrtTblForegroundContext(sw, val) \
	UxPutProp(sw, XmNxrtTblForegroundContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblForegroundSeries
#define UxGetXrtTblForegroundSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblForegroundSeries)
#endif
#ifndef UxPutXrtTblForegroundSeries
#define UxPutXrtTblForegroundSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblForegroundSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFrameBorderType
#define UxGetXrtTblFrameBorderType(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblFrameBorderType)
#endif
#ifndef UxPutXrtTblFrameBorderType
#define UxPutXrtTblFrameBorderType(sw, val) \
	UxDDPutProp(sw, XmNxrtTblFrameBorderType, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFrameShadowThickness
#define UxGetXrtTblFrameShadowThickness(sw) \
	(short)UxShortGetProp(sw, XmNxrtTblFrameShadowThickness)
#endif
#ifndef UxPutXrtTblFrameShadowThickness
#define UxPutXrtTblFrameShadowThickness(sw, val) \
	UxPutProp(sw, XmNxrtTblFrameShadowThickness, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFrozenColumnPlacement
#define UxGetXrtTblFrozenColumnPlacement(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblFrozenColumnPlacement)
#endif
#ifndef UxPutXrtTblFrozenColumnPlacement
#define UxPutXrtTblFrozenColumnPlacement(sw, val) \
	UxDDPutProp(sw, XmNxrtTblFrozenColumnPlacement, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFrozenColumns
#define UxGetXrtTblFrozenColumns(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblFrozenColumns)
#endif
#ifndef UxPutXrtTblFrozenColumns
#define UxPutXrtTblFrozenColumns(sw, val) \
    UxPutProp(sw, XmNxrtTblFrozenColumns, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFrozenRowPlacement
#define UxGetXrtTblFrozenRowPlacement(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblFrozenRowPlacement)
#endif
#ifndef UxPutXrtTblFrozenRowPlacement
#define UxPutXrtTblFrozenRowPlacement(sw, val) \
	UxDDPutProp(sw, XmNxrtTblFrozenRowPlacement, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFrozenRows
#define UxGetXrtTblFrozenRows(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblFrozenRows)
#endif
#ifndef UxPutXrtTblFrozenRows
#define UxPutXrtTblFrozenRows(sw, val) \
    UxPutProp(sw, XmNxrtTblFrozenRows, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblHorizScrollBarLeftAttachment
#define UxGetXrtTblHorizScrollBarLeftAttachment(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblHorizScrollBarLeftAttachment)
#endif
#ifndef UxPutXrtTblHorizScrollBarLeftAttachment
#define UxPutXrtTblHorizScrollBarLeftAttachment(sw, val) \
	UxDDPutProp(sw, XmNxrtTblHorizScrollBarLeftAttachment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblHorizScrollBarPlacement
#define UxGetXrtTblHorizScrollBarPlacement(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblHorizScrollBarPlacement)
#endif
#ifndef UxPutXrtTblHorizScrollBarPlacement
#define UxPutXrtTblHorizScrollBarPlacement(sw, val) \
	UxDDPutProp(sw, XmNxrtTblHorizScrollBarPlacement, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblHorizScrollBarPosition
#define UxGetXrtTblHorizScrollBarPosition(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblHorizScrollBarPosition)
#endif
#ifndef UxPutXrtTblHorizScrollBarPosition
#define UxPutXrtTblHorizScrollBarPosition(sw, val) \
	UxDDPutProp(sw, XmNxrtTblHorizScrollBarPosition, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblHorizScrollBarRightAttachment
#define UxGetXrtTblHorizScrollBarRightAttachment(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblHorizScrollBarRightAttachment)
#endif
#ifndef UxPutXrtTblHorizScrollBarRightAttachment
#define UxPutXrtTblHorizScrollBarRightAttachment(sw, val) \
	UxDDPutProp(sw, XmNxrtTblHorizScrollBarRightAttachment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblHorizontalScrollBar
#define UxGetXrtTblHorizontalScrollBar(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblHorizontalScrollBar)
#endif
#ifndef UxPutXrtTblHorizontalScrollBar
#define UxPutXrtTblHorizontalScrollBar(sw, val) \
    UxDDPutProp(sw, XmNxrtTblHorizontalScrollBar, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblImportDelimiter
#define UxGetXrtTblImportDelimiter(sw) \
    (char *) UxGetProp(sw, XmNxrtTblImportDelimiter)
#endif
#ifndef UxPutXrtTblImportDelimiter
#define UxPutXrtTblImportDelimiter(sw, val) \
    UxPutProp(sw, XmNxrtTblImportDelimiter, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblJumpScroll
#define UxGetXrtTblJumpScroll(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblJumpScroll)
#endif
#ifndef UxPutXrtTblJumpScroll
#define UxPutXrtTblJumpScroll(sw, val) \
	UxDDPutProp(sw, XmNxrtTblJumpScroll, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblLabelContext
#define UxGetXrtTblLabelContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblLabelContext)
#endif
#ifndef UxPutXrtTblLabelContext
#define UxPutXrtTblLabelContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblLabelContext, (XtArgVal)(val))
#endif

/*2.2.0*/
/* no macros for UxGetXrtTblLabelCreateCallback*/

#ifndef UxGetXrtTblLabelCreateFunc
#define UxGetXrtTblLabelCreateFunc(sw) \
    (voidFunction) UxGetProp(sw, XmNxrtTblLabelCreateFunc)
#endif
#ifndef UxPutXrtTblLabelCreateFunc
#define UxPutXrtTblLabelCreateFunc(sw, val) \
    UxPutProp(sw, XmNxrtTblLabelCreateFunc, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblLeftColumn
#define UxGetXrtTblLeftColumn(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblLeftColumn)
#endif
#ifndef UxPutXrtTblLeftColumn
#define UxPutXrtTblLeftColumn(sw, val) \
    UxPutProp(sw, XmNxrtTblLeftColumn, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblLeftOffset
#define UxGetXrtTblLeftOffset(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblLeftOffset)
#endif
#ifndef UxPutXrtTblLeftOffset
#define UxPutXrtTblLeftOffset(sw, val) \
	UxPutProp(sw, XmNxrtTblLeftOffset, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblLocation
#define UxGetXrtTblLocation(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblLocation)
#endif
#ifndef UxPutXrtTblLocation
#define UxPutXrtTblLocation(sw, val) \
	UxDDPutProp(sw, XmNxrtTblLocation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMarginHeight
#define UxGetXrtTblMarginHeight(sw) \
    (short)UxShortGetProp(sw, XmNxrtTblMarginHeight)
#endif
#ifndef UxPutXrtTblMarginHeight
#define UxPutXrtTblMarginHeight(sw, val) \
    UxPutProp(sw, XmNxrtTblMarginHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMarginWidth
#define UxGetXrtTblMarginWidth(sw) \
    (short)UxShortGetProp(sw, XmNxrtTblMarginWidth)
#endif
#ifndef UxPutXrtTblMarginWidth
#define UxPutXrtTblMarginWidth(sw, val) \
    UxPutProp(sw, XmNxrtTblMarginWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMaxLengthContext
#define UxGetXrtTblMaxLengthContext(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblMaxLengthContext)
#endif
#ifndef UxPutXrtTblMaxLengthContext
#define UxPutXrtTblMaxLengthContext(sw, val) \
	UxPutProp(sw, XmNxrtTblMaxLengthContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMaxLengthSeries
#define UxGetXrtTblMaxLengthSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblMaxLengthSeries)
#endif
#ifndef UxPutXrtTblMaxLengthSeries
#define UxPutXrtTblMaxLengthSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblMaxLengthSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMinCellVisibility
#define UxGetXrtTblMinCellVisibility(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblMinCellVisibility)
#endif
#ifndef UxPutXrtTblMinCellVisibility
#define UxPutXrtTblMinCellVisibility(sw, val) \
	UxPutProp(sw, XmNxrtTblMinCellVisibility, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMinFlexibleHeight
#define UxGetXrtTblMinFlexibleHeight(sw) \
	(short)UxShortGetProp(sw, XmNxrtTblMinFlexibleHeight)
#endif
#ifndef UxPutXrtTblMinFlexibleHeight
#define UxPutXrtTblMinFlexibleHeight(sw, val) \
	UxPutProp(sw, XmNxrtTblMinFlexibleHeight, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMinFlexibleWidth
#define UxGetXrtTblMinFlexibleWidth(sw) \
	(short)UxShortGetProp(sw, XmNxrtTblMinFlexibleWidth)
#endif
#ifndef UxPutXrtTblMinFlexibleWidth
#define UxPutXrtTblMinFlexibleWidth(sw, val) \
	UxPutProp(sw, XmNxrtTblMinFlexibleWidth, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMode
#define UxGetXrtTblMode(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblMode)
#endif
#ifndef UxPutXrtTblMode
#define UxPutXrtTblMode(sw, val) \
	UxDDPutProp(sw, XmNxrtTblMode, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMultilineContext
#define UxGetXrtTblMultilineContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblMultilineContext)
#endif
#ifndef UxPutXrtTblMultilineContext
#define UxPutXrtTblMultilineContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblMultilineContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblMultilineSeries
#define UxGetXrtTblMultilineSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblMultilineSeries)
#endif
#ifndef UxPutXrtTblMultilineSeries
#define UxPutXrtTblMultilineSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblMultilineSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblNumColumns
#define UxGetXrtTblNumColumns(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblNumColumns)
#endif
#ifndef UxPutXrtTblNumColumns
#define UxPutXrtTblNumColumns(sw, val) \
    UxPutProp(sw, XmNxrtTblNumColumns, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblNumRows
#define UxGetXrtTblNumRows(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblNumRows)
#endif
#ifndef UxPutXrtTblNumRows
#define UxPutXrtTblNumRows(sw, val) \
    UxPutProp(sw, XmNxrtTblNumRows, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblOverflowContext
#define UxGetXrtTblOverflowContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblOverflowContext)
#endif
#ifndef UxPutXrtTblOverflowContext
#define UxPutXrtTblOverflowContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblOverflowContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblOverflowSeries
#define UxGetXrtTblOverflowSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblOverflowSeries)
#endif
#ifndef UxPutXrtTblOverflowSeries
#define UxPutXrtTblOverflowSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblOverflowSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPSFontListContext
#define UxGetXrtTblPSFontListContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPSFontListContext)
#endif
#ifndef UxPutXrtTblPSFontListContext
#define UxPutXrtTblPSFontListContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPSFontListContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPSFontListSeries
#define UxGetXrtTblPSFontListSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblPSFontListSeries)
#endif
#ifndef UxPutXrtTblPSFontListSeries
#define UxPutXrtTblPSFontListSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblPSFontListSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPSFontMapList
#define UxGetXrtTblPSFontMapList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPSFontMapList)
#endif
#ifndef UxPutXrtTblPSFontMapList
#define UxPutXrtTblPSFontMapList(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPSFontMapList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixelHeightContext
#define UxGetXrtTblPixelHeightContext(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblPixelHeightContext)
#endif
#ifndef UxPutXrtTblPixelHeightContext
#define UxPutXrtTblPixelHeightContext(sw, val) \
	UxPutProp(sw, XmNxrtTblPixelHeightContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixelHeightSeries
#define UxGetXrtTblPixelHeightSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblPixelHeightSeries)
#endif
#ifndef UxPutXrtTblPixelHeightSeries
#define UxPutXrtTblPixelHeightSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblPixelHeightSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixelWidthContext
#define UxGetXrtTblPixelWidthContext(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblPixelWidthContext)
#endif
#ifndef UxPutXrtTblPixelWidthContext
#define UxPutXrtTblPixelWidthContext(sw, val) \
	UxPutProp(sw, XmNxrtTblPixelWidthContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixelWidthSeries
#define UxGetXrtTblPixelWidthSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblPixelWidthSeries)
#endif
#ifndef UxPutXrtTblPixelWidthSeries
#define UxPutXrtTblPixelWidthSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblPixelWidthSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixmapContext
#define UxGetXrtTblPixmapContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPixmapContext)
#endif
#ifndef UxPutXrtTblPixmapContext
#define UxPutXrtTblPixmapContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPixmapContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixmapLayoutContext
#define UxGetXrtTblPixmapLayoutContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPixmapLayoutContext)
#endif
#ifndef UxPutXrtTblPixmapLayoutContext
#define UxPutXrtTblPixmapLayoutContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPixmapLayoutContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixmapLayoutSeries
#define UxGetXrtTblPixmapLayoutSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPixmapLayoutSeries)
#endif
#ifndef UxPutXrtTblPixmapLayoutSeries
#define UxPutXrtTblPixmapLayoutSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPixmapLayoutSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixmapSeries
#define UxGetXrtTblPixmapSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPixmapSeries)
#endif
#ifndef UxPutXrtTblPixmapSeries
#define UxPutXrtTblPixmapSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPixmapSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixmapShadowContext
#define UxGetXrtTblPixmapShadowContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPixmapShadowContext)
#endif
#ifndef UxPutXrtTblPixmapShadowContext
#define UxPutXrtTblPixmapShadowContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPixmapShadowContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPixmapShadowSeries
#define UxGetXrtTblPixmapShadowSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPixmapShadowSeries)
#endif
#ifndef UxPutXrtTblPixmapShadowSeries
#define UxPutXrtTblPixmapShadowSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPixmapShadowSeries, (XtArgVal)(val))
#endif

/*2.2.0*/
/* no macro for XmNxrtTblPrintCallback*/

/*2.2.0*/
/* no macro for XmNxrtTblPrintWidgetCallback*/

#ifndef UxGetXrtTblRangeContext
#define UxGetXrtTblRangeContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblRangeContext)
#endif
#ifndef UxPutXrtTblRangeContext
#define UxPutXrtTblRangeContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblRangeContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblRepaint
#define UxGetXrtTblRepaint(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblRepaint)
#endif
#ifndef UxPutXrtTblRepaint
#define UxPutXrtTblRepaint(sw, val) \
    UxDDPutProp(sw, XmNxrtTblRepaint, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblRepeatBackgroundColors
#define UxGetXrtTblRepeatBackgroundColors(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblRepeatBackgroundColors)
#endif
#ifndef UxPutXrtTblRepeatBackgroundColors
#define UxPutXrtTblRepeatBackgroundColors(sw, val) \
	UxDDPutProp(sw, XmNxrtTblRepeatBackgroundColors, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblRepeatForegroundColors
#define UxGetXrtTblRepeatForegroundColors(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblRepeatForegroundColors)
#endif
#ifndef UxPutXrtTblRepeatForegroundColors
#define UxPutXrtTblRepeatForegroundColors(sw, val) \
	UxDDPutProp(sw, XmNxrtTblRepeatForegroundColors, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblResizeCallback */

/* No UxGet or UxPut macros for xrtTblResizeCellCallback */

#ifndef UxGetXrtTblRightOffset
#define UxGetXrtTblRightOffset(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblRightOffset)
#endif
#ifndef UxPutXrtTblRightOffset
#define UxPutXrtTblRightOffset(sw, val) \
	UxPutProp(sw, XmNxrtTblRightOffset, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblRowLabelOffset
#define UxGetXrtTblRowLabelOffset(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblRowLabelOffset)
#endif
#ifndef UxPutXrtTblRowLabelOffset
#define UxPutXrtTblRowLabelOffset(sw, val) \
	UxPutProp(sw, XmNxrtTblRowLabelOffset, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblRowLabelPlacement
#define UxGetXrtTblRowLabelPlacement(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblRowLabelPlacement)
#endif
#ifndef UxPutXrtTblRowLabelPlacement
#define UxPutXrtTblRowLabelPlacement(sw, val) \
	UxDDPutProp(sw, XmNxrtTblRowLabelPlacement, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblRowLabels
#define UxGetXrtTblRowLabels(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblRowLabels)
#endif
#ifndef UxPutXrtTblRowLabels
#define UxPutXrtTblRowLabels(sw, val) \
    UxDDPutProp(sw, XmNxrtTblRowLabels, (XtArgVal)(val))
#endif

/*2.2.0*/
/* No  UxGet or UxPutmacros for xrtTblScrollCallback */

/* No UxGet or UxPut macros for xrtTblSelectCallback */

#ifndef UxGetXrtTblSelectedBackground
#define UxGetXrtTblSelectedBackground(sw) \
    (char *) UxGetProp(sw, XmNxrtTblSelectedBackground)
#endif
#ifndef UxPutXrtTblSelectedBackground
#define UxPutXrtTblSelectedBackground(sw, val) \
    UxPutProp(sw, XmNxrtTblSelectedBackground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblSelectedCellList
#define UxGetXrtTblSelectedCellList(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblSelectedCellList)
#endif
#ifndef UxPutXrtTblSelectedCellList
#define UxPutXrtTblSelectedCellList(sw, val) \
    UxDDPutProp(sw, XmNxrtTblSelectedCellList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblSelectedForeground
#define UxGetXrtTblSelectedForeground(sw) \
    (char *) UxGetProp(sw, XmNxrtTblSelectedForeground)
#endif
#ifndef UxPutXrtTblSelectedForeground
#define UxPutXrtTblSelectedForeground(sw, val) \
    UxPutProp(sw, XmNxrtTblSelectedForeground, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblSelectionPolicy
#define UxGetXrtTblSelectionPolicy(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblSelectionPolicy)
#endif
#ifndef UxPutXrtTblSelectionPolicy
#define UxPutXrtTblSelectionPolicy(sw, val) \
    UxDDPutProp(sw, XmNxrtTblSelectionPolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblSetTextCursorPos
#define UxGetXrtTblSetTextCursorPos(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblSetTextCursorPos)
#endif
#ifndef UxPutXrtTblSetTextCursorPos
#define UxPutXrtTblSetTextCursorPos(sw, val) \
	UxDDPutProp(sw, XmNxrtTblSetTextCursorPos, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblShadowThickness
#define UxGetXrtTblShadowThickness(sw) \
    (short)UxShortGetProp(sw, XmNxrtTblShadowThickness)
#endif
#ifndef UxPutXrtTblShadowThickness
#define UxPutXrtTblShadowThickness(sw, val) \
    UxPutProp(sw, XmNxrtTblShadowThickness, (XtArgVal)(val))
#endif

/*2.2.0*/
/* No UxGet and UxPut macros for xrtTblSortCallback */

#ifndef UxGetXrtTblSpace
#define UxGetXrtTblSpace(sw) \
    (short)UxShortGetProp(sw, XmNxrtTblSpace)
#endif
#ifndef UxPutXrtTblSpace
#define UxPutXrtTblSpace(sw, val) \
    UxPutProp(sw, XmNxrtTblSpace, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblSpanList
#define UxGetXrtTblSpanList(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblSpanList)
#endif
#ifndef UxPutXrtTblSpanList
#define UxPutXrtTblSpanList(sw, val) \
	UxDDPutProp(sw, XmNxrtTblSpanList, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblText
#define UxGetXrtTblText(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblText)
#endif
#ifndef UxPutXrtTblText
#define UxPutXrtTblText(sw, val) \
    UxDDPutProp(sw, XmNxrtTblText, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblTextInitSelect
#define UxGetXrtTblTextInitSelect(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblTextInitSelect)
#endif
#ifndef UxPutXrtTblTextInitSelect
#define UxPutXrtTblTextInitSelect(sw, val) \
	UxDDPutProp(sw, XmNxrtTblTextInitSelect, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblTopOffset
#define UxGetXrtTblTopOffset(sw) \
	(int)UxIntGetProp(sw, XmNxrtTblTopOffset)
#endif
#ifndef UxPutXrtTblTopOffset
#define UxPutXrtTblTopOffset(sw, val) \
	UxPutProp(sw, XmNxrtTblTopOffset, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblTopRow
#define UxGetXrtTblTopRow(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblTopRow)
#endif
#ifndef UxPutXrtTblTopRow
#define UxPutXrtTblTopRow(sw, val) \
    UxPutProp(sw, XmNxrtTblTopRow, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblTopShadowContext
#define UxGetXrtTblTopShadowContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblTopShadowContext)
#endif
#ifndef UxPutXrtTblTopShadowContext
#define UxPutXrtTblTopShadowContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblTopShadowContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblTrackCursor
#define UxGetXrtTblTrackCursor(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblTrackCursor)
#endif
#ifndef UxPutXrtTblTrackCursor
#define UxPutXrtTblTrackCursor(sw, val) \
    UxDDPutProp(sw, XmNxrtTblTrackCursor, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblTrackCursorCallback */

#ifndef UxGetXrtTblTraversableContext
#define UxGetXrtTblTraversableContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblTraversableContext)
#endif
#ifndef UxPutXrtTblTraversableContext
#define UxPutXrtTblTraversableContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblTraversableContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblTraversableSeries
#define UxGetXrtTblTraversableSeries(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblTraversableSeries)
#endif
#ifndef UxPutXrtTblTraversableSeries
#define UxPutXrtTblTraversableSeries(sw, val) \
    UxDDPutProp(sw, XmNxrtTblTraversableSeries, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblTraverseCellCallback */

#ifndef UxGetXrtTblUseXmGetColors
#define UxGetXrtTblUseXmGetColors(sw) \
   (char *) UxDDGetProp(sw, XmNxrtTblUseXmGetColors)
#endif
#ifndef UxPutXrtTblUseXmGetColors
#define UxPutXrtTblUseXmGetColors(sw, val) \
   UxDDPutProp(sw, XmNxrtTblUseXmGetColors, (XtArgVal)(val))
#endif

/* No UxGet or UxPut macros for xrtTblValidateCellCallback */

#ifndef UxGetXrtTblValidatePolicy
#define UxGetXrtTblValidatePolicy(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblValidatePolicy)
#endif
#ifndef UxPutXrtTblValidatePolicy
#define UxPutXrtTblValidatePolicy(sw, val) \
	UxDDPutProp(sw, XmNxrtTblValidatePolicy, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblVertScrollBarBottomAttachment
#define UxGetXrtTblVertScrollBarBottomAttachment(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblVertScrollBarBottomAttachment)
#endif
#ifndef UxPutXrtTblVertScrollBarBottomAttachment
#define UxPutXrtTblVertScrollBarBottomAttachment(sw, val) \
	UxDDPutProp(sw, XmNxrtTblVertScrollBarBottomAttachment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblVertScrollBarPlacement
#define UxGetXrtTblVertScrollBarPlacement(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblVertScrollBarPlacement)
#endif
#ifndef UxPutXrtTblVertScrollBarPlacement
#define UxPutXrtTblVertScrollBarPlacement(sw, val) \
	UxDDPutProp(sw, XmNxrtTblVertScrollBarPlacement, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblVertScrollBarPosition
#define UxGetXrtTblVertScrollBarPosition(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblVertScrollBarPosition)
#endif
#ifndef UxPutXrtTblVertScrollBarPosition
#define UxPutXrtTblVertScrollBarPosition(sw, val) \
	UxDDPutProp(sw, XmNxrtTblVertScrollBarPosition, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblVertScrollBarTopAttachment
#define UxGetXrtTblVertScrollBarTopAttachment(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblVertScrollBarTopAttachment)
#endif
#ifndef UxPutXrtTblVertScrollBarTopAttachment
#define UxPutXrtTblVertScrollBarTopAttachment(sw, val) \
	UxDDPutProp(sw, XmNxrtTblVertScrollBarTopAttachment, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblVerticalScrollBar
#define UxGetXrtTblVerticalScrollBar(sw) \
    (char *) UxDDGetProp(sw, XmNxrtTblVerticalScrollBar)
#endif
#ifndef UxPutXrtTblVerticalScrollBar
#define UxPutXrtTblVerticalScrollBar(sw, val) \
    UxDDPutProp(sw, XmNxrtTblVerticalScrollBar, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblVisibleColumns
#define UxGetXrtTblVisibleColumns(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblVisibleColumns)
#endif
#ifndef UxPutXrtTblVisibleColumns
#define UxPutXrtTblVisibleColumns(sw, val) \
    UxPutProp(sw, XmNxrtTblVisibleColumns, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblVisibleRows
#define UxGetXrtTblVisibleRows(sw) \
    (int)UxIntGetProp(sw, XmNxrtTblVisibleRows)
#endif
#ifndef UxPutXrtTblVisibleRows
#define UxPutXrtTblVisibleRows(sw, val) \
    UxPutProp(sw, XmNxrtTblVisibleRows, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblWidgetContext
#define UxGetXrtTblWidgetContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblWidgetContext)
#endif
#ifndef UxPutXrtTblWidgetContext
#define UxPutXrtTblWidgetContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblWidgetContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblWidgetLocation
#define UxGetXrtTblWidgetLocation(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblWidgetLocation)
#endif
#ifndef UxPutXrtTblWidgetLocation
#define UxPutXrtTblWidgetLocation(sw, val) \
	UxDDPutProp(sw, XmNxrtTblWidgetLocation, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblWidgetSeries
#define UxGetXrtTblWidgetSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblWidgetSeries)
#endif
#ifndef UxPutXrtTblWidgetSeries
#define UxPutXrtTblWidgetSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblWidgetSeries, (XtArgVal)(val))
#endif

/*2.2.0*/
/* no macros for UxGetXrtTblWidgetSetValueCallback */

#ifndef UxGetXrtTblWidgetShadowContext
#define UxGetXrtTblWidgetShadowContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblWidgetShadowContext)
#endif
#ifndef UxPutXrtTblWidgetShadowContext
#define UxPutXrtTblWidgetShadowContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblWidgetShadowContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblWidgetShadowSeries
#define UxGetXrtTblWidgetShadowSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblWidgetShadowSeries)
#endif
#ifndef UxPutXrtTblWidgetShadowSeries
#define UxPutXrtTblWidgetShadowSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblWidgetShadowSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblWordWrapContext
#define UxGetXrtTblWordWrapContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblWordWrapContext)
#endif
#ifndef UxPutXrtTblWordWrapContext
#define UxPutXrtTblWordWrapContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblWordWrapContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblWordWrapSeries
#define UxGetXrtTblWordWrapSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblWordWrapSeries)
#endif
#ifndef UxPutXrtTblWordWrapSeries
#define UxPutXrtTblWordWrapSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblWordWrapSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblXmStringGetMode
#define UxGetXrtTblXmStringGetMode(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblXmStringGetMode)
#endif
#ifndef UxPutXrtTblXmStringGetMode
#define UxPutXrtTblXmStringGetMode(sw, val) \
	UxDDPutProp(sw, XmNxrtTblXmStringGetMode, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblXmStringSetMode
#define UxGetXrtTblXmStringSetMode(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblXmStringSetMode)
#endif
#ifndef UxPutXrtTblXmStringSetMode
#define UxPutXrtTblXmStringSetMode(sw, val) \
	UxDDPutProp(sw, XmNxrtTblXmStringSetMode, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCurrencyPickListContext
#define UxGetXrtTblCurrencyPickListContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCurrencyPickListContext)
#endif
#ifndef UxPutXrtTblCurrencyPickListContext
#define UxPutXrtTblCurrencyPickListContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCurrencyPickListContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblCurrencyPickListSeries
#define UxGetXrtTblCurrencyPickListSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblCurrencyPickListSeries)
#endif
#ifndef UxPutXrtTblCurrencyPickListSeries
#define UxPutXrtTblCurrencyPickListSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblCurrencyPickListSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDatePickListContext
#define UxGetXrtTblDatePickListContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblDatePickListContext)
#endif
#ifndef UxPutXrtTblDatePickListContext
#define UxPutXrtTblDatePickListContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblDatePickListContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblDatePickListSeries
#define UxGetXrtTblDatePickListSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblDatePickListSeries)
#endif
#ifndef UxPutXrtTblDatePickListSeries
#define UxPutXrtTblDatePickListSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblDatePickListSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFloatPickListContext
#define UxGetXrtTblFloatPickListContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblFloatPickListContext)
#endif
#ifndef UxPutXrtTblFloatPickListContext
#define UxPutXrtTblFloatPickListContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblFloatPickListContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblFloatPickListSeries
#define UxGetXrtTblFloatPickListSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblFloatPickListSeries)
#endif
#ifndef UxPutXrtTblFloatPickListSeries
#define UxPutXrtTblFloatPickListSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblFloatPickListSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblIntPickListContext
#define UxGetXrtTblIntPickListContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblIntPickListContext)
#endif
#ifndef UxPutXrtTblIntPickListContext
#define UxPutXrtTblIntPickListContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblIntPickListContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblIntPickListSeries
#define UxGetXrtTblIntPickListSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblIntPickListSeries)
#endif
#ifndef UxPutXrtTblIntPickListSeries
#define UxPutXrtTblIntPickListSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblIntPickListSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblPreviewScrolling
#define UxGetXrtTblPreviewScrolling(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblPreviewScrolling)
#endif
#ifndef UxPutXrtTblPreviewScrolling
#define UxPutXrtTblPreviewScrolling(sw, val) \
	UxDDPutProp(sw, XmNxrtTblPreviewScrolling, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblResizeToCell
#define UxGetXrtTblResizeToCell(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblResizeToCell)
#endif
#ifndef UxPutXrtTblResizeToCell
#define UxPutXrtTblResizeToCell(sw, val) \
	UxDDPutProp(sw, XmNxrtTblResizeToCell, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblSensitiveContext
#define UxGetXrtTblSensitiveContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblSensitiveContext)
#endif
#ifndef UxPutXrtTblSensitiveContext
#define UxPutXrtTblSensitiveContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblSensitiveContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblSensitiveSeries
#define UxGetXrtTblSensitiveSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblSensitiveSeries)
#endif
#ifndef UxPutXrtTblSensitiveSeries
#define UxPutXrtTblSensitiveSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblSensitiveSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblStringPickListContext
#define UxGetXrtTblStringPickListContext(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblStringPickListContext)
#endif
#ifndef UxPutXrtTblStringPickListContext
#define UxPutXrtTblStringPickListContext(sw, val) \
	UxDDPutProp(sw, XmNxrtTblStringPickListContext, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblStringPickListSeries
#define UxGetXrtTblStringPickListSeries(sw) \
	(char *) UxDDGetProp(sw, XmNxrtTblStringPickListSeries)
#endif
#ifndef UxPutXrtTblStringPickListSeries
#define UxPutXrtTblStringPickListSeries(sw, val) \
	UxDDPutProp(sw, XmNxrtTblStringPickListSeries, (XtArgVal)(val))
#endif

#ifndef UxGetXrtTblWidgetClassList
#define UxGetXrtTblWidgetClassList(sw) \
	(char *) UxGetProp(sw, XmNxrtTblWidgetClassList)
#endif
#ifndef UxPutXrtTblWidgetClassList
#define UxPutXrtTblWidgetClassList(sw, val) \
	UxPutProp(sw, XmNxrtTblWidgetClassList, (XtArgVal)(val))
#endif

/* Runtime create macro */
#ifndef UxCreateXrtTable
#define UxCreateXrtTable(name, parent) \
	UxCreateSwidget(name, xtXrtTableWidgetClass, parent)
#endif

#endif /* DESIGN_TIME */

#endif /* UxXRTTABLE_INCLUDED */

/***END*OF*FILE****************************************************************/
