/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: UxXrtToolbar.hxx,v 1.3 1998/10/12 02:25:33 yamato Exp $
 *
 *  SCCSID -- @(#)UxXrtToolbar.hxx	1.4    97/02/26 KL Group Inc.
 */

#if defined(__cplusplus) && !defined(XT_CODE) && !defined(NO_UXBINDINGS)  && !defined(UIMX2_9)

class UxXrtToolbar : public UxXrtManager
{
    public:

	// Constructors
	UXINLINE UxXrtToolbar(void);
	UXINLINE UxXrtToolbar(const char*, swidget);

	// Initialisation
	UXINLINE swidget CreateSwidget (const char*, swidget);

	// Resource accessor functions
	UXINLINE short GetXrtGearMarginHeight_Tbar () const;
	UXINLINE void SetXrtGearMarginHeight_Tbar (short);

	UXINLINE short GetXrtGearMarginWidth_Tbar () const;
	UXINLINE void SetXrtGearMarginWidth_Tbar (short);

	UXINLINE char * GetXrtGearOrientation_Tbar () const;
	UXINLINE void SetXrtGearOrientation_Tbar (const char *);

};

#ifdef DESIGN_TIME

#define XRTGEAR_TOOLBAR_TABLE(x)	xrtTbar_res_table[x].prpty, xrtTbar_res_table[x].name

extern Class_t UxC_XrtToolbar;

#else /* (not DESIGN_TIME) */

// Constructors
inline UxXrtToolbar::UxXrtToolbar(void){}
inline UxXrtToolbar::UxXrtToolbar(const char* name, swidget uXParent)
{
	CreateSwidget(name,uXParent);
}

// Initialisation
inline swidget UxXrtToolbar::CreateSwidget (const char* name, swidget parent)
{
	if (UxThis == NULL)
		UxThis = UxCreateSwidget( (char *) name,
					  xmXrtToolbarWidgetClass, parent);
	return UxThis;
}

inline short UxXrtToolbar::GetXrtGearMarginHeight_Tbar (void) const
	{ return (short) ShortGetProp(XmNxrtGearMarginHeight);}
inline void UxXrtToolbar::SetXrtGearMarginHeight_Tbar (short val)
	{ DDSetProp(XmNxrtGearMarginHeight, ((XtArgVal)(val)));}

inline short UxXrtToolbar::GetXrtGearMarginWidth_Tbar (void) const
	{ return (short) ShortGetProp(XmNxrtGearMarginWidth);}
inline void UxXrtToolbar::SetXrtGearMarginWidth_Tbar (short val)
	{ DDSetProp(XmNxrtGearMarginWidth, ((XtArgVal)(val)));}

inline char *  UxXrtToolbar::GetXrtGearOrientation_Tbar (void) const
	{ return (char *) DDGetProp(XmNxrtGearOrientation);}
inline void UxXrtToolbar::SetXrtGearOrientation_Tbar (const char * val)
	{ DDSetProp(XmNxrtGearOrientation, ((XtArgVal)(val)));}


#endif /* DESIGN_TIME */
#endif /* __cplusplus */
