/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 *
 * XRT/gauge widget UIM/X integration file
 *
 *  SCCSID -- @(#)XrtGauge.resnum.h	1.2    99/12/08 KL Group Inc.
 */

/******************************************************************************
				XrtGauge.resnum.h
******************************************************************************/

#ifndef XRTGAUGE_RESNUM_H 
#define XRTGAUGE_RESNUM_H

typedef enum {
	XrtGaCenter_background,
	XrtGaCenter_CircularScale,
	XrtGaCenter_Debug,
	XrtGaCenter_Image,
	XrtGaCenter_IsShowing,
	XrtGaCenter_Radius,
	size_XrtGaCenterResNum			/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaCenterResNum;

typedef enum {
	XrtGaCDial_Border,
	XrtGaCDial_CircularScale,
	XrtGaCDial_CounterList,
	XrtGaCDial_Debug,
	XrtGaCDial_DoubleBuffer,
	XrtGaCDial_ExposeCallback,
	XrtGaCDial_Frame,
	XrtGaCDial_HighlightColor,
	XrtGaCDial_HighlightSelectedState,
	XrtGaCDial_Image,
	XrtGaCDial_ImageLayout,
	XrtGaCDial_InteractionCallback,
	XrtGaCDial_LineInnerRadius,
	XrtGaCDial_LineOuterRadius,
	XrtGaCDial_MapCallback,
	XrtGaCDial_Marker,
	XrtGaCDial_OffsetDistance,
	XrtGaCDial_OffsetType,
	XrtGaCDial_RangeList,
	XrtGaCDial_RenderList,
	XrtGaCDial_Repaint,
	XrtGaCDial_ResizeCallback,
	XrtGaCDial_StateList,
	XrtGaCDial_Switch,
	XrtGaCDial_TextList,
	XrtGaCDial_TickList,
	XrtGaCDial_UseRenderList,
	size_XrtGaCircularDialResNum			/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaCircularDialResNum;

typedef enum {
	XrtGaCGauge_Border,
	XrtGaCGauge_CenterList,
	XrtGaCGauge_CircularScaleList,
	XrtGaCGauge_CounterList,
	XrtGaCGauge_Debug,
	XrtGaCGauge_DoubleBuffer,
	XrtGaCGauge_ExposeCallback,
	XrtGaCGauge_Frame,
	XrtGaCGauge_Image,
	XrtGaCGauge_ImageLayout,
	XrtGaCGauge_InteractionCallback,
	XrtGaCGauge_MapCallback,
	XrtGaCGauge_NeedleList,
	XrtGaCGauge_RangeList,
	XrtGaCGauge_RenderList,
	XrtGaCGauge_Repaint,
	XrtGaCGauge_ResizeCallback,
	XrtGaCGauge_TextList,
	XrtGaCGauge_TickList,
	XrtGaCGauge_UseRenderList,
	size_XrtGaCircularGaugeResNum			/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaCircularGaugeResNum;

typedef enum {
	XrtGaCScale_background,
	XrtGaCScale_AllowTransform,
	XrtGaCScale_Debug,
	XrtGaCScale_Direction,
	XrtGaCScale_Max,
	XrtGaCScale_Min,
	XrtGaCScale_RadiusSize,
	XrtGaCScale_StartAngle,
	XrtGaCScale_StopAngle,
	XrtGaCScale_TransformCallback,
	XrtGaCScale_XOrigin,
	XrtGaCScale_YOrigin,
	size_XrtGaCircularScaleResNum			/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaCircularScaleResNum;

typedef enum {
	XrtGaCounter_background,
	XrtGaCounter_fontList,
	XrtGaCounter_height,
	XrtGaCounter_width,
	XrtGaCounter_x,
	XrtGaCounter_y,
	XrtGaCounter_Border,
	XrtGaCounter_BorderWidth,
	XrtGaCounter_Debug,
	XrtGaCounter_DecimalPlaces,
	XrtGaCounter_DigitBackgroundColor,
	XrtGaCounter_DigitForegroundColor,
	XrtGaCounter_Image,
	XrtGaCounter_ImageLayout,
	XrtGaCounter_IsShowing,
	XrtGaCounter_NumDigits,
	XrtGaCounter_ResetAlignment,
	XrtGaCounter_ResetBackgroundColor,
	XrtGaCounter_ResetHeight,
	XrtGaCounter_ResetImage,
	XrtGaCounter_ResetOffset,
	XrtGaCounter_ResetShape,
	XrtGaCounter_ResetShow,
	XrtGaCounter_ResetWidth,
	XrtGaCounter_SpacingHorizontal,
	XrtGaCounter_SpacingVertical,
	XrtGaCounter_TransitionRate,
	XrtGaCounter_TransitionSteps,
	XrtGaCounter_UseTransition,
	XrtGaCounter_Value,
	XrtGaCounter_ValueChangedCallback,
	size_XrtGaCounterResNum		/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaCounterResNum;

typedef enum {
	XrtGaFrame_background,
	XrtGaFrame_BottomMargin,
	XrtGaFrame_Debug,
	XrtGaFrame_Image,
	XrtGaFrame_ImageLayout,
	XrtGaFrame_IsShowing,
	XrtGaFrame_LeftMargin,
	XrtGaFrame_RightMargin,
	XrtGaFrame_Shape,
	XrtGaFrame_TopMargin,
	size_XrtGaFrameResNum			/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaFrameResNum;

typedef enum {
	XrtGaIcon_background,
	XrtGaIcon_Debug,
	XrtGaIcon_OffColor,
	XrtGaIcon_OnColor,
	XrtGaIcon_OffImage,
	XrtGaIcon_OnImage,
	XrtGaIcon_Shape,
	size_XrtGaIconResNum			/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaIconResNum;

typedef enum {
	XrtGaIndicator_background,
	XrtGaIndicator_width,
	XrtGaIndicator_Debug,
	XrtGaIndicator_DrawFunc,
	XrtGaIndicator_InnerExtent,
	XrtGaIndicator_Image,
	XrtGaIndicator_ImageRotate,
	XrtGaIndicator_LinearScale,
	XrtGaIndicator_InteractionType,
	XrtGaIndicator_IndicatorType,
	XrtGaIndicator_IsShowing,
	XrtGaIndicator_OuterExtent,
	XrtGaIndicator_Value,
	XrtGaIndicator_ValueChangedCallback,
	size_XrtGaIndicatorResNum			/* holds number of enums defined */
	/* don't add new enums after size_...*/
} XrtGaIndicatorResNum;

typedef enum {
	XrtGaItem_background,
	XrtGaItem_Debug,
	XrtGaItem_Image,
	XrtGaItem_IsShowing,
	XrtGaItem_LabelExtent,
	XrtGaItem_Value,
	XrtGaItem_ValueChangedCallback,
	size_XrtGaItemResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaItemResNum;

typedef enum {
	XrtGaLEDIcon_Border,
	XrtGaLEDIcon_Debug,
	XrtGaLEDIcon_DecayRate,
	XrtGaLEDIcon_DisplayMode,
	XrtGaLEDIcon_Direction,
	XrtGaLEDIcon_DoubleBuffer,
	XrtGaLEDIcon_ExposeCallback,
	XrtGaLEDIcon_IconHeight,
	XrtGaLEDIcon_IconList,
	XrtGaLEDIcon_IconSpacing,
	XrtGaLEDIcon_IconWidth,
	XrtGaLEDIcon_Image,
	XrtGaLEDIcon_ImageLayout,
	XrtGaLEDIcon_InteractionCallback,
	XrtGaLEDIcon_InteractionType,
	XrtGaLEDIcon_LEDStartValue,
	XrtGaLEDIcon_LEDValue,
	XrtGaLEDIcon_MaxIcon,
	XrtGaLEDIcon_Orientation,
	XrtGaLEDIcon_Repaint,
	XrtGaLEDIcon_ResizeCallback,
	XrtGaLEDIcon_SizingPolicy,
	XrtGaLEDIcon_SpacingHorizontal,
	XrtGaLEDIcon_SpacingVertical,
	XrtGaLEDIcon_ValueChangedCallback,
	XrtGaLEDIcon_XOrigin,
	XrtGaLEDIcon_YOrigin,
	size_XrtGaLEDIconResNum		/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaLEDIconResNum;

typedef enum {
	XrtGaLEDNumerical_Border,
	XrtGaLEDNumerical_ColorMixPercentage,
	XrtGaLEDNumerical_Debug,
	XrtGaLEDNumerical_DecimalPlaces,
	XrtGaLEDNumerical_DecimalPosition,
	XrtGaLEDNumerical_DecimalSize,
	XrtGaLEDNumerical_DoubleBuffer,
	XrtGaLEDNumerical_ExposeCallback,
	XrtGaLEDNumerical_FixedDecimal,
	XrtGaLEDNumerical_LeadingOne,
	XrtGaLEDNumerical_LeadingPlusMinus,
	XrtGaLEDNumerical_LeadingZeros,
	XrtGaLEDNumerical_NumDigits,
	XrtGaLEDNumerical_Image,
	XrtGaLEDNumerical_ImageLayout,
	XrtGaLEDNumerical_OnColor,
	XrtGaLEDNumerical_OffColor,
	XrtGaLEDNumerical_Repaint,
	XrtGaLEDNumerical_ResizeCallback,
	XrtGaLEDNumerical_SegmentSpacing,
	XrtGaLEDNumerical_SegmentWidth,
	XrtGaLEDNumerical_SlopeOffset,
	XrtGaLEDNumerical_SpacingHorizontal,
	XrtGaLEDNumerical_SpacingVertical,
	XrtGaLEDNumerical_Text,
	XrtGaLEDNumerical_Value,
	XrtGaLEDNumerical_ValueChangedCallback,
	XrtGaLEDNumerical_ValueType,
	size_XrtGaLEDNumericalResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaLEDNumericalResNum;

typedef enum {
	XrtGaLDial_Border,
	XrtGaLDial_Debug,
	XrtGaLDial_DoubleBuffer,
	XrtGaLDial_DrawFunc,
	XrtGaLDial_ExposeCallback,
	XrtGaLDial_Frame,
	XrtGaLDial_Image,
	XrtGaLDial_ImageLayout,
	XrtGaLDial_Indicator,
	XrtGaLDial_InteractionCallback,
	XrtGaLDial_LinearScale,
	XrtGaLDial_MapCallback,
	XrtGaLDial_OnColor,
	XrtGaLDial_OnImage,
	XrtGaLDial_OffColor,
	XrtGaLDial_OffImage,
	XrtGaLDial_Shape,
	XrtGaLDial_RenderList,
	XrtGaLDial_Repaint,
	XrtGaLDial_ResizeCallback,
	XrtGaLDial_TextList,
	XrtGaLDial_TickList,
	XrtGaLDial_UseRenderList,
	size_XrtGaLinearDialResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaLinearDialResNum;

typedef enum {
	XrtGaLGauge_Border,
	XrtGaLGauge_Debug,
	XrtGaLGauge_DoubleBuffer,
	XrtGaLGauge_ExposeCallback,
	XrtGaLGauge_Frame,
	XrtGaLGauge_Image,
	XrtGaLGauge_ImageLayout,
	XrtGaLGauge_IndicatorList,
	XrtGaLGauge_InteractionCallback,
	XrtGaLGauge_LinearScaleList,
	XrtGaLGauge_MapCallback,
	XrtGaLGauge_RangeList,
	XrtGaLGauge_RenderList,
	XrtGaLGauge_Repaint,
	XrtGaLGauge_ResizeCallback,
	XrtGaLGauge_TextList,
	XrtGaLGauge_TickList,
	XrtGaLGauge_UseRenderList,
	size_XrtGaLinearGaugeResNum		/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaLinearGaugeResNum;

typedef enum {
	XrtGaLScale_background,
	XrtGaLScale_height,
	XrtGaLScale_width,
	XrtGaLScale_x,
	XrtGaLScale_y,
	XrtGaLScale_AllowTransform,
	XrtGaLScale_Debug,
	XrtGaLScale_Direction,
	XrtGaLScale_Max,
	XrtGaLScale_Min,
	XrtGaLScale_Orientation,
	XrtGaLScale_TransformCallback,
	size_XrtGaLinearScaleResNum		/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaLinearScaleResNum;

typedef enum {
	XrtGaMarker_background,
	XrtGaMarker_width,
	XrtGaMarker_CircularScale,
	XrtGaMarker_Debug,
	XrtGaMarker_DrawFunc,
	XrtGaMarker_Image,
	XrtGaMarker_ImageRotate,
	XrtGaMarker_IsShowing,
	XrtGaMarker_MarkerType,
	XrtGaMarker_InnerRadius,
	XrtGaMarker_OuterRadius,
	size_XrtGaMarkerResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaMarkerResNum;

typedef enum {
	XrtGaNeedle_background,
	XrtGaNeedle_width,
	XrtGaNeedle_CircularScale,
	XrtGaNeedle_Debug,
	XrtGaNeedle_DrawFunc,
	XrtGaNeedle_InteractionType,
	XrtGaNeedle_IsShowing,
	XrtGaNeedle_Length,
	XrtGaNeedle_NeedleType,
	XrtGaNeedle_Value,
	XrtGaNeedle_ValueChangedCallback,
	size_XrtGaNeedleResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaNeedleResNum;

typedef enum {
	XrtGaPercent_Border,
	XrtGaPercent_CalcMode,
	XrtGaPercent_Debug,
	XrtGaPercent_DoubleBuffer,
	XrtGaPercent_ExposeCallback,
	XrtGaPercent_Frame,
	XrtGaPercent_Image,
	XrtGaPercent_ImageLayout,
	XrtGaPercent_ItemList,
	XrtGaPercent_MapCallback,
	XrtGaPercent_RenderList,
	XrtGaPercent_Repaint,
	XrtGaPercent_ResizeCallback,
	XrtGaPercent_Scale,
	XrtGaPercent_TextList,
	XrtGaPercent_UseRenderList,
	size_XrtGaPercentResNum		/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaPercentResNum;

typedef enum {
	XrtGaRange_background,
	XrtGaRange_Debug,
	XrtGaRange_Image,
	XrtGaRange_ImageLayout,
	XrtGaRange_InnerExtent,
	XrtGaRange_IsShowing,
	XrtGaRange_Offset,
	XrtGaRange_OuterExtent,
	XrtGaRange_Scale,
	XrtGaRange_Shape,
	XrtGaRange_StartValue,
	XrtGaRange_StopValue,
	size_XrtGaRangeResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaRangeResNum;

typedef enum {
	XrtGaState_fontList,
	XrtGaState_foreground,
	XrtGaState_Alignment,
	XrtGaState_AlignmentUseDefault,
	XrtGaState_Angle,
	XrtGaState_AngleUseDefault,
	XrtGaState_CircularScale,
	XrtGaState_Debug,
	XrtGaState_IsShowing,
	XrtGaState_LineDisplay,
	XrtGaState_LineInnerRadius,
	XrtGaState_LineInnerRadiusUseDefault,
	XrtGaState_LineOuterRadius,
	XrtGaState_LineOuterRadiusUseDefault,
	XrtGaState_LinePattern,
	XrtGaState_LineThickness,
	XrtGaState_OffsetUseDefault,
	XrtGaState_OffsetX,
	XrtGaState_OffsetY,
	XrtGaState_Text,
	size_XrtGaStateResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaStateResNum;

typedef enum {
	XrtGaSwitch_background,
	XrtGaSwitch_CircularScale,
	XrtGaSwitch_Continuous,
	XrtGaSwitch_Debug,
	XrtGaSwitch_DrawFunc,
	XrtGaSwitch_Image,
	XrtGaSwitch_ImageRotate,
	XrtGaSwitch_IncrementValue,
	XrtGaSwitch_InteractionType,
	XrtGaSwitch_IsShowing,
	XrtGaSwitch_MultipleTurnEnabled,
	XrtGaSwitch_MultipleTurnValue,
	XrtGaSwitch_Radius,
	XrtGaSwitch_Value,
	XrtGaSwitch_ValueChangedCallback,
	XrtGaSwitch_SwitchType,
	size_XrtGaSwitchResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaSwitchResNum;

typedef enum {
	XrtGaText_background,
	XrtGaText_fontList,
	XrtGaText_foreground,
	XrtGaText_height,
	XrtGaText_width,
	XrtGaText_x,
	XrtGaText_y,
	XrtGaText_Alignment,
	XrtGaText_AllowWidgetPositioning,
	XrtGaText_Border,
	XrtGaText_BorderWidth,
	XrtGaText_Debug,
	XrtGaText_Image,
	XrtGaText_ImageLayout,
	XrtGaText_ImageMinimumSize,
	XrtGaText_IsShowing,
	XrtGaText_String,
	XrtGaText_XmString,
	XrtGaText_StringMode,
	XrtGaText_ValueObject,
	size_XrtGaTextResNum			/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaTextResNum;

typedef enum {
	XrtGaTick_background,
	XrtGaTick_fontList,
	XrtGaTick_width,
	XrtGaTick_Automatic,
	XrtGaTick_Debug,
	XrtGaTick_DrawLabels,
	XrtGaTick_IncrementValue,
	XrtGaTick_InnerExtent,
	XrtGaTick_IsShowing,
	XrtGaTick_LabelExtent,
	XrtGaTick_LabelFunc,
	XrtGaTick_Offset,
	XrtGaTick_OuterExtent,
	XrtGaTick_Precision,
	XrtGaTick_PrecisionUseDefault,
	XrtGaTick_Scale,
	XrtGaTick_StartValue,
	XrtGaTick_StopValue,
	XrtGaTick_TickType,
	size_XrtGaTickResNum		/* holds number of enums defined */
	/* don't add new enums after size_xrtAlnrResNum*/
} XrtGaTickResNum;

#endif /*XRTGAUGE_RESNUM_H*/
