/* ALL RIGHTS RESERVED
 *
 * This file is provided for demonstration and educational uses only.
 * Permission to use, copy, modify and distribute this file for
 * any purpose and without fee is hereby granted, provided that the
 * above copyright notice and this permission notice appear in all
 * copies, and that the name of KL Group not be used in advertising
 * or publicity pertaining to this material without the specific,
 * prior written permission of an authorized representative of
 * KL Group.
 *
 * KL GROUP MAKES NO REPRESENTATIONS AND EXTENDS NO WARRANTIES, EX-
 * PRESS OR IMPLIED, WITH RESPECT TO THE SOFTWARE, INCLUDING, BUT
 * NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 * FITNESS FOR ANY PARTICULAR PURPOSE, AND THE WARRANTY AGAINST IN-
 * FRINGEMENT OF PATENTS OR OTHER INTELLECTUAL PROPERTY RIGHTS.  THE
 * SOFTWARE IS PROVIDED "AS IS", AND IN NO EVENT SHALL KL GROUP OR
 * ANY OF ITS AFFILIATES BE LIABLE FOR ANY DAMAGES, INCLUDING ANY
 * LOST PROFITS OR OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES
 * RELATING TO THE USE OF THIS SOFTWARE.
 *
 * XRT/gear widget UIM/X integration file
 *
 * $AstecId: XrtGear.cl.h,v 1.4 1999/10/13 11:51:26 nakayama Exp $
 *
 *  SCCSID -- @(#)XrtGear.cl.h	1.11    99/01/29 KL Group Inc.
 */

/******************************************************************************
				XrtGear.cl.h
******************************************************************************/

#ifndef XRTGEAR_CL_H
#define XRTGEAR_CL_H

#include "mgr.cl.h"		/* swidget-superclass for XrtManager, XrtTabM XrtToolbar */
#include "label.cl.h"	/* swidget-superclass for XrtGLabel */
#include "pushB.cl.h"	/* swidget-superclass for XrtPusB, XrtTabB */
#include "togB.cl.h"	/* swidget-superclass for XrtToggleB */
#include "gadget.cl.h"	/* swidget-superclass header file */

/* MANAGER*/
/*  Definitions for UxXrtManagerPart  */
typedef struct UxXrtManagerPart {
	int mumble;
} UxXrtManagerPart;

/* Definitions for XrtManager */
typedef struct xrtManager
{
	UxObjectPart    		objectPart;
	UxVeditablePart 		veditablePart;
	UxShadowWidgetPart  	ShadowWidgetPart;
	UxRectObjectPart    	RectObjectPart;
	UxCorePart      		CorePart;
	UxCompositeClassPart	CompositePart;
	UxManagerClassPart		ManagerPart;
	UxXrtManagerPart		xrtManagerPart;
} xrtManager;

typedef	struct	UxXrtManagerClassPart
{
	int	mumble;		/* Just in case */
} UxXrtManagerClassPart;

typedef	struct UxXrtManagerClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxCompositeClassPart		Composite;
	UxManagerClassPart			manager;
	UxXrtManagerClassPart		XrtManager;
} UxXrtManagerClass;

/* ALIGNER */
typedef	struct	UxXrtAlignerClassPart
{
	Resource_t		*RD_xrtGearAlignerAlignment;
	Resource_t		*RD_xrtGearAlignBaseline;
	Resource_t		*RD_xrtGearColumnSpacing;
	Resource_t		*RD_xrtGearMarginHeight;
	Resource_t		*RD_xrtGearMarginWidth;
	Resource_t		*RD_xrtGearOrientation;
	Resource_t		*RD_xrtGearPosition;
	Resource_t		*RD_xrtGearResizeHeight;
	Resource_t		*RD_xrtGearResizeWidth;
	Resource_t		*RD_xrtGearRowSpacing;
	int	mumble;		/* Just in case */
} UxXrtAlignerClassPart;

typedef	struct UxXrtAlignerClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxCompositeClassPart		Composite;
	UxManagerClassPart			manager;
	UxXrtManagerClassPart		XrtManager;
	UxXrtAlignerClassPart		XrtAligner;
} UxXrtAlignerClass;

/* GLABEL */
typedef	struct	UxXrtGLabelClassPart
{
	Resource_t		*RD_xrtGearBorderType;
	Resource_t		*RD_xrtGearLabelPixmap;
	Resource_t		*RD_xrtGearLabelType;
	Resource_t		*RD_xrtGearLayoutSpacing;
	Resource_t		*RD_xrtGearMask;
	Resource_t		*RD_xrtGearPixmapRotation;
	Resource_t		*RD_xrtGearStringLayout;
	Resource_t		*RD_xrtGearStringRotation;
	int	mumble;		/* Just in case */
} UxXrtGLabelClassPart;

typedef	struct UxXrtGLabelClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxLabelClassPart			label;
	UxXrtGLabelClassPart		XrtGLabel;
} UxXrtGLabelClass;

/* PUSH BUTTON */
typedef	struct	UxXrtPushBClassPart
{
	Resource_t		*RD_xrtGearArmMask;
	Resource_t		*RD_xrtGearArmPixmap;
	Resource_t		*RD_xrtGearLabelPixmap;
	Resource_t		*RD_xrtGearLabelType;
	Resource_t		*RD_xrtGearLayoutSpacing;
	Resource_t		*RD_xrtGearMask;
	Resource_t		*RD_xrtGearPixmapRotation;
	Resource_t		*RD_xrtGearStringLayout;
	Resource_t		*RD_xrtGearStringRotation;
	/*new*/
	Resource_t		*RD_xrtGearActive;
	int	mumble;		/* Just in case */
} UxXrtPushBClassPart;

typedef	struct UxXrtPushBClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxLabelClassPart			label;
	UxPushButtonClassPart		pushButton;
	UxXrtPushBClassPart			XrtPushB;
} UxXrtPushBClass;

/* TAB BUTTON */
typedef	struct	UxXrtTabBClassPart
{
	Resource_t		*RD_xrtGearAnchorSide;
	Resource_t		*RD_xrtGearCornerSize;
	Resource_t		*RD_xrtGearLabelPixmap;
	Resource_t		*RD_xrtGearLabelType;
	Resource_t		*RD_xrtGearLayoutSpacing;
	Resource_t		*RD_xrtGearMask;
	Resource_t		*RD_xrtGearPixmapRotation;
	Resource_t		*RD_xrtGearStringLayout;
	Resource_t		*RD_xrtGearStringRotation;
	Resource_t		*RD_xrtGearStyle;
	int	mumble;		/* Just in case */
} UxXrtTabBClassPart;

typedef	struct UxXrtTabBClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxLabelClassPart			label;
	UxPushButtonClassPart		pushButton;
	UxXrtTabBClassPart			XrtTabB;
} UxXrtTabBClass;


/* TAB MANAGER */
typedef	struct	UxXrtTabMClassPart
{
	Resource_t		*RD_xrtGearActivePageNumber;
	Resource_t		*RD_xrtGearActivePageWidget;
	Resource_t		*RD_xrtGearActiveTabWidget;
	Resource_t		*RD_xrtGearArrowDisplayPolicy;
	Resource_t		*RD_xrtGearArrowHeight;
	Resource_t		*RD_xrtGearArrowWidth;
	Resource_t		*RD_xrtGearChildType;
	Resource_t		*RD_xrtGearCornerSize;
	Resource_t		*RD_xrtGearFirstVisibleTab;
	Resource_t		*RD_xrtGearHighlightThickness;
	Resource_t		*RD_xrtGearLastVisibleTab;
	Resource_t		*RD_xrtGearMarginHeight;
	Resource_t		*RD_xrtGearMarginWidth;
	Resource_t		*RD_xrtGearPageAttachPolicy;
	Resource_t		*RD_xrtGearPageCallback;
	Resource_t		*RD_xrtGearPageNumber;
	Resource_t		*RD_xrtGearPageWidget;
	Resource_t		*RD_xrtGearResizeCallback;
	Resource_t		*RD_xrtGearShadowThickness;
	Resource_t		*RD_xrtGearTabResize;
	Resource_t		*RD_xrtGearTabRotation;
	Resource_t		*RD_xrtGearTabSide;
	Resource_t		*RD_xrtGearTabSpacing;
	Resource_t		*RD_xrtGearTabStretch;
	Resource_t		*RD_xrtGearWidgetPosition;
	int	mumble;		/* Just in case */
} UxXrtTabMClassPart;

typedef	struct UxXrtTabMClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxCompositeClassPart		Composite;
	UxManagerClassPart			manager;
	UxXrtTabMClassPart			XrtTabM;
} UxXrtTabMClass;


/* TOGGLE BUTTON */
typedef	struct	UxXrtToggleBClassPart
{
	Resource_t		*RD_xrtGearIndicator;
	Resource_t		*RD_xrtGearIndicatorMaskList;
	Resource_t		*RD_xrtGearIndicatorPixmapList;
	Resource_t		*RD_xrtGearNumStates;
	Resource_t		*RD_xrtGearSelectColor;
	Resource_t		*RD_xrtGearState;
	Resource_t		*RD_xrtGearStateChangedCallback;
	Resource_t		*RD_xrtGearUnselectColor;
	int	mumble;		/* Just in case */
} UxXrtToggleBClassPart;

typedef	struct UxXrtToggleBClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxLabelClassPart			label;
	UxToggleButtonClassPart		toggleButton;
	UxXrtToggleBClassPart		XrtToggleB;
} UxXrtToggleBClass;


/* TOOLBAR */
typedef	struct	UxXrtToolbarClassPart
{
	Resource_t		*RD_xrtGearBottomSpace;
	Resource_t		*RD_xrtGearLeftSpace;
	Resource_t		*RD_xrtGearMarginHeight;
	Resource_t		*RD_xrtGearMarginWidth;
	Resource_t		*RD_xrtGearOrientation;
	Resource_t		*RD_xrtGearPosition;
	Resource_t		*RD_xrtGearRightSpace;
	Resource_t		*RD_xrtGearTopSpace;
	int	mumble;		/* Just in case */
} UxXrtToolbarClassPart;

typedef	struct UxXrtToolbarClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxCompositeClassPart		Composite;
	UxManagerClassPart			manager;
	UxXrtManagerClassPart		XrtManager;
	UxXrtToolbarClassPart		XrtToolbar;
} UxXrtToolbarClass;

/* New classes in gear 2.0 */

/* OUTLINER */
typedef	struct	UxXrtOutlinerClassPart
{
	Resource_t		*RD_fontList;
	Resource_t		*RD_highlightThickness;
	Resource_t		*RD_scrollBarPlacement;
	Resource_t		*RD_xrtGearActivateCallback;
	Resource_t		*RD_xrtGearAutoSort;
	Resource_t		*RD_xrtGearBorderLocation;
	Resource_t		*RD_xrtGearBorderType;
	Resource_t		*RD_xrtGearColumnLabelsShow;
	Resource_t		*RD_xrtGearColumnMoveAllow;
	Resource_t		*RD_xrtGearColumnMoveCallback;
	Resource_t		*RD_xrtGearColumnSelected;
	Resource_t		*RD_xrtGearColumnSelectionCallback;
	Resource_t		*RD_xrtGearCursor;
	Resource_t		*RD_xrtGearCursorResizeWidth;
	Resource_t		*RD_xrtGearCursorTracking;
	Resource_t		*RD_xrtGearCursorTrackingCallback;
	Resource_t		*RD_xrtGearDoubleBuffer;
	Resource_t		*RD_xrtGearFolderStateCallback;
	Resource_t		*RD_xrtGearFolderStateMask;
	Resource_t		*RD_xrtGearHeightPreferredCount;
	Resource_t		*RD_xrtGearHeightResizePolicy;
	Resource_t		*RD_xrtGearHeightSizingPolicy;
	Resource_t		*RD_xrtGearHeightVirtual;
	Resource_t		*RD_xrtGearImportCallback;
	Resource_t		*RD_xrtGearMarginHeight;
	Resource_t		*RD_xrtGearMarginWidth;
	Resource_t		*RD_xrtGearNodeCompareProc;
	Resource_t		*RD_xrtGearNodeCreateCallback;
	Resource_t		*RD_xrtGearNodeCurrent;
	Resource_t		*RD_xrtGearNodeCurrentChangedCallback;
	Resource_t		*RD_xrtGearNodeHeight;
	Resource_t		*RD_xrtGearNodeImportPolicy;
	Resource_t		*RD_xrtGearNodeIndent;
	Resource_t		*RD_xrtGearNodeIndentPolicy;
	Resource_t		*RD_xrtGearNodeMoveCallback;
	Resource_t		*RD_xrtGearNodeMovePolicy;
	Resource_t		*RD_xrtGearNodeSpacing;
	Resource_t		*RD_xrtGearNodeStyleDefault;
	Resource_t		*RD_xrtGearNodeTop;
	Resource_t		*RD_xrtGearPrintCallback;
	Resource_t		*RD_xrtGearPSFontMapList;
	Resource_t		*RD_xrtGearRepaint;
	Resource_t		*RD_xrtGearResizeCallback;
	Resource_t		*RD_xrtGearScrollBarHoriz;
	Resource_t		*RD_xrtGearScrollBarHorizDisplayPolicy;
	Resource_t		*RD_xrtGearScrollBarVert;
	Resource_t		*RD_xrtGearScrollBarVertDisplayPolicy;
	Resource_t		*RD_xrtGearSelectionCallback;
	Resource_t		*RD_xrtGearSelectionPolicy;
	Resource_t		*RD_xrtGearSelectionRestrictions;
	Resource_t		*RD_xrtGearShadowThickness;
	Resource_t		*RD_xrtGearTextHorizClipPolicy;
	Resource_t		*RD_xrtGearTreeData;
	Resource_t		*RD_xrtGearWidthChar;
	Resource_t		*RD_xrtGearWidthPreferredCount;
	Resource_t		*RD_xrtGearWidthSizingPolicy;
	Resource_t		*RD_xrtGearWidthResizePolicy;
	Resource_t		*RD_xrtGearWidthVirtual;
	/*new*/

	Resource_t		*RD_editable;
	Resource_t		*RD_xrtGearEditor;
	Resource_t		*RD_xrtGearEditNode;
	Resource_t		*RD_xrtGearEditColumn;
	Resource_t		*RD_xrtGearEditType;
	Resource_t		*RD_xrtGearHighlightOnDrag;
	Resource_t		*RD_xrtGearNodeCheckForDuplicates;
	Resource_t		*RD_xrtGearNodeEnterCellCallback;
	Resource_t		*RD_xrtGearNodeValidateCallback;
	Resource_t		*RD_xrtGearTextEditor;
  int	mumble;		/* Just in case */
} UxXrtOutlinerClassPart;

typedef	struct UxXrtOutlinerClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxCompositeClassPart		Composite;
	UxManagerClassPart			manager;
	UxXrtOutlinerClassPart		XrtOutliner;
} UxXrtOutlinerClass;

/* NODE STYLE */
typedef	struct	UxXrtNodeStyleClassPart
{
	Resource_t		*RD_fontList;
	Resource_t		*RD_foreground;
	Resource_t		*RD_xrtGearBackgroundSelected;
	Resource_t		*RD_xrtGearFolderShortcutShow;
	Resource_t		*RD_xrtGearFontListSelected;
	Resource_t		*RD_xrtGearForegroundSelected;
	Resource_t		*RD_xrtGearIconClosed;
	Resource_t		*RD_xrtGearIconClosedSelected;
	Resource_t		*RD_xrtGearIconItem;
	Resource_t		*RD_xrtGearIconItemSelected;
	Resource_t		*RD_xrtGearIconOpen;
	Resource_t		*RD_xrtGearIconOpenSelected;
	Resource_t		*RD_xrtGearLayoutSpacing;
	Resource_t		*RD_xrtGearLineColor;
	Resource_t		*RD_xrtGearLineStyle;
	Resource_t		*RD_xrtGearLineWidth;
	Resource_t		*RD_xrtGearShortcutShow;
	Resource_t		*RD_xrtGearShortcutSize;
	Resource_t		*RD_xrtGearShortcutColor;
} UxXrtNodeStyleClassPart;

typedef	struct UxXrtNodeStyleClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtNodeStyleClassPart	XrtNodeStyle;
} UxXrtNodeStyleClass;

/* COLUMN */
typedef	struct	UxXrtColumnClassPart
{
	Resource_t		*RD_fontList;
	Resource_t		*RD_foreground;
	Resource_t		*RD_height;
	Resource_t		*RD_width;
	Resource_t		*RD_xrtGearFontListSelected;
	Resource_t		*RD_xrtGearLabel;
	Resource_t		*RD_xrtGearLabelAlignment;
	Resource_t		*RD_xrtGearMarginLeft;
	Resource_t		*RD_xrtGearMarginRight;
	Resource_t		*RD_xrtGearNodeAlignment;
	Resource_t		*RD_xrtGearResizeCallback;
	Resource_t		*RD_xrtGearSelected;
	Resource_t		*RD_xrtGearWidthResizePolicy;
	Resource_t		*RD_xrtGearWidthSizingPolicy;
	Resource_t		*RD_xrtGearWidthMaximum;
	Resource_t		*RD_xrtGearWidthMinimum;
	Resource_t		*RD_xrtGearWidthPreferredCount;
	/*new*/
	Resource_t		*RD_background;
	Resource_t		*RD_editable;
} UxXrtColumnClassPart;

typedef	struct UxXrtColumnClass
{
	UxObjectClassPart		object;
	UxVeditableClassPart	veditable;
	UxShadowWidgetClassPart	ShadowWidget;
	UxRectObjectClassPart	RectObject;
	UxGadgetClassPart		gadget;
	UxXrtColumnClassPart	XrtColumn;
} UxXrtColumnClass;


/* GEARCOMBO */
typedef	struct	UxXrtGearComboClassPart
{
	Resource_t		*RD_blinkRate;
	Resource_t		*RD_columns;
	Resource_t		*RD_cursorPosition;
	Resource_t		*RD_cursorPositionVisible;
	Resource_t		*RD_editable;
	Resource_t		*RD_fontList;
	Resource_t		*RD_maxLength;
	Resource_t		*RD_marginHeight;
	Resource_t		*RD_marginWidth;
	Resource_t		*RD_pendingDelete;
	Resource_t		*RD_resizeWidth;
  /*	Resource_t		*RD_selectionArray;
	Resource_t		*RD_selectionArrayCount;*/
	Resource_t		*RD_selectThreshold;
	Resource_t		*RD_value;
  /*	Resource_t		*RD_valueWcs;*/
	Resource_t		*RD_verifyBell;
	Resource_t		*RD_xrtGearAlignment;
	Resource_t		*RD_xrtGearArrow;
	Resource_t		*RD_xrtGearArrowClass;
	Resource_t		*RD_xrtGearArrowType;
	Resource_t		*RD_xrtGearMenuCallback;
	Resource_t		*RD_xrtGearMenuList;
	Resource_t		*RD_xrtGearPickList;
	Resource_t		*RD_xrtGearPickListIndex;
	Resource_t		*RD_xrtGearSearchPolicy;
	Resource_t		*RD_xrtGearSpacing;
	Resource_t		*RD_xrtGearTextField;
	Resource_t		*RD_xrtGearVisibleItemCount;
	/*new*/
	Resource_t		*RD_xrtGearAutoComplete;
	int	mumble;		/* Just in case */
} UxXrtGearComboClassPart;

typedef	struct UxXrtGearComboClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxCompositeClassPart		Composite;
	UxManagerClassPart			manager;
	UxXrtManagerClassPart		XrtManager;
	UxXrtGearComboClassPart		XrtGearCombo;
} UxXrtGearComboClass;

/* PROGRESS */
typedef	struct	UxXrtProgressClassPart
{
	Resource_t		*RD_fontList;
	Resource_t		*RD_marginHeight;
	Resource_t		*RD_marginWidth;
	Resource_t		*RD_maximum;
	Resource_t		*RD_minimum;
	Resource_t		*RD_recomputeSize;
	Resource_t		*RD_value;
	Resource_t		*RD_xrtGearBarColor;
	Resource_t		*RD_xrtGearBarCount;
	Resource_t		*RD_xrtGearBarSpacing;
	Resource_t		*RD_xrtGearDoubleBuffer;
	Resource_t		*RD_xrtGearIcon;
	Resource_t		*RD_xrtGearLabelAlignment;
	Resource_t		*RD_xrtGearLabelFormat;
	Resource_t		*RD_xrtGearLabelFormatCallback;
	Resource_t		*RD_xrtGearLabelShow;
	Resource_t		*RD_xrtGearProgressCallback;
	Resource_t		*RD_xrtGearProgressTimeOut;
	Resource_t		*RD_xrtGearProgressType;
	int	mumble;		/* Just in case */
} UxXrtProgressClassPart;

typedef	struct UxXrtProgressClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxPrimitiveClassPart		primitive;
	UxXrtProgressClassPart		XrtProgress;
} UxXrtProgressClass;

/* PANED WINDOW */
typedef	struct	UxXrtPanedWindowClassPart
{
	Resource_t		*RD_xrtGearAllowResize;
	Resource_t		*RD_xrtGearMarginHeight;
	Resource_t		*RD_xrtGearMarginWidth;
	Resource_t		*RD_xrtGearMaximum;
	Resource_t		*RD_xrtGearMinimum;
	Resource_t		*RD_xrtGearOrientation;
	Resource_t		*RD_xrtGearPaneResizeCallback;
	Resource_t		*RD_xrtGearPosition;
	Resource_t		*RD_xrtGearRecomputeSize;
	Resource_t		*RD_xrtGearSashHeight;
	Resource_t		*RD_xrtGearSashIndent;
	Resource_t		*RD_xrtGearSashShadowThickness;
	Resource_t		*RD_xrtGearSashWidth;
	Resource_t		*RD_xrtGearSeparatorShow;
	Resource_t		*RD_xrtGearSkipAdjust;
	Resource_t		*RD_xrtGearSpacing;
	int	mumble;		/* Just in case */
} UxXrtPanedWindowClassPart;

typedef	struct UxXrtPanedWindowClass
{
	UxObjectClassPart			object;
	UxVeditableClassPart		veditble;
	UxShadowWidgetClassPart		ShadowWidget;
	UxRectObjectClassPart		RectObject;
	UxCoreClassPart				Core;
	UxCompositeClassPart		Composite;
	UxManagerClassPart			manager;
	UxXrtManagerClassPart		XrtManager;
	UxXrtPanedWindowClassPart	XrtPanedWindow;
} UxXrtPanedWindowClass;

/* Definition of the XrtGear instance structure */

typedef	manager			UxXrtManager;
typedef	xrtManager		UxXrtAligner;
typedef	label			UxXrtGLabel;
typedef	pushButton		UxXrtPushB;
typedef	pushButton		UxXrtTabB;
typedef	manager			UxXrtTabM;
typedef	toggleButton	UxXrtToggleB;
typedef	xrtManager		UxXrtToolbar;
typedef	xrtManager		UxXrtPanedWindow;
typedef	manager			UxXrtOutliner;
typedef	gadget			UxXrtNodeStyle;
typedef	gadget			UxXrtColumn;
typedef	xrtManager		UxXrtGearCombo;
typedef	primitive		UxXrtProgress;

/* Declarations of global variables for XrtGear class */

extern Class_t		UxC_XrtManager; /*base class*/

extern Class_t		UxC_XrtAligner;
extern Class_t		UxC_XrtGLabel;
extern Class_t		UxC_XrtPushB;
extern Class_t		UxC_XrtTabM;
extern Class_t		UxC_XrtTabB;
extern Class_t		UxC_XrtToggleB;
extern Class_t		UxC_XrtToolbar;

extern Class_t		UxC_XrtOutliner;
extern Class_t		UxC_XrtNodeStyle;
extern Class_t		UxC_XrtColumn;
extern Class_t		UxC_XrtGearCombo;
extern Class_t		UxC_XrtProgress;
extern Class_t		UxC_XrtPanedWindow;

#include "Xrt_restable.h"

#endif
